2026-06-19 Mike Gabriel

        * Release 1.1.0 (HEAD -> main, tag: 1.1.0)

2026-06-12 Ratchanan Srirattanamet

        * Merge branch 'personal/klhio/fix-symbols-segfault' into 'main'
          (5dc2ad94)

2026-06-11 Maciej Sopyło

        * KeyboardContainer: don't unload keypads (49476564)

2026-06-09 Mike Gabriel

        * Merge branch 'ka' into 'main' (4120de38)

2026-02-15 Mike Gabriel

        * plugins/plugins.pro: Georgian (ka) depends on westernsupport
          internal library. (f953c779)

2023-12-09 Ratchanan Srirattanamet

        * Apply 1 suggestion(s) to 1 file(s) (42cfcaa1)

2023-09-21 HackerShohag

        * ka support: name fix (77df3b1e)
        * ka support: database text from wikipedia (22dd87f9)

2023-09-20 HackerShohag

        * ka support: layout & domains (b6ceef52)

2023-09-02 HackerShohag

        * ka support: Database installation. (cd3e4f11)
        * ka support: Fix for builds. (8afe0c9b)

2021-07-28 alexandrius

        * ka support: Change .install directory. (d3b42494)
        * ka support: Refactor ubuntu to lomiri. (89c3d7dd)
        * Add Georgian (ka) support. (4023a46b)

2026-06-08 Maciej Sopyło

        * Merge branch 'personal/klhio/emoji-gen-fixes' into 'main'
          (0f3198ab)
        * gen-emoji: do not use initializer lists for variants (bcb1bb28)
        * gen-emoji: disable compilation of the build script (6392a723)

2026-06-08 Mike Gabriel

        * Merge branch 'personal/klhio/fix-emoji-keyboard' into 'main'
          (f1a8a4ed)

2026-06-07 Maciej Sopyło

        * emoji: rework emoji keyboard, load source data at build time
          (c992b44f)
        * CharKey: prevent haptics/sound while swiping (83d42b0a)
        * Merge branch 'personal/lduboeuf/remove_possible_leaks' into 'main'
          (3401e53c)

2026-04-14 Lionel Duboeuf

        * wordengine.cpp : prevent duplicate suggestion signal connections on
          language switch (15dff6f2)
        * wordengine.cpp : Replace manual malloc/free allocations in
          WordEngine::similarWords() with QVector<int>. (b5e48f06)
        * catch proper Exception from presage library (45cf3ae2)

2026-03-08 Lionel Duboeuf

        * Make sure GreeterStatus and WordRibbon get destroyed (22ea5f3d)

2026-03-06 Lionel Duboeuf

        * Harden predictive plugin thread and object lifetimes (ad7deccd)

2026-05-27 Hosted Weblate

        * Update translation files (11db5b7d)

2026-05-27 Ratchanan Srirattanamet

        * po:/ update .pot file (95041cc4)

2026-05-11 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (6e45e12d)

2026-05-04 Alyaksandr Koshal

        * Translated using Weblate (Belarusian) (b2baae0d)

2026-05-11 Ratchanan Srirattanamet

        * Merge branch 'main_-_tallphones' into 'main' (458fe833)

2026-03-06 Kugi Eusebio

        * Use spaces instead of Tabs (cc79d0b5)

2026-02-19 Kugi Eusebio

        * Slightly increased ribbon sizes for phones (fc89b228)
        * Add separate height values for tall phones (bef085d5)

2026-04-19 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (67d615fa)

2026-04-24 Хмеляускас Александр (JasonWalt Bab@)

        * Translated using Weblate (Basque) (be143df1)

2026-04-16 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (5fa90ef9)
        * Translated using Weblate (Aragonese) (d4dbbbe1)

2026-04-01 Andi Chandler

        * Translated using Weblate (English (United Kingdom)) (f658dc31)

2026-03-30 Mike Gabriel

        * Merge branch 'mariogrip-main-patch-30365' into 'main' (287622ee)

2026-03-29 Marius Gripsgard

        * debian: Also allow libqt5gui5t64 as an option (a4b1b74e)

2026-03-24 Mike Gabriel

        * Merge branch 'mariogrip-main-patch-70907' into 'main' (bcfe0f59)

2026-03-24 Marius Gripsgard

        * Switch from myspell-el-gr to hunspell-el for greek (441f9ce3)

2026-03-24 Mike Gabriel

        * Merge branch 'mariogrip-main-patch-40266' into 'main' (5d3b5711)

2026-03-24 Marius Gripsgard

        * Switch from myspell-nb to hunspell-no (05938e3d)

2026-03-17 Satyaakam Goswami

        * Translated using Weblate (Hindi) (563490cc)

2026-03-10 Satyaakam Goswami

        * Translated using Weblate (Hindi) (6ef18ac3)

2026-03-02 Andi Chandler

        * Translated using Weblate (English (United Kingdom)) (c3059a50)

2026-03-06 Łukasz Pawłowski

        * Translated using Weblate (Kashubian) (2ee6c92d)

2026-03-04 Satyaakam Goswami

        * Translated using Weblate (Hindi) (e8fcab99)

2026-03-03 Mike Gabriel

        * Merge branch 'personal/gberh/split-off-qml' into 'main' (fdf3b35f)

2026-02-18 Guido Berhoerster

        * debian: Remove qml-module-lomiri-keyboard subpackage (9ba330e4)
        * Split off Lomiri Keyboard QML module into a separate project
          (0920fbf3)

2026-02-22 Satyaakam Goswami

        * Translated using Weblate (Hindi) (8c0a0014)

2026-02-23 தமிழ்நேரம்

        * Translated using Weblate (Tamil) (5b7e46fb)

2026-02-25 Mike Gabriel

        * Merge branch 'personal/lduboeuf/prevent_segfault' into 'main'
          (2f9e5a39)

2026-02-25 Lionel Duboeuf

        * Prediction engine: Prevent potential segfault (fdd4062e)

2026-02-20 Satyaakam Goswami

        * Translated using Weblate (Hindi) (731d8224)

2026-02-15 Mike Gabriel

        * Merge branch 'main_-_floatingkeyslayout' into 'main' (ac6654ce)

2026-01-20 kugiigi

        * Cleaned up extra spaces and indentions (c391aff6)
        * Tweaked layout of the floating keys in cursor mover mode (d168755b)

2026-02-13 Mike Gabriel

        * Merge branch 'main_-_tabletdetection' into 'main' (8cc0a33f)

2026-01-20 kugiigi

        * Adjust logic for detecting tablet sizing (30dea71d)

2026-01-31 Daniel Wiik

        * Translated using Weblate (Swedish) (1a3f4389)

2026-01-29 mahmucan nahmudo

        * Translated using Weblate (Turkish) (c280b07e)

2026-01-25 BoneNI

        * Translated using Weblate (Lao) (33a5be06)
        * Translated using Weblate (Lao) (7fce8f0f)
        * Translated using Weblate (Lao) (ed58526d)
        * Translated using Weblate (Lao) (9f333532)

2026-01-25 Jiri Grönroos

        * Translated using Weblate (Finnish) (9064d747)

2026-01-25 BoneNI

        * Translated using Weblate (Lao) (dcc8edda)

2026-01-10 BoneNI

        * Translated using Weblate (Lao) (0574ba46)

2025-12-31 Purushotham N

        * Translated using Weblate (Tamil) (d17fdf65)

2025-12-19 Joana R

        * Translated using Weblate (Basque) (aa48def6)

2025-12-19 Temuri Doghonadze

        * Translated using Weblate (Georgian) (eacc12b4)

2025-11-30 phmqXPD

        * Translated using Weblate (Vietnamese) (069f77ff)

2025-11-17 Wenwen Luo

        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (f7bbbd58)

2025-11-10 Wenwen Luo

        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (d208864d)

2025-10-23 Eryk Michalak

        * Translated using Weblate (Polish) (5b7ecaa3)

2025-10-17 Joana R

        * Translated using Weblate (Basque) (805612bc)

2025-10-06 Joana R

        * Translated using Weblate (Basque) (c38cfdad)

2025-10-01 Jozef Mlich

        * Translated using Weblate (Czech) (059481cd)

2025-10-06 Mike Gabriel

        * Merge branch 'main' into 'main' (5e51ab59)

2025-10-06 Abdullah AL Shohag

        * bn-avro: update keyboard layouts to prefer Bengali danda (e89ac296)
        * bn-avro: use Bengali danda as full stop sequence (35d2cb3f)

2025-09-21 Libre Fox

        * Translated using Weblate (Ukrainian) (dcbb1a54)

2025-09-03 ButterflyOfFire

        * Translated using Weblate (Kabyle) (4a71c2c2)

2025-09-02 Milo Ivir

        * Translated using Weblate (Croatian) (f7681923)

2025-08-31 Niko

        * Translated using Weblate (Serbian) (b0f298db)

2025-08-26 ButterflyOfFire

        * Translated using Weblate (Kabyle) (6a32b68e)

2025-08-24 Priit Jõerüüt

        * Translated using Weblate (Estonian) (600fec7e)

2025-08-19 Kristoffer Grundström

        * Translated using Weblate (Swedish) (7ba379c3)

2025-08-14 Ida Brenna

        * Translated using Weblate (Norwegian Bokmål) (0b832789)

2025-08-14 Ettore Atalan

        * Translated using Weblate (German) (bd7dc369)

2025-08-11 Bảo Nam (Namm)

        * Translated using Weblate (Vietnamese) (ecad8553)

2025-08-07 Alagirisamy Rengaraj

        * Translated using Weblate (Tamil) (2210e4ef)

2025-08-06 Heimen Stoffels

        * Translated using Weblate (Dutch) (0f6d5be8)

2025-08-10 Steve

        * Translated using Weblate (French (Switzerland)) (f33c863e)
        * Translated using Weblate (French) (fa302400)

2025-08-07 Priit Jõerüüt

        * Translated using Weblate (Estonian) (c99f90ba)

2025-08-11 Valery Levanchuk

        * Translated using Weblate (Belarusian) (96af562b)

2025-08-06 Hosted Weblate

        * Update translation files (cf311004)

2025-08-07 Ratchanan Srirattanamet

        * po/: update .pot file (d83d12ae)
        * Merge branch 'en-colemak' into 'main' (f9123ec9)

2025-07-29 Brandon Rogers

        * Added Colemak layout (English) (7528d694)

2025-07-25 ButterflyOfFire

        * Translated using Weblate (Kabyle) (1b5dbe9c)

2025-07-11 Alioc

        * Translated using Weblate (Chinese (Simplified Han script))
          (bbc53d18)

2025-07-02 Ratchanan Srirattanamet

        * Merge branch 'keyboard_vibrations' into 'main' (be93ce37)

2025-07-01 Adam Havelka

        *  #2221 re-enable keyboard vibrations by default (bccb3fe5)

2025-06-23 phmqXPD

        * Translated using Weblate (Vietnamese) (d7a1ad61)

2025-06-22 phmqXPD

        * Translated using Weblate (Vietnamese) (ca31db24)

2025-06-19 Øjvind Fritjof Arnfred

        * Translated using Weblate (Danish) (76328fc8)

2025-06-10 Mike Gabriel

        * Merge branch 'fix/drop-ordered-subdir' into 'main' (6360570b)

2025-06-10 OPNA2608

        * treewide: Don't require ordered subdir processing (96b6e196)

2025-05-19 Priit Jõerüüt

        * Translated using Weblate (Estonian) (43034d1b)

2025-05-18 Ida Brenna

        * Translated using Weblate (Norwegian Bokmål) (b3e54dab)

2025-05-06 Priit Jõerüüt

        * Translated using Weblate (Estonian) (fb389278)

2025-05-05 Mike Gabriel

        * Release 1.0.3 (cb788472) (tag: 1.0.3)

2025-04-16 Ratchanan Srirattanamet

        * Merge branch 'personal/fredldotme/encryption' into 'main'
          (c0062b0c)

2025-04-16 Alfred Neumayer

        * debian: Set RestartSec=1s to avoid hitting rate limit (8f4c0432)

2025-04-03 Valery Levanchuk

        * Translated using Weblate (Belarusian) (e7b45a9f)

2025-03-21 Ratchanan Srirattanamet

        * Merge branch 'personal/fredldotme/keyboard-heights-adjust' into
          'main' (8b5c1ead)

2025-03-20 Alfred Neumayer

        * qml/keys: Adjust key height constants (2df841a7)

2025-03-13 Niko

        * Translated using Weblate (Serbian) (fd797eab)

2025-02-01 Milo Ivir

        * Translated using Weblate (Croatian) (d64b74d7)

2024-12-27 Hosted Weblate

        * Update translation files (08ca4c73)

2024-10-11 Mike Gabriel

        * Release 1.0.2 (6876f5de) (tag: 1.0.2)

2024-08-11 umesaburo sagawa

        * Translated using Weblate (Japanese) (0e05b944)

2024-07-22 Jiri Grönroos

        * Translated using Weblate (Finnish) (5d2fece3)

2024-06-24 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/hunspell-hr' into 'main'
          (8a76848e)

2024-06-24 Ratchanan Srirattanamet

        * d/control: migrate myspell-hr -> hunspell-hr (37ed51f8)

2024-06-20 Mike Gabriel

        * Merge branch 'personal/lduboeuf/default_settings_change' into
          'main' (495d35e0)

2024-06-14 Lionel Duboeuf

        * makes Auto-capitalization, Auto-completion, Keyboard vibration,
          Auto punctation opt-in fixes
          https://gitlab.com/ubports/development/core/lomiri-keyboard/-/issues/207
          (b0da4e46)

2024-05-28 Ali Beyaz

        * Translated using Weblate (Turkish) (7e79f10f)

2024-05-04 phlostically

        * Translated using Weblate (Esperanto) (105d9b1e)

2024-04-16 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/build-against-noble' into 'main'
          (d4c92203)

2024-04-16 Ratchanan Srirattanamet

        * debian/{control, rules}: make packaging also builds on Debian
          testing (42a050b7)
        * debian/lomiri-keyboard.install: update for new Maliit plugin
          location (ecff4896)
        * tests/: fix compiling test on newer Maliit (4ef3bab3)
        * debian/{control, rules}: fix dependencies on Ubuntu Noble
          (51131e06)

2024-03-06 Giannis Vassilopoulos

        * Translated using Weblate (Greek) (1cfb0a51)

2024-02-11 ancalina

        * Translated using Weblate (Korean) (7d73180b)

2024-01-28 ButterflyOfFire

        * Translated using Weblate (Kabyle) (da200ff1)

2024-01-28 Mike Gabriel

        * Release 1.0.1 (c4e3f6b6) (tag: 1.0.1)

2023-12-27 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (3f9770dc)
        * Added translation using Weblate (Tamil (Sri Lanka)) (23907a45)
        * Added translation using Weblate (German (Walser)) (7a4c8602)
        * Added translation using Weblate (Meadow Mari) (cd5313de)
        * Added translation using Weblate (Crimean Tatar) (ced1c219)
        * Added translation using Weblate (Chuvash) (a07fd44b5)
        * Added translation using Weblate (Silesian) (185f1bce)
        * Added translation using Weblate (Latin) (b388eef6)
        * Added translation using Weblate (Venetian) (f85e33b6)
        * Added translation using Weblate (Ossetian) (231c6a3c)
        * Added translation using Weblate (Sami (Northern)) (fe643fc1)
        * Added translation using Weblate (Greenlandic) (633ecef7)
        * Added translation using Weblate (Assamese) (6801dbcf)
        * Added translation using Weblate (Haitian) (3d3743e9)
        * Added translation using Weblate (Cornish) (bec01a32)
        * Added translation using Weblate (Frisian) (15037a81)
        * Added translation using Weblate (Kashubian) (2c326eca)
        * Added translation using Weblate (Aragonese) (cbc1e512)
        * Added translation using Weblate (Tibetan) (bbe646e7)
        * Added translation using Weblate (Filipino) (6c350bc5)
        * Added translation using Weblate (Tigrinya) (32ea4a8f)
        * Added translation using Weblate (Tatar) (f2afe16c)

2023-12-26 Weblate

        * Added translation using Weblate (Italian (it_CARES)) (fb7b7518)

2023-11-29 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (f8cab8c6)

2023-12-04 Reza Almanda

        * Translated using Weblate (Indonesian) (d204a52e)

2023-11-16 Ratchanan Srirattanamet

        * Merge branch 'bengali-pkgconfig' into 'main' (4cfb9b9e)

2023-10-14 Luca Weiss

        * Use pkg-config to link to hunspell in Bengali plugins (46d67be2)

2023-10-18 Weblate

        * Added translation using Weblate (Xhosa) (cb7fe85d)
        * Added translation using Weblate (Manx) (72d58c36)
        * Added translation using Weblate (Corsican) (16becaa7)
        * Added translation using Weblate (Chechen) (f22e667f)
        * Added translation using Weblate (Wolof) (e5d011ab)
        * Added translation using Weblate (Uzbek) (7c56173e)
        * Added translation using Weblate (Kyrgyz) (59da45d0)
        * Added translation using Weblate (Sotho (Southern)) (b56bd5ca)
        * Added translation using Weblate (Norwegian Nynorsk) (4713d148)
        * Added translation using Weblate (Odia) (dd3304cd)
        * Added translation using Weblate (Irish) (d99f35ef)

2023-10-15 Mike Gabriel

        * Release 1.0 (780210a3) (tag: 1.0)

2023-10-03 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/reduce-bn-weight' into 'main'
          (2dfe1b3b)

2023-09-22 Ratchanan Srirattanamet

        * Reduce the weight of Bengali plugins (35b2bac9)

2023-09-07 Ratchanan Srirattanamet

        * Merge branch 'bengali-avro' into 'main' (ea82db32)

2023-09-07 Abdullah AL Shohag

        * added avro layout (with suggestions) (9dec0345)

2023-09-01 Ratchanan Srirattanamet

        * Merge branch 'bengali-traditional' into 'main' (311e0f62)

2023-09-01 Abdullah AL Shohag

        * added 2 traditional bengali keyboard layouts (f3af7ce2)

2023-08-26 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/fix-custom-symbols' into 'main'
          (c8815e82)

2023-08-16 Ratchanan Srirattanamet

        * plugins/fa: fix custom symbol pane for Persian language (ef2c9018)

2023-08-23 Mike Gabriel

        * Merge branch 'fix-russian' into 'main' (5aa3a45e)

2023-05-06 Ilia Vasilev

        * Edited russian layout (b7d7e408)

2023-08-13 Abdullah AL Shohag

        * Translated using Weblate (Bengali (Bangladesh)) (1f9002ca)

2023-08-18 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/hfd-othervibrate' into 'main'
          (073f38f9)

2023-08-10 Ratchanan Srirattanamet

        * debian/*.service: allow keyboard to bypass "Other vibrations"
          (9d4b7cf4)

2023-08-04 Salif Mehmed

        * Translated using Weblate (Bulgarian) (81acbc78)

2023-06-30 Weblate

        * Added translation using Weblate (Sanskrit) (100ed67f)

2023-06-27 Rudra Harsh V.Singh

        * Translated using Weblate (English (Canada)) (9d98bf27)
        * Translated using Weblate (Hindi) (7bd2cbd0)

2023-04-14 Lundrin

        * Translated using Weblate (Hungarian) (f8c368dd)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (f10286a8)
        * Translated using Weblate (Georgian) (218e227c)

2023-04-11 Temuri Doghonadze

        * Translated using Weblate (Georgian) (fdd88372)

2023-03-05 Mike Gabriel

        * Merge branch 'main' into 'main' (e395b2bb)

2021-08-16 030

        * Fix chewing/zh-hant (1abc44fd)

2023-02-27 Heimen Stoffels

        * Translated using Weblate (Dutch) (a62dd78e)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (d43e8073)

2023-02-20 Sergii Horichenko

        * Translated using Weblate (Russian) (817c937b)

2023-02-16 phlostically

        * Translated using Weblate (Esperanto) (e405ea3b)

2023-02-14 Luna Jernberg

        * Translated using Weblate (Swedish) (dc4a9fa5)

2023-01-31 Mike Gabriel

        * Merge branch 'personal/gberh/dh-12' into 'main' (9ee1c9cb)

2023-01-31 Guido Berhoerster

        * Update to dh version 12 (8cf967d7)

2023-01-21 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (4575bca5)
        * Translated using Weblate (Russian) (27192754)

2023-01-14 Dan

        * Translated using Weblate (Ukrainian) (c3ba9b71)

2023-01-11 Dan

        * Translated using Weblate (Ukrainian) (dca2e9d5)

2023-01-04 Anonymous

        * Translated using Weblate (Chinese (Min Nan)) (992d41d9)
        * Translated using Weblate (Kurdish (Southern)) (8c1241be)
        * Translated using Weblate (Kurdish (Northern)) (3c87576d)
        * Translated using Weblate (Shan) (c3532559)
        * Translated using Weblate (Bemba) (0b6be0e5)
        * Translated using Weblate (Oromo) (171054a9)
        * Translated using Weblate (Dhivehi) (1eedab28)
        * Translated using Weblate (Nyanja) (01e00373)
        * Translated using Weblate (English (United States)) (2bb34d30)
        * Translated using Weblate (Macedonian) (8b9da32f)
        * Translated using Weblate (Maori) (4f4c7dac)
        * Translated using Weblate (Malayalam) (a66fc38d)
        * Translated using Weblate (Friulian) (912e8c6c)
        * Translated using Weblate (Icelandic) (873e9fb5)
        * Translated using Weblate (Pashto) (d6ee8971)
        * Translated using Weblate (Telugu) (bad625fb)
        * Translated using Weblate (Turkmen) (e8a7912d)
        * Translated using Weblate (Tetum) (8f1b03d9)
        * Translated using Weblate (Ido) (7045e268)
        * Translated using Weblate (Scots) (c59f51d8)
        * Translated using Weblate (Franco-Provençal) (c2dfed14)
        * Translated using Weblate (Sindhi) (81364738)
        * Translated using Weblate (Pampanga) (b87b0ab0)
        * Translated using Weblate (Malagasy) (e9f05a30)
        * Translated using Weblate (Kabyle) (c468b889)
        * Translated using Weblate (Luxembourgish) (5a8fc14a)
        * Translated using Weblate (Vietnamese) (4744e829)
        * Translated using Weblate (Tajik) (99e502cb)
        * Translated using Weblate (Nepali) (863799cd)
        * Translated using Weblate (Burmese) (b95b0fcc)
        * Translated using Weblate (Marathi) (23b541f5)
        * Translated using Weblate (Lao) (97db4df2)
        * Translated using Weblate (Lingala) (ddbe7be3)
        * Translated using Weblate (Lojban) (1819535b)
        * Translated using Weblate (French (Switzerland)) (18f4c33a)
        * Translated using Weblate (Estonian) (4c6b422b)
        * Translated using Weblate (Kurdish (Central)) (6a3c0404)
        * Translated using Weblate (Bulgarian) (7e263e16)

2023-01-05 Mike Gabriel

        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (355d95c1)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (77075923)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (3e8cbcb1)

2023-01-04 Mike Gabriel

        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (f2a7f2b6)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Min Nan)) (7788ccc1)
        * Added translation using Weblate (Kurdish (Southern)) (c9be9e62)
        * Added translation using Weblate (Kurdish (Northern)) (623a46e3)
        * Added translation using Weblate (Shan) (7ceb7d09)
        * Added translation using Weblate (Bemba) (79f7ab36)
        * Added translation using Weblate (Oromo) (6a27f058)
        * Added translation using Weblate (Dhivehi) (cfc6c506)
        * Added translation using Weblate (Bengali (Bangladesh)) (1a3407cd)
        * Added translation using Weblate (Nyanja) (4fed2af8)
        * Added translation using Weblate (English (Canada)) (8fd78b71)
        * Added translation using Weblate (Sardinian) (7269b28c)
        * Added translation using Weblate (English (United States))
          (f146d19f)
        * Added translation using Weblate (Macedonian) (0a9128bf)
        * Added translation using Weblate (Maori) (d3055f3a)
        * Added translation using Weblate (Malayalam) (145faf84)
        * Added translation using Weblate (Friulian) (b2f24885)
        * Added translation using Weblate (Hindi) (a9563828)
        * Added translation using Weblate (Armenian) (3873f839)
        * Added translation using Weblate (Icelandic) (b4ecf6fd)
        * Added translation using Weblate (Pashto) (b81fc91c)
        * Added translation using Weblate (Telugu) (5ee7e0f9)
        * Added translation using Weblate (Turkmen) (805075b3)
        * Added translation using Weblate (Valencian) (9ed37a2f)
        * Added translation using Weblate (Gujarati) (11601dad)

2023-01-03 Muhammad

        * Translated using Weblate (Urdu) (bfb26f27)

2023-01-03 Weblate

        * Added translation using Weblate (Urdu) (7cd0dffa)
        * Added translation using Weblate (Tetum) (55119dee)
        * Added translation using Weblate (Ido) (3196cf03)
        * Added translation using Weblate (Scots) (63b48572)
        * Added translation using Weblate (Franco-Provençal) (3adaf325)
        * Added translation using Weblate (Sindhi) (eec4f6b8)
        * Added translation using Weblate (Pampanga) (480d97c4)
        * Added translation using Weblate (Malagasy) (5d963c92)
        * Added translation using Weblate (Kabyle) (a937f17a)
        * Added translation using Weblate (Luxembourgish) (50abb431)

2023-01-03 Hosted Weblate

        * Update translation files (8254540c)

2022-12-13 Marius Gripsgard

        * Merge branch 'personal/pet-psuwit/migration-script-fixup' into
          'main' (f06692d7)

2022-12-14 Ratchanan Srirattanamet

        * debian/session-migration: switch from sed to bash parameter
          expansion (304673cd)
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri-keyboard/-/issues/194

2022-12-04 Mike Gabriel

        * Merge branch 'fix_53' into 'main' (6a96c6fd)

2022-09-02 Sergey Chupligin

        * Keyboard_numbers: Make extended decimal separators (dc85b87c)
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri-keyboard/-/issues/53

2022-10-28 Marius Gripsgard

        * Merge branch 'personal/sunweaver/update-jenkinsfile' into 'main'
          (bc952c81)

2022-10-28 Mike Gabriel

        * debian/Jenkinsfile: Update. Use buildAndProvideDebianPackage() from
          ubports-build-tools. (6c54ee8b)
        * Merge branch 'fix_warn' into 'main' (d666cf43)

2022-07-26 Sergey Chupligin

        * Fixup build on last debian/ubuntu (59c05a4d)

2022-08-19 Ratchanan Srirattanamet

        * Merge branch 'systemd-migration' into 'main' (c77a91a3)

2022-08-17 Guido Berhoerster

        * Remove obsolete upstart job (5d60a45f)

2022-06-23 Guido Berhoerster

        * Merge branch 'HackerShohag-ubports/xenial-patch-96782' into 'main'
          (59c0ad9e)

2021-09-12 Abdullah AL Shohag

        * Update README.md (db38a803)

2021-08-15 Rodney

        * Merge branch 'fix-pkgconfig-link' into 'main' (2a8204bf)

2021-08-15 Luca Weiss

        * Fix pkgconfig link of language plugins (9f510530)
          Fixes: 54bee53d
          ("Link properly to hunspell")

2021-08-15 Rodney

        * Merge branch 'fix-compile' into 'main' (9a1e21a4)

2021-05-21 Luca Weiss

        * InputMethodHostProbe: move stubs into header (f9f51f7e)

2021-04-17 Luca Weiss

        * InputMethodHostProbe: mark functions as override (5a1021d7)

2021-05-21 Luca Weiss

        * InputMethodHostProbe: remove outdated function declarations
          (7bdffdb8)

2021-04-17 Luca Weiss

        * Link properly to hunspell (54bee53d)

2021-07-20 Dalton Durst

        * Merge branch 'personal/peat-psuwit/rename-to-lomiri' into 'main'
          (9c17f9a2)

2021-07-13 Ratchanan Srirattanamet

        * d/systemd: remove PartOf line (9145d7d6)
        * d/control: transition dictionary packages to hunspell where
          applicable (96c9435b)
        * d/control: fix the autopilot package of Lomiri-UITK (2232de54)

2021-07-09 Ratchanan Srirattanamet

        * d/*: add a migration script for gsettings rename (88e136d2)
        * Rename GSettings schema to lomiri (61c60a90)
        * GreeterStatus: migrate to Lomiri's renamed interface (2f8b7425)

2021-07-08 Ratchanan Srirattanamet

        * d/server.conf: update plugin name (57b06662)

2021-07-07 Ratchanan Srirattanamet

        * d/*: add a systemd user unit file (26e22f97)
        * .gitignore: ignore more compiled stuff (e4dfe722)
        * d/control, tests: update metadata (19a27f84)
        * debian/*: rename binary packages (e01e280a)
        * Remove an empty, from nowhere, fr_ch file (3ca64cc8)
        * Migrate remaining .bzrignore to .gitignore (17499b38)
        * Remove unused .bzr-builddeb (7bc3ae2c)
        * Remove unused snap building files & buildOnDevice.sh (6f6bc31d)

2021-07-06 Ratchanan Srirattanamet

        * benchmark: rename target (98b8575e)
        * po: update the project name and gettext domain (c6756a69)
        * tests/autopilot: migrate to Lomiri.Web (bcc70bfc)
        * tests/autopilot: rename .desktop metadata (24b23d90)
        * tests: rename autopilot test (2f067687)
        * tests/autopilot: Rename Ubuntu Keyboard in comments & description
          (78128b88)
        * src/: update Ubuntu Keyboard references in comments (4954c2e3)
        * src/imports: rename header guard (c9469b65)
        * Rename QML extension to Lomiri (81289369)
        * src/imports: rename C++ namespace to Lomiri (f37ddd4f)
        * Rename plugin interface to Lomiri (3418aef8)
        * Rename object name for autopilot test (050f43d9)
        * Rename internal QML type URI (69854b07)
        * Rename the styles directory to lomiri (d37427c6)
        * Rename library/plugin name to lomiri (b6e8af36)
        * Change MALIIT_DEFAULT_PROFILE to lomiri (a28fd581)
        * Switch the plugin installation path to Lomiri (b7884136)

2021-07-05 Ratchanan Srirattanamet

        * Rename package name to lomiri-keyboard (d84d9269)
        * Rename build-time variables and prefixes to Lomiri (7f6c9119)
        * spellchecker: adapt to API change and deprecation of Hunspell
          (0f8e0bfe)

2018-02-18 Marius Gripsgard

        * Fix a switch fall (e044fd71)

2021-07-05 Ratchanan Srirattanamet

        * Fix the usage of dh-python (8414ddd3)
        * Adapt to API change in libpinyin (33ffac1c)
        * Migrate to Lomiri-UITK (83b09a94)
        * Rename the source to lomiri-keyboard; get a version bump (89554f44)

2021-07-09 Ratchanan Srirattanamet

        * Move Jenkinsfile to debian/ per the new guideline (c0b9aadb)
        * Merge pull request #193 from
          ubports-weblate/weblate-ubports-keyboard-component
          (59af5c17)

2021-06-30 Weblate

        * Translated using Weblate (Dutch) (0e130731)

2021-06-07 Rodney

        * Merge pull request #188 from
          ubports-weblate/weblate-ubports-keyboard-component
          (f586fffb)

2021-06-06 Weblate

        * Translated using Weblate (Amharic) (300d8346)

2021-06-02 Rodney

        * Merge pull request #185 from
          ubports-weblate/weblate-ubports-keyboard-component
          (4295ead2)

2021-06-01 Weblate

        * Translated using Weblate (Swedish) (a91a8514)

2021-06-01 Florian Leeber

        * Merge pull request #184 from HackerShohag/patch-1 (b6116883)

2021-06-01 Abdullah AL Shohag

        * Update README.md (34225fb7)

2021-05-24 Rodney

        * Merge pull request #182 from
          ubports-weblate/weblate-ubports-keyboard-component
          (9c80becc)

2021-05-23 Weblate

        * Translated using Weblate (Thai) (bb4d314d)

2021-05-21 Rodney

        * Merge pull request #181 from
          ubports-weblate/weblate-ubports-keyboard-component
          (8f1147a7)

2021-05-21 Weblate

        * Translated using Weblate (Galician) (29ed05d4)

2021-05-20 Rodney

        * Merge pull request #180 from
          ubports-weblate/weblate-ubports-keyboard-component
          (1ec93c56)

2021-05-19 Weblate

        * Translated using Weblate (Galician) (1c830988)

2021-05-19 Antikruk

        * Add a Belurusian keyboard (#146) (dd9e61a3)

2021-05-15 Rodney

        * Merge pull request #179 from
          ubports-weblate/weblate-ubports-keyboard-component
          (8713b38f)

2021-05-15 Weblate

        * Translated using Weblate (German) (3eeffa0f)

2021-05-14 Joan CiberSheep

        * Add degree symbol (#178) (968681f7)

2021-05-13 Rodney

        * Merge pull request #176 from
          ubports-weblate/weblate-ubports-keyboard-component
          (a01535c2)

2021-05-03 Weblate

        * Translated using Weblate (Chinese (Simplified)) (598080da)

2021-04-19 Florian Leeber

        * Merge pull request #171 from
          ubports-weblate/weblate-ubports-keyboard-component
          (cfe5f5d1)

2021-04-19 Weblate

        * Translated using Weblate (Japanese) (70487f06)

2021-04-06 Rodney

        * Merge pull request #169 from Fuseteam/cleanup (9d7863e1)

2021-04-06 Fuseteam

        * let the shiftkey make use of the icons in the toolkit (2a4518a2)
        * remove trailing spaces (4fa923c3)

2021-04-02 boriseto

        * Add Macedonian layout (#138) (a8d49a7e)

2021-03-26 Rodney

        * Merge pull request #167 from
          ubports-weblate/weblate-ubports-keyboard-component
          (ed3c5fbf)

2021-03-26 Weblate

        * Translated using Weblate (Russian) (52f8097f)

2021-03-24 Dalton Durst

        * Merge pull request #134 from
          lduboeuf/xenial_-_enable_swiss_predictive_dictionnary
          (21c90db2)

2021-03-21 Florian Leeber

        * Merge pull request #166 from
          ubports-weblate/weblate-ubports-keyboard-component
          (67f296c0)

2021-03-19 Weblate

        * Translated using Weblate (Czech) (1a2e9bd5)

2021-03-18 Florian Leeber

        * Merge pull request #165 from
          ubports-weblate/weblate-ubports-keyboard-component
          (6caab4c3)

2021-03-17 Weblate

        * Translated using Weblate (Dutch) (17681cb1)

2021-03-15 Rodney

        * Merge pull request #164 from kugiigi/xenial_-_fix59 (71978ab6)

2021-03-15 Florian Leeber

        * Merge pull request #163 from
          ubports-weblate/weblate-ubports-keyboard-component
          (b9bb7cd6)

2021-03-14 Weblate

        * Translated using Weblate (French (Canada)) (37ec7981)

2021-03-08 Kugi Eusebio

        * Fixed #159 (15436bda)

2021-02-22 Florian Leeber

        * Merge pull request #156 from
          ubports-weblate/weblate-ubports-keyboard-component
          (bb1dd549)

2021-02-15 Weblate

        * Translated using Weblate (Chinese (Traditional)) (e9e0ac70)

2021-02-15 Florian Leeber

        * Merge pull request #155 from
          ubports-weblate/weblate-ubports-keyboard-component
          (74377b55)

2021-02-12 Weblate

        * Translated using Weblate (Spanish) (7dc243e8)

2021-02-07 Florian Leeber

        * Merge pull request #154 from
          ubports-weblate/weblate-ubports-keyboard-component
          (cbc35b37)

2021-02-06 Weblate

        * Translated using Weblate (Chinese (Simplified)) (dc04de4e)

2021-01-31 Florian Leeber

        * Merge pull request #153 from
          ubports-weblate/weblate-ubports-keyboard-component
          (a2379dab)

2021-01-30 Lionel Duboeuf

        * add comment (7877b6f2)

2021-01-29 Weblate

        * Translated using Weblate (Bengali) (20e6a5ba)

2021-01-29 Joan CiberSheep

        * Homogenic Layout for Catalan Keyboard (#124) (991118c8)

2021-01-24 Rodney

        * Merge pull request #151 from
          ubports-weblate/weblate-ubports-keyboard-component
          (ad2b2ac2)

2021-01-18 Weblate

        * Translated using Weblate (Italian) (60d267a0)

2021-01-18 Rodney

        * Merge pull request #149 from
          ubports-weblate/weblate-ubports-keyboard-component
          (c93d2ff3)

2021-01-16 Weblate

        * Translated using Weblate (Russian) (d8adcae8)

2021-01-12 Rodney

        * Merge pull request #148 from
          ubports-weblate/weblate-ubports-keyboard-component
          (fe747829)

2021-01-08 Weblate

        * Translated using Weblate (Italian) (4807bf97)

2021-01-04 Rodney

        * Merge pull request #147 from
          ubports-weblate/weblate-ubports-keyboard-component
          (7e120a62)

2021-01-01 Weblate

        * Translated using Weblate (Tamil) (8b614d2f)

2020-12-22 Rodney

        * Merge pull request #144 from
          ubports-weblate/weblate-ubports-keyboard-component
          (8be49a78)

2020-12-20 Weblate

        * Translated using Weblate (Dutch) (690c4310)

2020-12-18 Lionel Duboeuf

        * ship plugin lib for en@dv (cbb88bfe)
        * remove some debug lines (d7095f11)
        * provide a fallback database path when switching language and layout
          (08ae64f8)

2020-12-17 Rodney

        * Merge pull request #143 from
          ubports-weblate/weblate-ubports-keyboard-component
          (8f887dc9)

2020-12-17 Weblate

        * Translated using Weblate (Albanian) (dca4c057)

2020-12-17 Rodney

        * Merge pull request #141 from
          ubports-weblate/weblate-ubports-keyboard-component
          (223cf729)

2020-12-17 Weblate

        * Update translation files (480215d4)

2020-12-16 Rodney

        * Merge pull request #139 from Vistaus/xenial (c2c706e0)

2020-12-06 Heimen Stoffels

        * Updated Dutch keyboard translation (8ef99be0)

2020-06-19 Ratchanan Srirattanamet

        * Add a Thai keyboard without prediction support (5c0dc570)

2020-09-04 Lionel Duboeuf

        * allow to load predict worker for fr-ch (0b9e0e5b)
        * remove redundant files from fr language (bb90559c)

2020-09-03 Lionel Duboeuf

        * enable swiss predictive dictionary (75de65f6)

2020-07-08 Cyjan

        * Fixed polish keyboard layout (#131) (eaa3d713)

2020-01-31 Lionel Duboeuf

        * fix anchor loop for Magnifier (ddd892a8)

2019-11-20 Kugi Eusebio

        * Added bottom gesture for triggering cursor mover/advanced functions
          (#98) (5a1bb211)

2019-11-10 Kugi Eusebio

        * change behavior of done button and double-tap (b41a9301)

2019-11-12 Merkhad Luigton

        * fix keyboard-component builds (#108) (b3bbc6a7)

2019-10-15 Michele

        * autoCaps shouldn't be activated by ":" (614721ec)

2019-10-30 Marius Gripsgard

        * Merge pull request #104 from ubports/xenial_-_edge (93e577f6)

2019-09-07 Marius Gripsgard

        * Enable wayland (#92) (a9f43700)

2019-01-07 Marius Gripsgard

        * Build in parallel (e668f547)

2017-03-01 Gerry Boland

        * Remove all build-time mir dependence (e57c9cf6)

2017-02-02 Michael Sheldon

        * Update to new Mir API (fb699799)

2019-09-11 Zoe

        * Add dvorak layout (#86) (0b1ffc43)

2019-06-19 Kugi Eusebio

        * comment cleanup, reverted some logic, updated pot file, added text
          in cursor mover mode (1e4bc26b)

2019-06-17 Kugi Eusebio

        * fix issue wi thActionsToolbar (0823addd)
        * minor code cleanup (05808ee6)
        * implemented text functions (copy, paste, etc) (f3ea91a5)

2019-09-09 Pellegrino Prevete

        * Added on-device testing instructions (#89) (490e31a2)

2019-09-08 Merkhad Luigton

        * respect magnifier setting in Japanese keyboard layout (#94)
          (08cc0ee5)

2019-08-26 Dalton Durst

        * Quality changes to French-Swiss keyboard (d4dbee7c)

2019-08-22 Florian Leeber

        * Merge pull request #84 from Daniel20000522/xenial (2b8cb7bd)

2019-08-22 Daniel

        * Update Keyboard_pl.qml (1bb51853)
        * Update Keyboard_pl_email.qml (56121f0e)
        * Update Keyboard_pl_url_search.qml (28f36d5d)
        * Update Keyboard_pl_url.qml (33ceba7a)

2019-06-18 Johannes Renkl

        * Let ubuntu-keyboard-autopilot depend on autopilot-qt5 instead of
          libautopilot-qt (2e44c669)

2019-06-11 Kugi Eusebio

        * Implement an option to turn off the key-magnifier (#66) (747cb8ed)

2019-01-25 Rodney

        * Merge pull request #64 from kugiigi/xenial_-_japtheme (f0e11cc6)

2019-01-13 Kugi Eusebio

        * Update FlickCharKey.qml (5900766f)
        * fixed theming for japanese layout (cf27b554)

2018-12-30 Dalton Durst

        * Fix swiss-french layout (#61) (1438b5e4)

2018-12-30 Florian Leeber

        * Merge pull request #55 from Talkless/add-lt (fcedf82f)

2018-12-29 Marius Gripsgard

        * Merge pull request #57 from kugiigi/xenial_-_themes (ddf8aeb6)

2018-12-21 Kugi Eusebio

        * Update Magnifier.qml (39586da2)
        * Update ExtendedKeysSelector.qml (328007a3)
        * Update BorderedGrey.json (d1d0efd1)
        * Update JustGrey.json (0d8e02e5)
        * Update SuruDark.json (7ce58eba)
        * Update SuruBlack.json (6d7ebf4c)

2018-12-19 Kugi Eusebio

        * Update LanguageMenu.qml (c950ea67)

2018-12-18 Kugi Eusebio

        * Update BorderedWhite.json (2477e2f0)
        * Update BorderedGrey.json (89e6d3f1)
        * Update BorderedBlack.json (90e5187a)

2018-12-17 Kugi Eusebio

        * added themes support (d75ccfe5)

2018-11-11 Vincas Dargis

        * Add Lithuanian keyboard layout (65762dfd)

2018-11-23 Kugi Eusebio

        * Merge pull request #2 from ubports/xenial (2421120d)

2018-05-08 Jan Sprinz

        *  Work around keyboard being dismissed too often (#42) (73ea98eb)

2018-05-07 Marius Gripsgard

        * Add debian packages for fr_ch and tr and fix some build config
          errors (#41) (bd43bdc1)
        * Merge pull request #37 from skrech/bulgarian-layout (a714583d)

2018-05-06 Jan Sprinz

        * Merge pull request #40 from ubports/xenial_-_cleanup-merge
          (6a8898dd)

2018-05-06 Marius Gripsgard

        * Revert "Update to new Mir API" (c0f6983c)
        * Revert "Remove all build-time mir dependence" (cbc6b798)
        * Revert "Revert "Merge branch 'master' into vivid"" (e5ee5063)

2018-05-05 Marius Gripsgard

        * Merge pull request #39 from ubports/master (0938a728)

2018-04-14 skrech

        * Added Bulgarian keyboard layout. (6cc710ac)

2018-03-03 Marius Gripsgard

        * Enable arm64 again (7ebfa1a2)

2018-02-23 Kugi Eusebio

        * Set initial value of X and Y on press and hold (#32) (f03214aa)

2018-02-19 Stefano Verzegnassi

        * Merge pull request #34 from sverzegnassi/patch-xenial-it-keys
          (2165161a)

2018-02-08 Stefano Verzegnassi

        * [Italian] Update email layout and swap '.com' <-> '.ch' (ab23e25a)

2018-01-12 Aury88

        * substitution of .int with .ch (56ba644d)

2018-01-11 Aury88

        * Changes in UrlKey (ba42e392)

2018-01-12 Aury88

        * substitution of .int with .ch (ebf3d42f)

2018-01-11 Aury88

        * changes in UrlKey extended (16e1d1d0)

2018-01-18 Ivo Xavier

        * Update Keyboard Portuguese (pt) Layout (#31) (0b5bfeec)

2017-12-30 Marius Gripsgard

        * Dont build arm64 until we have a newer mir out (b2a8b359)
        * Remove platformsupport-private and use
          eventdispatcher_support_private (e3f4b5fc)
        * Dont put maliit-server.conf inside a folder (maliit-server.conf)
          (29e7c75c)

2017-12-28 Marius Gripsgard

        * Update Jenkinsfile (24f218c2)

2017-12-12 Jan Sprinz

        * Merge pull request #22 from spartid/master (1ea72147)

2017-02-16 Michael Sheldon

        * Add maliit upstart job (033b1336)

2017-10-22 Marius Gripsgard

        * Update Jenkinsfile (3b24da32)
        * Update changelog (1e112af8)

2017-10-21 spartid

        * Update qml.pro (e2c94515)

2017-10-17 spartid

        * Update qml.pro (a4e8d671)
        * Update and rename Keyboard_fr_url_search.qml to
          Keyboard_fr-ch_url_search.qml (8d3a0d02)
        * Update and rename Keyboard_fr_url.qml to Keyboard_fr-ch_url.qml
          (e709c609)
        * Update and rename Keyboard_fr_email.qml to Keyboard_fr-ch_email.qml
          (c9170ba9)
        * Update Keyboard_fr-ch.qml (25de54d6)
        * Update Keyboard_fr-ch.qml (ff6940f3)
        * Update Keyboard_fr-ch.qml (3ddecb24)
        * Update and rename Keyboard_fr.qml to Keyboard_fr-ch.qml (ab906ef9)

2017-10-16 spartid

        * Add files via upload (f940bd32)
        * Delete fr_ch (136d421c)
        * Create fr_ch (a25fcb18)
        * Create fr_ch (4e18f415)
        * Delete fr_ch (67754732)
        * Create fr_ch (b3f8a9fe)

2017-10-01 Florian Leeber

        * Merge pull request #17 from turanmahmudov/master (f9b9f6f3)

2017-10-01 Turan

        * Add new turkish keyboard layout (9344f97d)

2017-09-30 Florian Leeber

        * Merge pull request #16 from turanmahmudov/master (9610204e)

2017-09-30 Turan

        * Update prediction database for azerbaijani (457e292c)

2017-09-25 Marius Gripsgard

        * Use a version format gbp understand (3bc56879)
        * Revert "Merge branch 'master' into vivid" (644d1981)
        * Create Jenkinsfile (5ad5229e)
        * Merge branch 'master' into vivid (5481a889)

2017-06-21 Florian Leeber

        * Merge pull request #9 from ivoxavier/patch-1 (583c9d83)

2017-06-21 Ivo Xavier

        * Update Keyboard_pt_url.qml (ac7781a6)

2017-06-04 Alberto Mardegan

        * Fix wrong time of entering preedit (e8e13911)

2017-06-03 Alberto Mardegan

        * Add unit test (76191898)
        * Don't overwrite symbols, even if auto-correct is disabled
          (bb347d1b)
          Fixes:
          https://github.com/ubports/keyboard-component/issues/2

2017-06-03 Florian Leeber

        * Merge pull request #5 from Elleo/fix-1669440 (d3376762)

2017-06-03 Marius Gripsgard

        * Merge pull request #4 from Elleo/fix-1571099 (7d01e359)
        * Merge pull request #3 from Elleo/swipe-cursor (37da9a37)

2017-06-03 Mike Sheldon

        * Fix fallback to English when the selected plugin is no longer
          available (0ff9a777)
        * Make extended keys consistent between shifted and unshifted state
          on the Catalan layout (43bd6e69)
        * Hide label on space key when in cursor movement mode (84691541)
        * Hide key labels when in swipe mode (33f3b5b0)
        * Backport swipe cursor from trunk (8cad8c9d)

2017-04-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7c7e20af)

2017-04-05 Bileto Bot

        * Resync trunk. (2cfd17ae)

2017-04-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (73ddcaaf)

2017-03-20 Bileto Bot

        * Releasing 0.100+17.04.20170320-0ubuntu1 (8b4e390c)

2017-03-20 Masoud Abkenar

        * Persian layout (1ffd0da3)

2017-03-20 Michael Sheldon

        * Tweak sizes for desktop use (fdd6cdab)
        * Allow predictive text in URL mode (but disable automatic space
          insertion) (LP: #1661283) (8c05311c)
        * Implement swipe based cursor movement after long pressing on the
          space key (LP: #1566172) (f58985f0)

2017-03-17 Michael Sheldon

        * Fix magnifier centering (0bda776f)
        * Fix scaling on magnifier and extended keys (49f2cd1c)

2017-03-15 Michael Sheldon

        * Scale elements for the desktop (d2d10a9e)

2017-03-14 Michael Sheldon

        * Reduce keyboard height on desktops and tablets (7145925b)

2017-03-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bc02274d)

2017-03-01 Bileto Bot

        * Releasing 0.100+17.04.20170301-0ubuntu1 (905570d8)

2017-03-01 Gerry Boland

        * Remove all build-time mir dependence (ee1bff71)

2017-03-01 Michael Sheldon

        * Add maliit upstart job (LP: #1659388) (39b994b1)
        * Update to new Mir API (44c293d1)

2017-02-23 Gerry Boland

        * [deb] depend on at least qtubuntu 0.64 which adds the features
          requred (51215abf)
        * Change InputMethod type specifier to better match Qt design
          (f78d0396)
        * Fix registering as input method surface (66f8d7f4)
        * Remove all build-time mir dependence (0fbbae4d)

2017-02-20 Michael Sheldon

        * Fix upstart install path (8ba0dae1)

2017-02-16 Michael Sheldon

        * Fix ordering of 'Breaks' packages (308b38ad)
        * Add Replaces/Breaks for ubuntu-touch-session (114e2b73)
        * Add maliit upstart job (31ab47a9)

2017-02-13 Michael Sheldon

        * Hide label on space key when in cursor movement mode (96e6058f)
        * Merge changes (9c79cefa)
        * Hide key labels when in swipe mode (f38bff3b)

2017-02-09 Michael Sheldon

        * Merge mir deprecation fixes (df86c532)
        * Reduce swipe cursor duration to 400ms (1ecc36da)

2017-02-03 Michael Sheldon

        * Disable spaces on word ribbon selection, but keep them when
          pressing the space bar (dd94ee0c)
        * Merge Mir deprecation updates (912f1cc0)

2017-02-02 Michael Sheldon

        * Update to new Mir API (bdd8b3a0)
        * Allow predictive text in URL mode (but disable automatic space
          insertion) (a77392af)

2017-01-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8653a93b)

2017-01-11 Masoud Abkenar

        * new email url url_search layouts (035fcd4c)

2017-01-11 Michael Sheldon

        * Reduce cursor swipe timeout duration to 400ms (9389a97a)
        * Wait until cursor movement has stopped to trigger autocaps
          (5850451e)

2017-01-11 Masoud Abkenar

        * fix some extended keys order (bd65fca1)

2017-01-10 Bileto Bot

        * Releasing 0.100+17.04.20170110-0ubuntu1 (d77c4c9f)

2017-01-10 Michael Sheldon

        * Add dependency on qml-module-qtquick-localstorage for emoji layout
          (0caabe42)
        * Fix position calculation for swipe cursor movement after releasing
          and swiping a second time (29bf7d7e)

2017-01-10 Masoud Abkenar

        * added persian dict: myspell-fa (993130ce)
        * merge again with trunk (b9399a2f)
        * add symbols keyboard for Persian layout (b17f9001)

2017-01-09 Michael Sheldon

        * Fix final changelog entry for vivid (85cb5f64)
        * Merge from trunk (ed8c5ff7)
        * Implement swipe based cursor movement after long pressing on the
          space key (53d99528)

2017-01-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7f6b01dd)

2017-01-05 Bileto Bot

        * Resync trunk. (6c414d05)

2016-12-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bd1023d8)

2016-12-23 Bileto Bot

        * Releasing 0.100+17.04.20161223-0ubuntu1 (26739059)

2016-12-23 Leo Arias

        * Add the Esperanto layout (db39b7e1)

2016-12-18 Masoud Abkenar

        * fix misaligned backspace (8667dc94)

2016-12-15 Leo Arias

        * Move the Esperanto test to UbuntuKeyboardLayout (993b7a05)

2016-12-14 Bileto Bot

        * Releasing 0.100+17.04.20161214.1-0ubuntu1 (cc2bcf67)

2016-12-14 Michael Sheldon

        * Add custom opacity setting (LP: #1647603) (847fa2aa)

2016-12-10 Michael Sheldon

        * Add opacity setting (1a90acf5)

2016-12-09 Masoud Abkenar

        * merge from parent (eefa0814)
        * Barely compiling Persian keyboard (a851753f)

2016-12-08 Leo Arias

        * Fix the name of the test (38115239)
        * Add the esperanto layout (776d3aa6)

2016-12-01 Michael Sheldon

        * Add dependency on qml-module-qtquick-localstorage for emoji layout
          (1e1da86c)

2016-11-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a2ddbb2a)

2016-11-16 Bileto Bot

        * Releasing 0.100+17.04.20161116-0ubuntu1 (c4e14c80)

2016-11-16 Michael Sheldon

        * Fix flake8 tests on zesty (3f206b2f)

2016-11-16 GunChleoc

        * Changed gd keyboard layout to QWERTY and added a-, h-, n- and t- to
          extensions in main gd keyboard. (a0263852)

2016-11-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2f23fdef)

2016-11-10 Michael Sheldon

        * Fix flake8 tests on zesty (09827de9)

2016-11-10 GunChleoc

        * Removed rightSide: true from M. (efc34c37)

2016-11-08 Bileto Bot

        * Releasing 0.100+17.04.20161108-0ubuntu1 (20e667b0)

2016-11-08 Michael Sheldon

        * Add support for building as a snap Fix usage on X11 (LP: #1572653,
          #1629009) (434d6e3a)
        * Remove echo from snap keyboard wrapper (c0a06067)

2016-11-04 Michael Sheldon

        * Add snap build files (33be36b2)
        * Use prefix path for plugins (ec4af2c6)

2016-11-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (086722c2)

2016-11-03 GunChleoc

        * Added a-, h-, n- and t- to extensions in main gd keyboard.
          (72515a27)
        * Merged trunk. (522b8494)

2016-10-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (caae79fc)

2016-10-12 Michael Sheldon

        * Only disable height reporting under Mir (X11 requires this for
          window shaping) (808df675)
        * Allow plugin prefix path to be set by environment variable (to
          allow for snap usage) (5eb458ca)

2016-10-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7d227013)

2016-09-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (427c8ce7)

2016-09-21 Bileto Bot

        * Releasing 0.100+16.10.20160921-0ubuntu1 (6e21c854)

2016-09-21 Michael Sheldon

        * Replace fonts-noto with fonts-noto-cjk (7d9597fe)
        * Replace fonts-noto with fonts-noto-cjk (35ed6950)

2016-09-15 GunChleoc

        * Merged trunk. (630f0041)

2016-09-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (887d8254)

2016-08-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (193fc151)

2016-08-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f16d127d)

2016-08-26 Bileto Bot

        * Resync trunk. (23d7bcf8)

2016-08-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0a355969)

2016-08-18 Bileto Bot

        * Releasing 0.100+16.10.20160818-0ubuntu1 (749d9b8a)

2016-08-18 Michael Sheldon

        * Add optional dependency on fonts-noto (db8439d2)
        * Make flake8 usage compatible with flake8 3.x (5add0780)
        * Improve double space punctuation insertion behaviour (LP: #1579083)
          (f442dd4e)
        * Add missing qml-module-qtmultimedia dependency (LP: #1594822)
          (5981159c)
        * Make ubuntu-keyboard depend on ubuntu-keyboard-english as it's used
          as a fallback when other plugins are unavailable (LP:
          #1606512) (9fc843fe)
        * Add comment on usage of triple space detection (bd86cd8b)

2016-08-17 Michael Sheldon

        * Merge from trunk (633a7586)
        * Add optional dependency on fonts-noto (5c759f00)
        * Add unit tests for improved punctuation behaviour (206265bd)
        * Remove automatically inserted full-stop if the user continues to
          insert space characters after a double space (00eee8b7)

2016-08-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (055e95d1)

2016-08-15 Michael Sheldon

        * Make flake8 usage compatible with flake8 3.x (d631d7e5)
        * Make ubuntu-keyboard depend on ubuntu-keyboard-english as it's used
          as a fallback when other plugins are unavailable
          (3e3d0218)

2016-08-08 Bileto Bot

        * Releasing 0.100+16.10.20160808.1-0ubuntu1 (307cba5d)

2016-08-08 Florian Boucault

        * Fixes for crossbuilding. (eca38f54)

2016-08-08 Michael Sheldon

        * Fix building against Qt 5.6.1 (c50a08a0)

2016-08-08 Lukáš Tinkl

        * Fix uppercase variant of "ů" -> "Ů" in the Czech layout (8a9929ea)

2016-08-08 chero jeong

        * Add Korean layout (e92d7735)

2016-08-08 Michael Sheldon

        * Switch to scrollable GridView for Emoji layout Add support for all
          the Emoji One characters and categories Add support for
          skin tones Add category for recently used emoji (LP:
          #1441337, #1539554, #1603194, #1607672) (4b133eae)
        * Fix tablet spacing on emoji layout (fc588db5)
        * Reduce number of emoji in tablet layout to allow for easier key
          presses (8bf15312)
        * Merge from trunk (4ec48399)

2016-08-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d9c42a51)

2016-08-04 Michael Sheldon

        * Control emoji loaders based on gridview movement (a0ad2a5b)

2016-08-03 Michael Sheldon

        * Keep single font size for emoji, but display more emoji per screen
          on tablets (4a29375c)
        * Reduce cacheBuffer to 30gu for smoother scrolling and reduced
          memory usage (34437faf)

2016-08-02 Michael Sheldon

        * Show more emoji in landscape mode (f2237dab)
        * Update emoji autopilot tests (29978389)
        * Merge from trunk (6e6001e4)
        * Remove unsupported emoji (4c4ed1b1)
        * Fix emoji category highlighting on startup (239842e2)
        * Remain in changing category mode whilst setting emoji initial
          position (57d44dea)
        * Don't switch back to previous layout until hiding animation is
          complete (9fb9da14)

2016-08-01 Florian Boucault

        * Merged from trunk (091f5393)

2016-08-01 Michael Sheldon

        * Don't reorder emoji in the recents list and fix highlighting of
          recents category (1c73eecb)
        * Fix building against Qt 5.6.1 (8df367df)

2016-07-28 Michael Sheldon

        * Add recent emoji dynamically until we reach the maximum amount
          (2295967f)

2016-07-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a27a83ee)

2016-07-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a7a8c834)

2016-07-21 CI Train Bot

        * Resync trunk. (c5ddc3a3)

2016-07-21 chero jeong

        * replace latin layout for email field (2df85d86)

2016-07-20 Michael Sheldon

        * Fix repositioning of recently used emoji (d0b3153c)

2016-07-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (85dde387)

2016-07-18 Michael Sheldon

        * Merge from trunk (1a4b2d13)
        * Hide magnifier when repositioning keys for emoji recent list
          (eace23f6)
        * Fix offset for recent emoji replacement (ef7a9058)

2016-07-15 Michael Sheldon

        * Show the most recently used emoji on the first page of emoji
          results and remember the user's position when reopening
          the keyboard (b62be39a)

2016-07-12 Michael Sheldon

        * Fix magnifier and category highlighting on emoji GridView
          (0933079d)

2016-07-12 Bileto Bot

        * Releasing 0.100+16.10.20160712-0ubuntu1 (5fcb062d)
        * Use mir input regions instead of the DBus hack (ab980669)

2016-07-12 Daniel d'Andrada

        * This ubuntu-keyboard breaks current/old unity8 (67112165)
        * Don't make qtubuntu mandatory and bump version (3b3fcfc9)

2016-07-11 Michael Sheldon

        * Switch emoji layout to a scrollable GridView, add missing category
          to emoji layout, fix magnifier display for emoji
          (e7fa0979)

2016-07-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8b4ad7df)

2016-07-06 Michael Sheldon

        * Update emoji layout (256f84eb)
        * Merge from trunk (dffdd5d1)
        * Implement new emoji plugin design (8a45df13)

2016-07-06 Florian Boucault

        * do not run the tests when crossbuilding (7fb9463a)
        * spurious removal (92802063)
        * Fixes for crossbuilding. (46f41ce9)

2016-07-05 Michael Sheldon

        * Use emojione categories for emoji plugin (3ea32e5f)

2016-07-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (baed3aea)

2016-07-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (04d42c6e)

2016-06-29 Lukáš Tinkl

        * fix uppercase variant of "ů" -> "Ů" (dad72802)

2016-06-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (55d4be0e)

2016-06-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f8785903)

2016-06-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d26506bf)

2016-06-21 Michael Sheldon

        * Add missing qml-module-qtmultimedia dependency (31b4bafc)

2016-06-21 Daniel d'Andrada

        * Merge trunk (64c835d9)

2016-06-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b86dbebc)

2016-06-21 chero jeong

        * Merge from trunk (aa51b272)

2016-06-20 CI Train Bot

        * Resync trunk. (55e73487)

2016-06-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (35babf61)

2016-06-16 Daniel d'Andrada

        * Make MirInputRegionUpdater optional (b483fc61)

2016-06-15 Bileto Bot

        * Releasing 0.99.trunk.phablet2+16.10.20160615.1-0ubuntu1 (12429a05)

2016-06-15 Michael Sheldon

        * Fix emoji autopilot tests (6dad4b17)
        * Ensure wide characters (e.g. Chinese) fit on 'Next' key (LP:
          #1588635) (0f6b5b88)
        * Add icon to keyboard autopilot test application to avoid bug
          #1591192 (1a4bebcd)
        * Support all types of space character when checking for autocaps and
          double space full-stop insertion (7c077f13)
        * Don't send preedit events when preedit is disabled (LP: #1448145)
          (da0359d2)

2016-06-15 Timo Jyrinki

        * Stop depending on transitional packages. (LP: #1583079) (aee5dce8)

2016-06-15 Michael Sheldon

        * Add support for Latvian keyboard layout (LP: #1539121) (77bd3578)
        * Fix emoji autopilot tests (534b1f78)
        * Fix emoji autopilot tests (23391cd8)

2016-06-14 Michael Sheldon

        * Add Latvian layout to autopilot test dependencies (a49c1ed5)
        * Test double space full-stop insert in oxide when non-breaking
          spaces are present (dde6788b)
        * Fix flake8 (58556fde)
        * Fix ifdefs for Latvian header (4c8a13ed)
        * Add test for double caps in oxide (6e67db60)
        * Ensure wide characters (e.g. Chinese) fit on 'Next' key (d148e4bc)

2016-06-14 Daniel d'Andrada

        * Try out a different way to depend on qtubuntu (70887f25)

2016-06-14 chero jeong

        * Merge from trunk lp:ubuntu-keyboard (52f664cd)

2016-06-13 Michael Sheldon

        * Add icon to keyboard autopilot test application to avoid bug
          #1591192 (a1c1d2aa)

2016-06-10 Daniel d'Andrada

        * And one more. Hopefully the last (558110b6)
        * More missing deps (0ef49249)
        * Add missing libmirclient-dev build dependency (71ba407c)
        * Do not link to unused lib (a8335597)
        * Add missing build dep (c330deef)

2016-06-10 Michael Sheldon

        * Don't insert full stops from double space input if there's already
          a separator (1a0d9b28)

2016-06-10 Daniel d'Andrada

        * Depending on pure-virtual packages alone is bad (cfeac8b8)

2016-06-09 Daniel d'Andrada

        * Add MirInputRegionUpdater (0fffc855)

2016-06-09 Michael Sheldon

        * Support all types of space character when checking for autocaps and
          double space full-stop insertion (4b09b76d)

2016-06-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c58ff889)

2016-06-08 Michael Sheldon

        * When inserting text only send the preedit string if preedit is
          enabled (ebdfcc8d)

2016-06-07 chero jeong

        * Fix No used file in qml/qml.pro (93a49cf9)

2016-06-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d43b4e16)

2016-06-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (44cc53cf)

2016-06-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4038516b)

2016-06-02 Daniel d'Andrada

        * Remove hack that published geometry to shell through a socket
          (eac10e57)

2016-06-02 Michael Sheldon

        * Add support for Latvian layout (93841491)

2016-06-01 Michael Sheldon

        * Increase number of keys displayed on the emoji layout (8f1039a9)

2016-06-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b7283e1c)

2016-05-30 chero jeong

        * remove ko language in class UbuntuKeyboardTests (bd10c4d1)
        * fix text conflict in
          test/autopilot/ubuntu_keyboard/test/test_keyboard.py
          (9c2bc50c)

2016-05-27 chero jeong

        * fix pre-edit string problem in autopilot test (08618c09)
        * Refactoring HCharKey.qml Add variable and property in CharKey.qml
          (66d08710)
        * Change TLDs for Korean on the URL and email layouts (b4dcfed2)

2016-05-18 Timo Jyrinki

        * Stop depending on transitional packages. (LP: #1583079) (ba9279f4)

2016-05-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7f99139f)

2016-05-06 CI Train Bot

        * Releasing 0.99.trunk.phablet2+16.04.20160506-0ubuntu1 (601add2d)

2016-05-06 Michael Sheldon

        * Update dependency on hunspell-sv
          Fixes: #1579115 Approved by: Ken
          VanDine (f86dcded)
        * Update dependency on hunspell-sv (f1f98514)

2016-05-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cc65a2b3)

2016-05-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (92a17314)

2016-05-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (69bad4db)

2016-05-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6df2b05b)

2016-05-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6b441907)

2016-04-30 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5041d6c4)

2016-04-28 CI Train Bot

        * Releasing 0.99.trunk.phablet2+16.04.20160428.3-0ubuntu1 (348a86aa)

2016-04-28 Michael Sheldon

        * Fix incorrect letters and URL key on Croatian layout
          Fixes:
          #1477274, #1491885 Approved by: PS Jenkins bot (0eac13c8)
        * Fix missing character on Icelandic layout
          Fixes: #1522157
          (351362b3)
        * Add traditional Chinese input support and differentiate between
          traditional and simplified Chinese
          Fixes: #1502311
          Approved by: PS Jenkins bot (03d6b69f)
        * Fix left over references to pinyin in chewing plugin (f1b1e86b)
        * Fix copyright year on new Chinese plugin (0c3ca22a)
        * Update translations (de2515ec)
        * Update apostrophe test to words that won't be autocorrected now
          that apostrophes are considered for autocorrection
          (a79692c2)

2016-04-27 Michael Sheldon

        * Update chewing tests (a98d98de)
        * Commit on new line for plugins which show the primary candidate in
          preedit (5b35b831)
        * Allow for chinese characters containing space, display primary
          chewing prediction in pre-edit buffer, fix bopomofo
          characters based on punctuation (792a8693)

2016-04-25 Michael Sheldon

        * Remove check for letter/number in AbstractWordEngine, this is
          carried out in AbstractTextEditor in a way that allows
          language plugins to define their own viable characters
          (913019a0)

2016-04-21 Chero Jeong

        * remake prediction database file (504f0482)
        * chanage prediction text file. (ce35bc35)
        * fix copyright year missing file (7a0a5873)
        * fix copyright year of new files and hangul checking routine
          (18bb6104)

2016-04-20 Michael Sheldon

        * Remove inappropriate letters from Croatian layout (fda14e1c)

2016-04-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bd2087e7)

2016-04-20 Chero Jeong

        * Fix that candidate word can not be removed (82752137)

2016-04-19 Chero Jeong

        * Fix PressArea in HCharKey.qml (40b98aca)
        * Add autopilot for korean layout (ae04bafa)
        * Add prediction/hunspell & fix backspace key (d505d590)

2016-04-18 Michael Sheldon

        * Show Zhuyin characters on top level of chewing layout (8c8f8df6)
        * Change Chinese labels from 'Simplified/Traditional' to
          'Pinyin/Chewing' (cc16ae98)

2016-04-15 Michael Sheldon

        * Fix Croatian 'đ' character (5cf81089)
        * Fix Croatian URL key in email field (1e1e2960)

2016-04-15 Chero Jeong

        * Add Auto punctuation & Move Hangul key to plugin directory
          (737ca866)

2016-04-12 Chero Jeong

        * add korean layout (d7c9dcda)

2016-04-06 Michael Sheldon

        * Fix tests for flake8 (a43d2400)
        * Fix tests for flake8 (deeae0bf)
        * Add tests for traditional Chinese plugin (1c37994b)

2016-04-05 Michael Sheldon

        * Fix missing character on Icelandic layout (24108022)
        * Migrate smoothly between old pinyin language code ('zh') and new
          code ('zh-hans') (f7ccbe63)
        * Add missing chewing install file (d62d116b)

2016-03-31 Michael Sheldon

        * Fix clearing of libchewing's preedit buffer (dc1a5c52)
        * Add Zhuyin (bopomofo) phonetic input for traditional chinese if we
          don't have a candidate (39ce0fdb)

2016-03-29 Michael Sheldon

        * Merge from trunk (98c8458f)
        * Adds initial traditional chinese implementation and differentiates
          between traditional and simplified chinese (2e6bd211)

2016-03-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5c75c935)

2016-03-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4a0949c7)

2016-03-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0c2b7930)

2016-03-05 GunChleoc

        * Hyphen is more common than question mark. (6712127b)

2016-03-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (545502be)

2016-03-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b92d2238)

2016-02-26 CI Train Bot

        * Releasing 0.99.trunk.phablet2+16.04.20160226.1-0ubuntu1 (b5fcc2e7)

2016-02-26 Michael Sheldon

        * Depend on fonts-droid or fonts-droid-fallback, to allow for
          fonts-droid being removed in the future
          Fixes: #1548847
          (248d14e9)
        * Switch order of fonts-droid/fonts-droid-fallback dependencies to
          clarify that fonts-droid-fallback is preferred in the
          future (68fd028c)
        * Depend on fonts-droid or fonts-droid-fallback (85a6b362)

2016-02-22 CI Train Bot

        * Releasing 0.99.trunk.phablet2+16.04.20160222-0ubuntu1 (6d5af6b5)

2016-02-22 Michael Sheldon

        * Add tests for Japanese layout Approved by: Ken VanDine (e09480c4)

2016-02-22 Mitsuya Shibata

        * Implement Japanese keyboard layout
          Fixes: #1290031 Approved by: Ken
          VanDine (7c92291a)

2016-02-20 Mitsuya Shibata

        * fix calling wrong method (7798a12a)

2016-02-16 Mitsuya Shibata

        * set primary candidate to user input string (1e5206f8)

2016-02-15 GunChleoc

        * Fixed remaining keyboard templates. (0f0f7365)
        * gd keyboard now uses QWERTY layout. (6ecef984)

2016-02-13 Mitsuya Shibata

        * swap "," and "." which is mainly used to input url and email.
          (1c12d364)
        * add workaround for backspace icon misalignment (c3ef6dd2)

2016-02-12 Mitsuya Shibata

        * fix layout in landscape mode. (c003d7c1)

2016-02-08 Michael Sheldon

        * Merge changes (429d00e6)

2016-02-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (086e7218)

2016-02-05 Mitsuya Shibata

        * fix problem with parsePredictionText signal on parse() (9056567a)

2016-02-03 Mitsuya Shibata

        * fix moving cursor position in preedit by cursor key (b4fb3d44)

2016-02-01 Michael Sheldon

        * Merge from trunk (6e593c8e)
        * Correct build failures (f3ff07d0)

2016-02-01 Mitsuya Shibata

        * Switch to Ubuntu.Components 1.3 and QtQuick 2.4 (91bb68bc)

2016-01-31 Mitsuya Shibata

        * Merge upstream's changes (17e05486)

2016-01-28 CI Train Bot

        * Releasing 0.99.trunk.phablet2+16.04.20160128-0ubuntu1 (483b37fa)

2016-01-28 Aron Xu

        * Transition from libpinyin4 to libpinyin7, no actual code change
          required. Approved by: Michael Sheldon, Iain Lane
          (aa2fc77d)

2016-01-28 Michael Sheldon

        * Fix selection deletion autopilot test Approved by: PS Jenkins bot
          (ac30b9fe)
        * Update keyboard visuals to match new design spec
          Fixes: #1321603,
          #1385431, #1428146 (889c9048)
        * Reduce word ribbon size on phones slightly (cbbf3536)
        * Merge changes (0257d0c9)
        * Fix dragging keyboard from top with no word ribbon (2ade7caa)

2016-01-27 Michael Sheldon

        * Merge changes (7cd8ed21)
        * Update telephone layout visuals to remove keys that can't be
          handled by libphonenumber (f8564d3c)
        * Add skeleton for chewing plugin (60ba0b40)

2016-01-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (21d950eb)

2016-01-26 Michael Sheldon

        * Avoid eliding emoji characters (9dbeb42c)
        * Fix light font (b517f1f1)
        * Remove unused icon references (af0cc0a6)
        * Fix dismiss positioning for new layouts (47cb7ecc)

2016-01-25 Michael Sheldon

        * Tweak annotation font size (fcbcae85)
        * Fix installation of new keyboard assets (f3dddd08)
        * Add new keyboard shift key icons (f5561598)
        * Update imports (1345dfc1)
        * Tweak annotation size and selection colours (5d99da20)
        * Fix annotation sizing (b534bd0c)
        * Fix word ribbon sizing (ca548474)

2016-01-22 Michael Sheldon

        * Fix selection deletion test (247d4f5b)
        * Fix key font sizing in landscape (7fe8c57b)
        * Update phone sizing (00a3a300)
        * Fix alignment of bottom row (53d5e912)
        * Tweak word ribbon sizing and boldness (37ba5bfb)
        * Fix sizing on URL key (8543b4f8)
        * Fix tablet detection in portrait orientation and switch to sizing
          based on proportion of screen (52654e2e)

2016-01-21 Michael Sheldon

        * Add missing small space key (fb1e92d9)
        * Merge changes (692eb880)
        * Update number and telephone layout to new style (b0c281c6)
        * Merge from trunk (95bad453)
        * Switch suru keyboard enter icon (ec02548f)
        * Adapt new design for phone layouts (f7dd7d12)

2016-01-18 Michael Sheldon

        * First pass at visual refresh implementation to provide better
          tablet support (e12f0f0c)

2016-01-12 Aron Xu

        * transition: libpinyin4 -> libpinyin7 (03175d95)

2016-01-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8fc4b1c4)

2016-01-07 CI Train Bot

        * Releasing 0.99.trunk.phablet2+16.04.20160107-0ubuntu1 (0710ba0c)

2016-01-07 Michael Sheldon

        * Fix the Icelandic keyboard layout
          Fixes: #1522157 Approved by: PS
          Jenkins bot (540f548c)
        * Switch to Ubuntu.Components 1.3 and QtQuick 2.4
          Fixes: #1531907
          Approved by: PS Jenkins bot (fa2c6c2e)

2016-01-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e040ff80)

2016-01-05 Michael Sheldon

        * Fix Icelandic layout (8e81b1ed)

2016-01-04 Michael Sheldon

        * Switch to Ubuntu.Components 1.3 and QtQuick 2.4 (3bb74ee5)

2015-12-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4c78760b)

2015-12-23 CI Train Bot

        * Resync trunk. (488b75f3)

2015-12-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (aa93711b)

2015-12-21 CI Train Bot

        * Releasing 0.99.trunk.phablet2+16.04.20151221-0ubuntu1 (8bb92a06)

2015-12-21 Michael Sheldon

        * Make user input bold if there aren't any suggestions and expose
          bold property to autopilot
          Fixes: #1526795, #1526796
          (ef44b23d)
        * Fix keyboard shifting out of capslock when in fields without
          preedit
          Fixes: #1521803 (f335c989)
        * Expose bold property of word ribbon items to autopilot (13c04009)
        * Make user input bold if we don't have any suggestions (6c447d34)

2015-12-18 Michael Sheldon

        * Wait longer for word suggestion generation in tests (b9163ca6)
        * Don't automatically shift out of capslock on fields without
          pre-edit (824365f4)

2015-12-14 CI Train Bot

        * Releasing 0.99.trunk.phablet2+16.04.20151214-0ubuntu1 (0f803614)

2015-12-14 Michael Sheldon

        * Remove workaround for Qt bug 44370 as this is now fixed in Qt
          (b0866f25)

2015-12-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (09375daf)

2015-12-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b3314f03)

2015-12-10 Michael Sheldon

        * Remove workaround for Qt bug 44370 as this is now fixed in Qt
          (e5c6e6ca)

2015-12-10 CI Train Bot

        * Resync trunk. (27c5896f)

2015-12-09 Michael Sheldon

        * Switch to Ubuntu.Components 1.3 and QtQuick 2.4 (cb069575)

2015-12-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7f76c495)

2015-12-01 CI Train Bot

        * Releasing 0.99.trunk.phablet2+16.04.20151201.1-0ubuntu1 (42b471a9)

2015-12-01 Michael Sheldon

        * Work around upstream QT bugs 41692 and 44370 which cause incorrect
          touch point events when using a mouse
          Fixes: #1451554
          (15f941a5)
        * Fix double mouse click regression (f2fbd001)

2015-11-30 Michael Sheldon

        * Merge from trunk (c5466927)
        * Merge japanese tests (359f470f)

2015-11-26 Michael Sheldon

        * Fix flake8 failures (ad0c2bea)
        * Fix support for swiping keyboard away (cb8c0643)

2015-11-25 Michael Sheldon

        * Fix failing oxide keyboard test (2ea54d1c)

2015-11-24 Michael Sheldon

        * Fix tab mixed in with spaces (573a9f1b)
        * Keep track of touch start positions manually as they aren't
          reported for mouse interactions (QT bug 41692) (4fb93779)
        * Work around QT bug 44370 which causes duplicate release messages
          when using a mouse with a MultiPointTouchArea (9557069f)

2015-11-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (13218095)

2015-11-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5035faa4)

2015-10-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (38c0ab81)

2015-10-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (94a9ef7c)

2015-10-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e994f2bb)

2015-10-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (39ff5153)

2015-09-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8c65a524)

2015-09-27 Mitsuya Shibata

        * add email/url layout for japanese. (66926fbc)
        * trigger haptic feedback on the selection pop-over too. (b5f8a343)
        * set the text opacity to 0.6 when not selected in the selection
          pop-over (66100126)
        * fixes double key released for cursor keys (cc5fd6fb)
        * fixes copyright year and add some comments (64b8e323)

2015-09-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5ba416fe)

2015-09-15 Michael Sheldon

        * Add tests for Japanese layout (ad800892)

2015-09-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (67fd005f)

2015-09-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (dec964c0)

2015-09-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (35a41f44)

2015-09-03 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.10.20150903-0ubuntu1 (4f1ced85)

2015-09-03 Michael Sheldon

        * Fix header ordering to build with Qt 5.5.
          Fixes: #1447190, #1474313
          Approved by: Timo Jyrinki (a6d51c73)
        * Remove dependency on libqt5xcbqpa5 (now handled by qtbase)
          (8c210f4e)

2015-09-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c9b6ec5c)

2015-09-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (013d01a5)

2015-08-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5e2c19df)

2015-08-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (68fd7387)

2015-08-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2a4e2ad1)

2015-08-20 Mitsuya Shibata

        * Install customized qml files for Japanese layout. (d3dac7a6)

2015-08-18 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.10.20150818.1-0ubuntu1 (eddb42f0)

2015-08-18 Michael Sheldon

        * Add reset function to autopilot emulator so that maliit can be
          reconnected after a unity8 restart.
          Fixes: #1481770
          Approved by: Brendan Donegan (f524ca53)
        * Fix new flake8 error (7caafa4d)

2015-08-17 Michael Sheldon

        * Remove trailing whitespace from comments (eccb3061)
        * Add comment explaining use of self.maliit in autopilot reset method
          (a3bd690b)

2015-08-15 Mitsuya Shibata

        * Add new keyboard layout for Japanese.
          Fixes: #1290031 (a9b220f7)

2015-08-12 Timo Jyrinki

        * No-change test rebuild for g++5 ABI transition (de5007fa)

2015-08-07 Michael Sheldon

        * Add reset function to autopilot emulator so that maliit can be
          reconnected after a unity8 restart (ca9039bb)

2015-08-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f2bfeb70)

2015-07-31 Michael Sheldon

        * Fix build failures with Qt 5.5 (1bb38000)

2015-07-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bf7a0cdd)

2015-07-28 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.10.20150728-0ubuntu1 (fdbcfd91)

2015-07-28 Michael Sheldon

        * Don't assume that we always have the same layout in autopilot
          emulator when caching key positions.
          Fixes: #1478553
          Approved by: PS Jenkins bot, Ken VanDine (1825ecd2)
        * Check that another key hasn't been pressed in between double click
          presses
          Fixes: #1477901 (8f86ece8)
        * Don't attempt to automatically switch to a requested state in
          keyboard tests if the test is manually pressing the shift
          key, as this will also change state. (c7de9db9)
        * Remove no longer necessary sleep workaround from test (a36c4179)

2015-07-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (20abb668)

2015-07-27 Michael Sheldon

        * Don't assume that we always have the same layout in autopilot
          emulator when caching key positions (f6e84099)

2015-07-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ce51ad13)

2015-07-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6828020e)

2015-07-24 Michael Sheldon

        * Check that another key hasn't been pressed in between double click
          presses (cdd5be10)

2015-07-24 CI Train Bot

        * Resync trunk. (83a889fd)

2015-07-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8ff343d1)

2015-07-20 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.10.20150720-0ubuntu1 (6ea85dcf)

2015-07-20 Michael Sheldon

        * Allow autopilot to perform cursor movement via maliit
          Fixes:
          #1476251 (faeb9aea)
        * Allow the keyboard to build with new version of platform-api
          Fixes:
          #1475611 (054a3997)

2015-07-17 Michael Sheldon

        * Merge build fixes from
          lp:~michael-sheldon/ubuntu-keyboard/fix-build-against-new-libplatform
          (de7e0477)
        * Allow the keyboard to build against the latest version of
          libplatform-api-headers (955bc266)

2015-07-16 Michael Sheldon

        * Allow autopilot to perform cursor key movement via maliit
          (d52f03dc)

2015-07-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (86a7c880)

2015-07-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8a64c4f0)

2015-07-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5a97333c)

2015-07-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (30608be4)

2015-07-01 CI Train Bot

        * Resync trunk. (cd2b11a8)

2015-07-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2e4a34ed)

2015-06-29 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.10.20150629-0ubuntu1 (e04a336b)

2015-06-29 Richard Huddie

        * Add additional aliases for the action keys of the OSK used by the
          autopilot helpers.
          Fixes: #1467449 Approved by: Sergio
          Cazzolato, Christopher Lee, PS Jenkins bot, Michael
          Sheldon (056a3304)

2015-06-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b19be15e)

2015-06-26 Richard Huddie

        * Fix review comments. Wait for plugin path to change after changing
          language rather than using sleep. (1d1a1623)

2015-06-24 Richard Huddie

        * Fix for unreliable
          ubuntu_keyboard.tests.test_keyboard.UbuntuKeyboardLanguageMenu.test_tapping
          (0f6d6d9d)
        * Make the TextArea autosize, so the default is a single line.
          (913bbaca)
        * Add new tests for key mappings. Also change TextField to TextArea
          to allow Return characters to be entered. (1c57926c)

2015-06-22 Richard Huddie

        * Add new alias for keys Enter, Backspace, Space and Shift.
          (7f6c1a82)

2015-06-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bacab715)

2015-06-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7660e5d3)

2015-06-11 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.10.20150611-0ubuntu1 (be9ce7f2)

2015-06-11 Michael Zanetti

        * rotation support for keyboard Approved by: Michael Sheldon, PS
          Jenkins bot (4655b315)

2015-06-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9e047dd5)

2015-06-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (16da0e34)

2015-06-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9591da70)

2015-06-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (19443546)

2015-06-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e757b915)

2015-06-02 Michael Zanetti

        * merge trunk (2a3c303c)

2015-06-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (64bd6eec)

2015-05-29 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.10.20150529-0ubuntu1 (fa5f2cda)

2015-05-29 Michael Sheldon

        * Allow the keyboard's height reporting to be disabled when the
          system is in windowed mode.
          Fixes: #1457116 Approved by:
          PS Jenkins bot (650c7eea)

2015-05-29 Bernard Banko

        * Add new keyboard layouts for Romanian, Scottish Gaelic, Greek,
          Norwegian, Ukrainian, Slovenian and Icelandic and fix
          incorrect layouts in Swedish and Croatian.
          Fixes:
          #1363376, #1367210, #1395402, #1436045, #1440722,
          #1440959, #1452719, #1452723, #1454206 Approved by: Ken
          VanDine (bf2d6a18)

2015-05-29 Michael Sheldon

        * Add test for the keyboard remaining dismissed when scrolling in
          Oxide. Approved by: PS Jenkins bot (4d3dbe5e)
        * Add missing dependency on Scottish Gaelic plugin for autopilot
          tests (e5fefb87)

2015-05-28 Michael Sheldon

        * Add all layouts as dependencies for the autopilot tests (as these
          now test all layouts) (3657dbe1)

2015-05-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (80d6ae12)

2015-05-19 Michael Sheldon

        * Merge from trunk (8f8214ec)

2015-05-15 Michael Sheldon

        * Reduce time waiting for layout change (9a5bce7a)
        * Fix URL keys for Slovenian layout (3389b8b8)
        * Give time for suggestions to be generated from hunspell (e194e647)
        * Give time for layout change in tests (d5cb2784)

2015-05-14 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150514-0ubuntu1 (8f3da832)

2015-05-14 Leo Arias

        * Fixed the static errors reported by flake8. Added the check to the
          debian build tests. Added python3-flake8 as a build
          dependency.
          Fixes: #1444170 Approved by: Michael Sheldon,
          Ken VanDine (2fcc71fd)
        * Use the base class from the toolkit in autopilot tests. Approved
          by: Michael Sheldon (7768ccc2)

2015-05-14 Michael Sheldon

        * Merge from trunk (9586f189)
        * Add missing Slovenian install file (d3df0fef)
        * Fix flake8 tests (c9f5ed1b)
        * Merge flake8 fixes (0f1617ea)

2015-05-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a3d077a7)

2015-05-12 Michael Sheldon

        * Trim very large presage databases and source text down to average
          size (48b34261)
        * Fix extended keys in Icelandic layout (33bf021f)
        * Fix URL layouts and backspace/shift keys in Icelandic layout
          (9a8e9122)

2015-05-11 Michael Sheldon

        * Update Icelandic plugin to new plugin format (3d0e3ad3)
        * Add test for Icelandic layout (5f4b060c)
        * Make shift and backspace keys fit the Icelandic layout (66715ba3)
        * Fix Icelandic URL layouts (ca740a35)
        * Fix Icelandic building and installation (8bf4a9c7)
        * Update keyboard language template (109e3d43)
        * Add Icelandic to keyboard menu (61238910)
        * Add source and word database for Icelandic plugin (07a6276c)
        * Merge Icelandic plugin (805deb2a)

2015-05-11 Tryggvi Björgvinsson

        * Add source for Icelandic keyboard predictions. (a9289a05)
        * Add qml project file to install Icelandic keyboard (1701b1e5)
        * Add Icelandic qml keyboard layouts (0d6d2654)
        * Add is keyboard project file to plugins (b6631274)
        * Add Icelandic keyboard install directory configuration (db8aa9d1)
        * Add Icelandic keyboard to debian/server.conf (d3412e52)
        *  Add Icelandic keyboard package to debian/control (d86f9887)

2015-05-08 Michael Sheldon

        * Make sure new tests pass flake8 (f84b36df)
        * Remove duplicated key from Swedish layout (2448379d)
        * Add tests for all layouts (221d6c75)

2015-05-07 Michael Sheldon

        * Merge fixes for flake8 tests (3dd8e4d4)
        * Update translation template (61083e64)
        * Fix extended punctuation on new layouts (69577097)
        * Fix domain keys for Croatian layout (3ed94fef)
        * Fix installation of Slovenian QML files (90b02e8e)
        * Fix installation of Slovenian QML files (84f7eb81)
        * Replace BY-SA-NC text with public domain text from Project
          Gutenberg (2a360ac7)
        * Update Slovenian plugin to new plugin format (d0c87634)

2015-05-07 Bernard Banko

        * Add Slovenian layout (cec3646e)

2015-05-06 Michael Sheldon

        * Fix Norwegian entry in language menu (3d19806f)
        * Fix mispelt filename in Norwegian plugin (5366467c)
        * Update Norwegian presage database (7df3bdce)
        * Replace Norwegian speech of unknown copyright with public domain
          ebook from Project Gutenberg (a6a01df6)
        * Fix debian package path for Norwegian (7e11ef49)
        * Make it clear that the Norwegian plugin is Norwegian Bokmål and add
          an appropriate dictionary (98e0c0eb)
        * Update translation template (5aff6b18)
        * Add Norwegian to language menu (69a176af)
        * Update norwegian plugin to match updated plugin system (8cd12adb)
        * Add Norwegian presage database (6f8e44fe)
        * Merge Norwegian plugin (44a71bd6)
        * Fix dictionary dependency for romanian layout (574fd66e)
        * Merge from trunk (e35d3b8e)
        * Update Romanian plugin to work with updated plugin system
          (9d24d8b0)
        * Add romanian presage database (cfb9afc9)
        * Merge Romanian layout (fc9b6134)
        * Fix space key positioning on URL layouts for Greek layout
          (f5e4c7d5)

2015-05-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6280aa4a)

2015-05-05 CI Train Bot

        * Resync trunk. (02298b47)

2015-05-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (55111ecb)

2015-04-29 Leo Arias

        * Fixed the static errors reported by flake8. (0e652552)
        * Reverted the whitespace changes. Will do them in a separate branch.
          (a0f3990b)

2015-04-29 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150429-0ubuntu1 (9865febb)

2015-04-29 Michael Sheldon

        * Discard spellcheck words that arrive whilst still processing
          outside of the spellcheck worker thread instead of as part
          of that thread
          Fixes: #1448019 (6d714a05)
        * Update pinyin plugin to use same word queue processing technique as
          western languages (2f76641d)
        * Update pinyin plugin to use same word queue processing technique as
          western languages (464e9ac2)
        * Remove unused variables (7941db59)

2015-04-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5eaf485d)

2015-04-29 Michael Sheldon

        * Merge from trunk (457da636)

2015-04-28 Michael Sheldon

        * Discard spellcheck words that arrive whilst still processing
          outside of the spellcheck worker thread instead of as part
          of that thread (1a00e843)

2015-04-28 Leo Arias

        * Fix the base class used when launching the app in autopilot tests.
          (3ecde7c1)

2015-04-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e8c02f80)

2015-04-24 Michael Sheldon

        * Fix missing closing tag in schema (5f484579)
        * Merge from trunk (5b21d66e)

2015-04-21 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150421-0ubuntu1 (6b8cbec3)

2015-04-21 Michael Sheldon

        * Allow the keyboard to load plugins from additional paths specified
          via gsettings.
          Fixes: #1445532 Approved by: Ken VanDine
          (be30de3e)
        * Fix crash if the client sends invalid surrounding text/offset data.

          Fixes: #1444947 Approved by: PS Jenkins bot (50acb362)
        * Add missing Greek prediction database (61d45edc)
        * Update Ukrainian plugin to work with updated plugin system
          (54fd99b6)
        * Update Gaelic plugin to work with new plugin system (9f6536c7)
        * Add Greek dictionary dependency to Greek keyboard layout (c771def4)
        * Update Greek plugin to work with new plugin updates (3a755424)

2015-04-20 Daniel d'Andrada

        * Updated autopilot tests (c361b8ab)

2015-04-20 Michael Sheldon

        * Update autopilot test dependencies to depend on specific version of
          keyboard tests package (ba14615f)
        * Merge Greek plugin (5554ceba)
        * Merge custom plugin branch (fc35658b)
        * Merge from trunk (26d1b2e2)

2015-04-17 Michael Sheldon

        * Add language key to testlayout for easier testing (132c5cd2)

2015-04-16 Michael Sheldon

        * Fix crash when client provides invalid offset for surrounding text
          (f573436a)

2015-04-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (48dc0eff)

2015-04-15 Michael Sheldon

        * Handle plugin path changes without requiring a restart of
          maliit-server (c860265e)
        * Install missing qmldir for new keys module (a891facf)
        * Merge from trunk (c99e7943)

2015-04-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (27201f0f)

2015-04-14 Michael Sheldon

        * Make fallback language display match the format used in system
          settings (e01e5f76)
        * Add test layout and tests for plugins stored in extra locations
          defined by gsettings (c41ec141)

2015-04-13 Daniel d'Andrada

        * Merge trunk (608f9921)

2015-04-13 Michael Sheldon

        * Allow keyboard plugins to be loaded from any path listed in the
          plugin-paths gsetting (b5a6b001)

2015-04-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2309c125)

2015-04-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (452ebf0e)

2015-04-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5d581afe)

2015-04-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c3f57e51)

2015-04-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2b4dc11f)

2015-04-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e5ff5267)

2015-04-02 Michael Sheldon

        * Merge from trunk (9b8cb1f3)

2015-03-31 Michael Sheldon

        * Add test for bug #1400372 (e9cb95c9)
        * Expose return key to autopilot tests (b83d5921)
        * Remove extra closing tag from oxide tests (c801cd0d)

2015-03-30 Cos64

        * Add Romanian layout (c3c53c2d)

2015-03-30 Michael Sheldon

        * Add tests for input fields provided by oxide (0515a2bb)

2015-03-26 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150326-0ubuntu1 (7900c7df)

2015-03-26 Michael Sheldon

        * Avoid reporting false visibility signal during startup
          Fixes:
          #1419814, #1436076 Approved by: PS Jenkins bot (e574286c)

2015-03-26 Bill Filler

        * change fontFamily to Ubuntu to work around disappearing "h" key

          Fixes: #1421812 (b538cab7)

2015-03-26 Michael Sheldon

        * Add test for bug 1436076 (e1a03712)
        * Avoid reporting false visibility signal during startup (a3f74b6f)

2015-03-25 Bill Filler

        * change fontFamily to Ubuntu to work around disappearing h key
          (6afed93f)

2015-03-22 Simos Xenitellis

        * Greek support (038e57ab)

2015-03-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bc345ae1)

2015-03-19 Daniel d'Andrada

        * Merge trunk (9df934f0)

2015-03-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (81a18859)

2015-03-16 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150316-0ubuntu1 (9fea5023)

2015-03-16 Michael Sheldon

        * Fix preedit commit when changing layout
          Fixes: #1430744 (48ec8b2b)
        * Add punctuation to extended keys and make comma key more consistent
          across shift states (437a114c)
        * Ensure that extended key selector array is cloned
          Fixes: #1424668
          Approved by: PS Jenkins bot (d5e8142e)
        * Fix the placing of apostrophes back into pre-edit and the use of
          apsostrophes/single quotes at the end of words.
          Fixes:
          #1416018, #1417532 (54525698)
        * Account for keys at the side of the keyboard being extended in size
          when calculating autopilot key positions
          Fixes: #1428584
          Approved by: PS Jenkins bot (4bfdf776)

2015-03-13 Michael Sheldon

        * Fix exclamation mark positioning in Hebrew layouts (608d9916)
        * Update positioning of exclamation mark on Catalan layouts
          (f5116f89)
        * Update test to reflect new punctuation character ordering
          (e03ac710)
        * Keep exclamation mark next to question mark in extended punctuation
          (17590d7f)

2015-03-12 Michael Sheldon

        * Add tests for additional punctuation on extended keys (and sliding
          through extended keys in general) (530ddeb0)
        * Merge fix-extended-key-ordering branch (79532149)

2015-03-11 Michael Sheldon

        * Fix preedit commit when changing layout (b66daf7c)

2015-03-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e97179cd)

2015-03-09 Michael Sheldon

        * Account for keys at the side of the keyboard being extended in size
          when calculating autopilot key positions (d981356f)

2015-03-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6e2a26f4)

2015-03-02 Daniel d'Andrada

        * We don't need contentOrientation now that shell is the one rotating
          things around (28db7985)
        * Merge trunk (2842e62a)

2015-03-02 Michael Sheldon

        * Merge from trunk (d0a66a5e)
        * Expand text for apostrophes used as single quotes (1a74c030)
        * Ensure that apostrophes before words are preserved as well as after
          them (e78c07e1)

2015-03-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b80e131f)

2015-03-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (95d6d653)

2015-02-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0f0d2774)

2015-02-27 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150227-0ubuntu1 (f24ef5ea)

2015-02-27 Michael Sheldon

        * re-merge to fix AP tests as not all of the changes got merged
          previously
          Fixes: #1416037, #1416157, #1417048 (c6e57b50)

2015-02-27 David Planella

        * Changed Catalan keyboard's ldot symbol after recommendation from
          keyboard experts. Approved by: Michael Sheldon (15f31a59)

2015-02-27 Michael Sheldon

        * Fix reporting of keyboard height when in inverted portrait
          orientation
          Fixes: #1423164 (21e525b2)
        * Enable predictions from incomplete pinyin entry
          Fixes: #1401735
          Approved by: PS Jenkins bot (a9287ef8)

2015-02-26 ari-kroyer-online

        * Corrected filename of ebook for word prediction dabase to
          free_ebook.txt (6cad21ec)

2015-02-24 ari-kroyer-online

        * Added Norwegian layout (66687347)

2015-02-24 Michael Sheldon

        * Allow for height reporting to be disabled via gsettings (025758a6)

2015-02-23 Michael Sheldon

        * Add test for repeated long press (2ef2b060)
        * Ensure that extended key selector array is cloned (37bb5fab)

2015-02-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1b0dab8a)

2015-02-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d6b1affb)

2015-02-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (453fcf23)

2015-02-20 Michael Sheldon

        * Merge from trunk (b289c41d)
        * Add test for single quotes behaviour (75b8774a)
        * Stop auto-correct removing apostrophes/single-quotes from the ends
          of words (d0000ea2)

2015-02-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b42b78f9)

2015-02-19 Michael Sheldon

        * Remove old unused word segmentation code (12bccb59)
        * Improve spliting of words for pre-edit re-entry (644d2052)
        * Remove extra blank line from debian control (cd445a95)
        * Fix edge keys in Scottish Gaelic layout (9ced00e3)
        * Merge from trunk (93f8b505)

2015-02-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (022100d3)

2015-02-18 Michael Sheldon

        * Fix height reporting when in inverted portrait orientation
          (73de73fc)

2015-02-18 Daniel d'Andrada

        * Merge with trunk (f1a8b904)

2015-02-17 Michael Sheldon

        * Update pinyin multithreading implementation to include memory fix
          (db0f1d6f)
        * Remove unused array from pinyin plugin (5ac00ed3)
        * Merge from trunk (75e18704)
        * Make pinyin plugin multithreaded (b632f879)

2015-02-16 Michael Sheldon

        * Fix missing return key in Catalan url layout (ad0fd803)
        * Update extended punctuation for Catalan and Serbian (3fbe083a)
        * Merge from trunk (45216fba)
        * Make comma key consistent across shift states (d2983747)

2015-02-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4573c084)

2015-02-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (fd388e46)

2015-02-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5f89a67e)

2015-02-13 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150213.2-0ubuntu1 (9160beb3)

2015-02-13 Michael Sheldon

        * Add a brief delay before evaluating swipes
          Fixes: #1421742 Approved
          by: PS Jenkins bot (dc8396b6)
        * Increase swipe timer to 750ms (428f643b)
        * Add extra punctuation to extended keys (600a8098)
        * Fix long press test (dacd8a56)
        * Add 0.5 second delay before evaluating swipes for extended keys
          (e28102ef)

2015-02-13 Robert Bruce Park

        * Releasing 0.99.trunk.phablet2+15.04.20150213-0ubuntu1 (c76eca08)

2015-02-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7dfe6a36)

2015-02-13 David Planella

        * Fixed other ldot instances in Catalan keyboard (b36672d6)
        * Changed Catalan keyboard's ldot symbol after recommendation from
          keyboard experts (507e0d28)

2015-02-13 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150213-0ubuntu1 (776de69d)

2015-02-13 Michael Sheldon

        * Fix memory leak when unloading word engines
          Fixes: #1420891
          Approved by: PS Jenkins bot (76d5c638)

2015-02-12 Daniel d'Andrada

        * Merge trunk (d35dcdd0)

2015-02-12 Michael Sheldon

        * Enable predictions from incomplete pinyin entry (ae77bb39)

2015-02-11 Michael Sheldon

        * Merge from trunk (794a184c)
        * Fix memory leak when switching language plugins (f9ed9628)

2015-02-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (335541fd)

2015-02-10 CI Train Bot

        * Resync trunk (4d4ad56a)

2015-02-10 Michael Sheldon

        * Move input area out of the way of notifications in autopilot tests
          (e3eb9497)

2015-02-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8823b674)

2015-02-09 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150209-0ubuntu1 (51c6bc02)

2015-02-09 Bill Filler

        * enable emoji by default
          Fixes: #1416036 (3dc5c594)

2015-02-09 Michael Terry

        * Add em dash, en dash, and the bullet as extended hyphen options.

          Fixes: #1414763 Approved by: Michael Sheldon, PS Jenkins
          bot (7d48238c)

2015-02-09 Michael Sheldon

        * Always display the language button, even when only one language is
          enabled (so settings is easily accessible) and modify
          language button behaviour to toggle between most recently
          used layouts when tapped and to only show the menu when
          long pressed.
          Fixes: #1416037, #1416157, #1417048
          (ac29dc2c)

2015-02-09 Mike Sheldon

        * Recreate prediction databases with apostrophe support and remove
          Gutenberg license text from sample data.
          Fixes: #1384800
          Approved by: PS Jenkins bot (dcfc9c9e)

2015-02-09 Michael Sheldon

        * Add contractions as overrides (I've, you've, I'm, etc.).
          Fixes:
          #1416020 Approved by: PS Jenkins bot (3f62a16f)

2015-02-09 Penk Chen

        * Add mechanism for pure QML layouts to provide suggestion
          candidates. Approved by: Michael Sheldon (88a16ebc)

2015-02-09 Michael Sheldon

        * Fix flaky autopilot test (ee594740)
        * Fix autopilot tests (e31f26e9)
        * Set previous language when active language updated (e9524256)
        * Clean up settings menu item and separate it slightly from other
          items (b0b26665)
        * Adjust settings menu height dynamically (2702fd85)
        * Show currently active language in menu and fix menu width
          (65e6dc95)
        * Clear previous language if it's been removed from enabled languages
          (6b6599c2)
        * Remove annotation on language key (b9908e82)

2015-02-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (90733928)

2015-02-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6f55d692)

2015-02-06 Bill Filler

        * enable emoji keyboard by default (fe9e040e)

2015-02-06 Michael Sheldon

        * Maintain track of previous language when automatically switching
          back from Emoji layout on field change (8161be74)
        * Add tests for new language button behaviour (b53b9709)
        * Fix tests for emoji with new switch back system (05fce60b)

2015-02-05 Michael Sheldon

        * Fix emoji text field switch back with new language switch
          (271635ce)
        * Merge from trunk (74f98b33)
        * Toggle between current language and previous language when tapping
          language button and show menu on long press (fa2982d7)

2015-02-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7a8bd557)

2015-02-04 CI Train Bot

        * Resync trunk (3051d230)

2015-02-03 Michael Sheldon

        * Merge from trunk (a9204854)

2015-02-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d69d36e5)

2015-02-02 Michael Sheldon

        * Always show language switcher key (64e9647c)

2015-02-02 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150202-0ubuntu1 (e247bc6c)

2015-02-02 Michael Sheldon

        * Fix autocaps for clients that send multiline surrounding text

          Fixes: #1415881 Approved by: PS Jenkins bot (a2bc737c)
        * Adds a setting to allow the keyboard to remain hidden at all times
          (e.g. when a hardware keyboard is connected)
          Fixes:
          #1415126 Approved by: Michael Zanetti, PS Jenkins bot
          (c0fd6c72)
        * Allow Emoji keyboard to be shown for URL and email field types and
          switch out of Emoji layout when changing fields.
          Fixes:
          #1415127, #1415129 Approved by: PS Jenkins bot (55167a36)
        * Restore a user's original input if they press backspace immediately
          after auto-completing a word.
          Fixes: #1411645 Approved by:
          PS Jenkins bot (e5f87cff)
        * Speed up autopilot tests by only restarting maliit-server at the
          beginning and end of all tests Approved by: PS Jenkins bot
          (8f98dc7b)
        * Enable auto-punctuation for Pinyin input.
          Fixes: #1407588 Approved
          by: PS Jenkins bot (e188857e)
        * Allow overrides to be loaded from a file, add a script to generate
          overrides for apostrophes and create overrides for
          languages that use apostrophes (12ad6255)
        * Merge from trunk (f0bda816)
        * Ensure we're at the end of the last word entered when restoring
          previous preedit data (ec5eba59)

2015-02-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4ba804bd)

2015-01-29 Michael Sheldon

        * Handle clients that send multi-line surrounding text (such as
          oxide) (a86d0699)
        * Make .co.uk primary URL in Scottish Gaelic layout and make .com
          primary extended key (e6f6d478)

2015-01-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ec001be7)

2015-01-29 Penk Chen

        * expose onQmlCandidateChanged() invokable to QML (6a8dc5ac)

2015-01-28 Michael Sheldon

        * Add missing _2_gram and _3_gram tables to Scottish Gaelic
          prediction database (ca827570)
        * Fix installation path for Scottish Gaelic predictions (0d056f1d)
        * Update pot file (13db4100)
        * Add entries for Scottish Gaelic in LanguageMenu and
          KeyboardContainer (db2c5f00)

2015-01-28 Michael Terry

        * Add the new symbols to isSymbol() (16125dbf)

2015-01-27 Michael Sheldon

        * Fix dictionary dependency for Scottish Gaelic layout (15e59e00)
        * Merge Ukranian layout (bc9508ab)
        * Merge swedish layout fix (d8a6e110)
        * Merge from trunk (53d0d045)

2015-01-26 Michael Terry

        * Add some extended options to the hyphen (9e1d8c4f)

2015-01-26 Michael Sheldon

        * Merge from trunk (46e8d4bd)
        * Add tests for overrides and single character double space
          punctuation (80a35093)

2015-01-23 Michael Sheldon

        * Fix check for double spaces when entering single characters
          (e28c495f)

2015-01-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (26af8120)

2015-01-22 Michael Sheldon

        * Add test for Chinese auto-punctuation (feff2219)
        * Enable auto-punctuation for pinyin (f5187818)

2015-01-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (baf4d669)

2015-01-21 Daniel d'Andrada

        * Merge trunk (c6b32d0e)

2015-01-20 Michael Sheldon

        * Merge from trunk (ff6ff2af)
        * Speed up autopilot tests by only restarting maliit-server at the
          beginning and end of all tests (f7c96e20)

2015-01-19 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150119-0ubuntu1 (667c0a42)

2015-01-19 Michael Sheldon

        * Add dependencies for any keyboard layouts used in autopilot tests
          Approved by: PS Jenkins bot, Olivier Tilloy (345e15af)
        * Deactivate autocaps if we receive find out we're in a field that
          doesn't support it after having already entered the field

          Fixes: #1412460 Approved by: PS Jenkins bot, Olivier
          Tilloy (b25971f0)
        * Add dependencies for any keyboard layouts used in autopilot tests
          (baf425f8)

2015-01-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a4edeb08)

2015-01-16 Michael Sheldon

        * Deactivate autocaps if we receive find out we're in a field that
          doesn't support it after having already entered the field
          (8f940e0e)
        * Add test for preedit restoration (50d87b56)
        * Set default value of restored preedit so that first autocomplete
          after boot works correctly (c87af805)
        * Restore pre-edit if the user presses backspace immediately after
          auto-completing a word (a16ffce9)

2015-01-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9fab520c)

2015-01-15 Michael Sheldon

        * Switch back from emoji layout when changing fields (26074390)

2015-01-14 Michael Sheldon

        * Display emoji for all layout types (except number/telephone)
          (46e99d9f)
        * Add setting to allow keyboard to stay hidden at all times (e.g.
          when a hardware keyboard is connected) (3b258647)

2015-01-13 Michael Sheldon

        * Merge from trunk (7efc0fa8)

2015-01-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e200b752)

2015-01-12 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150112-0ubuntu1 (ead01242)

2015-01-12 Michael Sheldon

        * Skip Emoji characters that iOS and Android can't display, show
          which category of Emoji the user is currently viewing and
          switch back to the previous layout when the keyboard is
          hidden. (78e1a9a5)
        * Remove unnecessary import (b0c961fe)
        * Skip characters that iOS isn't able to display (57e03dd2)
        * Merge from trunk (491004e3)
        * Merge from trunk (31b0df63)
        * Highlight the Emoji category the user is currently viewing
          (3d9ffb5e)
        * Switch back from emoji to standard layout when they keyboard is
          dismissed (67809329)
        * Ignore emoji characters that Android doesn't support (64c7c94d)

2015-01-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (38bb63e3)

2015-01-09 CI Train Bot

        * Resync trunk (67e46c83)

2015-01-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3fe8b684)

2015-01-08 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150108-0ubuntu1 (518a719f)

2015-01-08 Michael Sheldon

        * Speed up individual backspaces and switch between individual and
          word backspace based on 3 words having been deleted
          instead of 3 seconds having passed.
          Fixes: #1347488
          Approved by: PS Jenkins bot (fd44b973)
        * Extend existing autopilot tests to more thoroughly test each
          layout, add new tests for extended keys and ".com" key and
          fix crash when using keyboard after autopilot tests have
          been run. Approved by: PS Jenkins bot (a04881a5)

2015-01-08 Renato Araujo Oliveira Filho

        * Make sure that changes on "InputMethod.extensions" property get
          propagated to maliit.
          Fixes: #1384278 Approved by: Michael
          Sheldon, PS Jenkins bot (22d64857)

2015-01-08 Michael Sheldon

        * Fix keyboard visibility reporting
          Fixes: #1404309 Approved by: PS
          Jenkins bot (7eeaa94d)
        * Merge from trunk (1c8925ac)
        * Merge from trunk (3a38ae06)
        * Fix single word backspace acceleration (449acb74)

2015-01-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7baca5cb)

2015-01-07 Renato Araujo Oliveira Filho

        * Make sure that changes on "InputMethod.extensions" property get
          propagated to maliit. (2cd766ba)

2015-01-07 Michael Sheldon

        * Switch between single backspace and word deletion based on the
          number of words having been deleted instead of the amount
          of time passed (c8a31081)
        * Merge from trunk (3685e607)
        * Merge from trunk (ec60959a)

2015-01-07 CI Train Bot

        * Resync trunk (f89b4b54)

2015-01-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (46e591d9)

2015-01-07 Michael Sheldon

        * Merge from trunk (32a386f3)

2015-01-06 Michael Sheldon

        * Merge from trunk (06269914)
        * Add test for visibility change reporting (f23bb8ac)
        * Work around Qt bug #20435 which results in incorrect keyboard
          visibility changes (76a8a913)

2015-01-05 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20150105-0ubuntu1 (34928951)

2015-01-05 Michael Sheldon

        * Check candidates provided by libpinyin are valid before using them

          Fixes: #1407584 Approved by: PS Jenkins bot (efb1d7fa)
        * Check candidates provided by libpinyin are valid before using them
          (235ca712)

2014-12-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7904e042)

2014-12-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (48050161)

2014-12-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (97d9a808)

2014-12-19 GunChleoc

        * Added packaging information. (98603370)

2014-12-16 Michael Sheldon

        * Add test for extended keys (a49c7180)
        * Test .com key when entering urls/emails (cc09d64d)

2014-12-16 Daniel d'Andrada

        * Merge trunk (3d6a1125)

2014-12-16 Anton Maminov

        * Implement a basic Ukrainian keyboard (dfa34a3c)

2014-12-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f7cccf43)

2014-12-15 CI Train Bot

        * Resync trunk (a314a2dc)

2014-12-15 Michael Sheldon

        * Merge from trunk (4fd516d4)
        * Restart maliit-server after tests have completed so correct presage
          database is used (d524260c)

2014-12-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4d3061a1)

2014-12-12 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20141212-0ubuntu1 (4b1d9683)

2014-12-12 Michael Sheldon

        * Improve the quality of pinyin suggestions
          Fixes: #1401559 Approved
          by: PS Jenkins bot (73910e66)
        * Change extended keys on phone layout to '*#'
          Fixes: #1372548
          Approved by: PS Jenkins bot (9137dc77)
        * Remove , and ; from the telephone layout's extended keys (5aac81b8)

2014-12-11 Michael Sheldon

        * Merge from trunk (729c5227)
        * Update pinyin tests to test for correct completion of the word
          'pinyin' (850fdc64)
        * Improve pinyin suggestion quality (31bd5584)
        * Change extended keys on phone layout to '*#,;' (3dfd2615)

2014-12-10 Michael Sheldon

        * Test input on different layouts (eb27b531)

2014-12-09 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20141209.1-0ubuntu1 (75492882)

2014-12-09 Mike Sheldon

        * Add emoji layout
          Fixes: #1340598 Approved by: Ken VanDine
          (7b96eff5)

2014-12-09 Michael Sheldon

        * Fix building and packaging of translation files Approved by: Ken
          VanDine (ff33d970)

2014-12-09 CI Train Bot

        * Releasing 0.99.trunk.phablet2+15.04.20141209-0ubuntu1 (42bb01bc)

2014-12-09 Michael Sheldon

        * Disables automatic insertion of space characters after punctuation
          except when punctuation has been added by double space.

          Fixes: #1398503 Approved by: PS Jenkins bot (fa900e24)
        * Update autopilot tests to account for new autocaps behaviour
          (a48482b4)
        * Only enter autocaps if the user has entered a space after
          punctuation (01d8b84c)
        * Fix building of .mo files from .po imports and set correct gettext
          domain (c406aa92)

2014-12-08 Michael Sheldon

        * Add tests for emoji layout (a3c2fb07)
        * Wrap emoji internal properties in 'internal' object (c83d1669)
        * Don't enable preedit for plugins that don't supply a word engine
          implementation (4ae5698b)
        * Add missing emoji plugin json definition (273ff8b6)

2014-12-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c98da320)

2014-12-05 Michael Sheldon

        * Implement emoji plugin as separate plugin, instead of western
          languages based plugin (3372fa6a)
        * Fix instant switch back for emoji layout (fc7f80f1)
        * Merge from trunk (dd6f7715)
        * Precalculate all valid emoji to allow for skipping of missing
          characters (f9591059)

2014-12-04 Michael Sheldon

        * Don't automatically insert spaces after punctuation unless
          punctuation was added via double space. (372b815f)

2014-12-04 Daniel d'Andrada

        * Merge trunk (ac98c89a)

2014-12-03 Michael Sheldon

        * Allow individual backspaces to speed up (f0a781c8)
        * Add missing emoji install file (9949d2e8)
        * Split emoji in to blocks of supported characters and wrap between
          those blocks (be3f2e75)

2014-12-02 CI bot

        * Releasing 0.99.trunk.phablet2+15.04.20141202-0ubuntu1 (2b654290)

2014-12-02 Michael Sheldon

        * Add ".com" as extended key on URL and email layouts for all
          language that don't have it as their primary URL key

          Fixes: #1369510 Approved by: PS Jenkins bot (597bfc95)
        * Allow Pinyin to be used in URL and email fields and fix text
          selection issues.
          Fixes: #1335007, #1393492 Approved by:
          PS Jenkins bot (9f381dde)
        * Fix old autopilot tests and implement some new ones. Approved by:
          Ken VanDine, PS Jenkins bot (432bbcd7)
        * Clear any learnt predictions before running tests (a833108d)

2014-12-01 Michael Sheldon

        * Add missing dependency on python3-evdev for autopilot tests
          (304be477)

2014-11-28 GunChleoc

        * Created the database - this only contains 1grams though due to an
          upstram bug. (9e22f398)

2014-11-27 Michael Sheldon

        * Remove unnecessary import (f6f2f315)
        * Update comment to reflect actual test actions (731976f6)
        * Make '.com' extended option in URL and email layouts for all
          languages that don't have it as the primary URL button
          label (824c8de4)

2014-11-27 Daniel d'Andrada

        * Merge trunk (1f6e48b1)

2014-11-27 Michael Sheldon

        * Add tests for text selection (d043134f)

2014-11-26 DanielHolm

        * Switched place of Ä and Ö in the email, url and search as well.
          (432165bf)

2014-11-26 Michael Sheldon

        * Don't attempt to recreate pre-edit if we are highlighting text
          (0a025ca8)
        * Only re-enter pre-edit when deleting characters (0a48b4e3)

2014-11-25 Michael Sheldon

        * Add tests for pinyin completion all appropriate layouts (2ffc79c5)
        * Merge autopilot fixes (7becb179)
        * Allow for Pinyin input in URL and Email fields (c45e0105)

2014-11-24 DanielHolm

        * Moved rightSide: true; to Ä instead of ö (b9548939)

2014-11-23 DanielHolm

        * Switched placed of ö and ä to resolve bug 1395402 (533c1a46)

2014-11-21 Michael Sheldon

        * Update comment on .desktop file usage (47abacaa)
        * Set default settings at the start of testing (f06c7f31)
        * Add test for autocompletion (192a7d8e)
        * Fix swiping to dismiss when word ribbon is visible (b714a1c7)

2014-11-20 Michael Sheldon

        * Add test for automatic punctuation (aba0019b)
        * Allow for predictive text areas in autopilot tests (50cc4536)
        * Remove no longer valid comment (3f932459)
        * Add test for returning to normal state after deleting a full-stop
          (09f7f30b)
        * Merge from trunk (3f8e55bc)
        * Fix test environment setup (cdd57b21)
        * Allow capslock tests to override expectations for state changes and
          unskip double tap capslock test (c1ec6e66)
        * Install our own .desktop file for autopilot test app (3a736afb)
        * Expose layoutId to autopilot and re-enable layout based tests
          (261a0094)
        * Re-enable two skipped tests that are now functional (36dcd053)

2014-11-19 CI bot

        * Releasing 0.99.trunk.phablet2+15.04.20141119-0ubuntu1 (4abaac37)

2014-11-19 Michael Sheldon

        * Scale custom return key labels so that more characters fit and set
          correct default font size
          Fixes: 1384810 (f3f18b8f)
        * Don't add duplicate candidates to the word ribbon when a candidate
          is pressed.
          Fixes: 1393487 Approved by: PS Jenkins bot
          (fe340833)
        * Reset the keyboard when the language plugin changes.
          Fixes: 1335002
          Approved by: Bill Filler, PS Jenkins bot (8dd69a29)
        * Add Azerbaijani, Bosnian, Catalan and Croatian layouts Approved by:
          Bill Filler, PS Jenkins bot (b31ff04a)

2014-11-19 Mike Sheldon

        * Allow western language plugins to provide special corrections
          outside of the standard auto-correct engine (e.g. 'i' ->
          'I').
          Fixes: 1372948 Approved by: Bill Filler, PS Jenkins
          bot (2b73f719)

2014-11-19 Michael Sheldon

        * Stop the keyboard from updating IME hints whilst it hides
          Fixes:
          1370609, 1377755 Approved by: Bill Filler, PS Jenkins bot
          (f0175add)

2014-11-19 Mike Sheldon

        * Calculate the similarity between the current user's input and the
          prediction candidate, if they differ too much make the
          user input the primary candidate for auto-completion.

          Fixes: 1347796 Approved by: Bill Filler, PS Jenkins bot
          (34e976f2)

2014-11-19 Michael Sheldon

        * Send release signal for backspace if the user has swiped out of the
          key before releasing
          Fixes: 1385518 Approved by: Bill
          Filler, PS Jenkins bot (1dcdec46)
        * Add small margin to keys (stops custom return keys from hitting the
          edges of the key) (c162176f)
        * Scale custom return key labels so that more characters fit and set
          correct default font size (f7104a4b)
        * Don't append candidates to the word ribbon when they're pressed
          (558a0b5b)

2014-11-18 Michael Sheldon

        * Remove unity8-autopilot requirements and switch to python3
          (c5ef6cd8)
        * Modify backspace test to account for double space punctuation
          (e54ffa72)
        * Explicitly search for ShiftKey when discovering keyboard layout
          (972ed24e)
        * Use desktop file from an unconfined app so that Mir allows us to
          connect with our test QML apps (c02bd2d5)
        * Use new support for environment variable based testability switch
          in maliit-framework instead of restarting unity for each
          test (8f0238ae)

2014-11-17 Michael Sheldon

        * Reset the keyboard when the language plugin changes (87f10c46)

2014-11-14 Michael Sheldon

        * Add missing leftSide/rightSide properties to Azerbaijani layout
          (2f4db154)
        * Add missing 'M' keys to Bosnian and Croatian URL search layouts
          (0ee29f39)

2014-11-12 Michael Sheldon

        * Give generic name for empty ebook in Azerbaijani plugin (2191c173)
        * Merge Azerbaijani layout (20fc7916)
        * Merge Catalan branch (38018208)
        * Merge bosnian branch (36f710e2)
        * Merge from trunk (dce2683a)
        * Only emit override suggestions in advance of main prediction body
          (instead of all user entries) to allow for persistent
          predictions (dbbb50ed)

2014-11-11 Michael Sheldon

        * Merge from trunk (d305f1d0)
        * Merge from trunk (3d23b814)
        * Merge from trunk (5d364b96)

2014-11-10 Michael Sheldon

        * Send release signal for backspace if the user has swiped out of the
          key before releasing (f3ef8f47)
        * Merge from trunk (319e89a9)

2014-11-07 CI bot

        * Releasing 0.99.trunk.phablet2+15.04.20141107.1-0ubuntu1 (7bedbae3)

2014-11-07 Michael Sheldon

        * Fix uninitialised pointer.
          Fixes: 1390395 Approved by: Łukasz
          Zemczak, PS Jenkins bot (6689351c)
        * Fix uninitialised pointer (dcf1b518)

2014-11-05 Mike Sheldon

        * Remove orientation helper and simplify size calculation (a9a95590)

2014-11-04 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20141104~rtm-0ubuntu1
          (d1f47221)

2014-11-04 Michael Sheldon

        * Enable launchpad translation imports.
          Fixes: 1389274 Approved by:
          PS Jenkins bot, Łukasz Zemczak (b157ea85)

2014-11-04 Mike Sheldon

        * Fix ImhNoAutoUppercase hint behaviour when switching between apps
          with autocaps and without.
          Fixes: 1370071 Approved by: PS
          Jenkins bot (86c9f80c)
        * Only consider the current line when evaluating whether we're in the
          middle of a piece of text.
          Fixes: 1387714 Approved by: PS
          Jenkins bot (8d33c23d)
        * Don't show word candidates arriving after a word has been committed
          and allow candidates to remain on the word ribbon until a
          new set has been calculated prior to commit.
          Fixes:
          1384806 Approved by: Bill Filler, PS Jenkins bot
          (7a6e1336)
        * Detect if the user is entering an email address whilst in a field
          that supports predictions and suppress predictions,
          auto-caps and auto-spacing unless the input method
          requires predictions for standard character input (e.g.
          pinyin).
          Fixes: 1384770 Approved by: Bill Filler, PS
          Jenkins bot (34e1db71)
        * Reduce extended keys hold timer to more closely match timing from
          other platform's keyboards
          Fixes: 1384781 Approved by:
          Bill Filler, PS Jenkins bot (39d21a67)
        * Change URL key in Brazilian Portuguese layout to ".com.br"
          Fixes:
          1384787 Approved by: Bill Filler, PS Jenkins bot
          (7f2d70b7)
        * Update autocaps setting, even if surrounding text isn't yet
          available (a17a86f8)

2014-11-03 Mike Sheldon

        * Emit user's input and override corrections from prediction engine
          without waiting for other predictions (ebed6d53)

2014-10-30 Dinko Osmankovic dinko.metalac@gmail.com

        * reverted to 238 (c759e206)

2014-10-30 Daniel d'Andrada

        * Remove assumption that scene aspect ratio is portrait (9369544e)

2014-10-30 Dinko Osmankovic dinko.metalac@gmail.com

        * Updated bosnian database (cd98bcee)
        * Updated bosnian database (3c6f23cd)

2014-10-30 turan-mahmudov-l

        * bugs fixed (0df8563d)

2014-10-30 Mike Sheldon

        * Only consider the current line when evaluating whether we're in the
          middle of a piece of text. (d8bc3219)

2014-10-30 Dinko Osmankovic dinko.metalac@gmail.com

        * Added hr word database (4ffe325b)

2014-10-30 turan-mahmudov-l

        * tabs to spaces (0e3e2095)
        * fixed (60c0db0f)
        * bugs fixed (d5b96736)

2014-10-29 Mike Sheldon

        * Fix delayed autocaps deactivation (f941dfd5)
        * Don't show word candidates arriving after a word has been commited
          and allow candidates to remain on the word ribbon until a
          new set has been calculated (ef3ce11f)

2014-10-29 David Planella

        * Added final change to add Catalan as a keyboard entry (3f9612fe)

2014-10-29 Dinko Osmankovic dinko.metalac@gmail.com

        * Added everything (ea302008)

2014-10-28 Dinko Osmankovic dinko.metalac@gmail.com

        * Removed myspell-hr dependency (6c7c7dc6)

2014-10-24 Dinko Osmankovic dinko.metalac@gmail.com

        * Fixes as proposed by Michael (ba39aaa2)

2014-10-25 turan-mahmudov-l

        * bugs fixed (1be6ef79)

2014-10-24 Dinko Osmankovic dinko.metalac@gmail.com

        * Added bs to wordengine.cpp (4cb7175b)
        * Adding all the files (447f1df5)

2014-10-24 Mike Sheldon

        * Allow LanguageKey to switch instantly to the previously used layout
          instead of showing the LanguageMenu (8891131f)
        * Add initial support for emoji layout (fe281940)
        * Merge from fix-locale-codes (1d4fc2ad)
        * Don't truncate locale codes (4206d6e5)

2014-10-23 Mike Sheldon

        * Remove restriction on locale length (dd4a56aa)
        * Update prediction databases with cleaned source material and
          apostrophe support (2a4af5ec)
        * Remove Gutenberg references from presage training data (848fa094)

2014-10-22 Mike Sheldon

        * Exclude layouts that require predictions (e.g. pinyin) from email
          detection (539eed42)
        * Disable autocompletion if it looks like the user is entering an
          email address (8b8a1782)

2014-10-21 Mike Sheldon

        * Allow plugins to override similarity measure when comparing words
          for auto-completion (necessary for pinyin and similar
          input methods) (8ce4e93c)
        * Measure the Levenshtein distance between the start of the predicted
          input and the user input and disable autocorrection if
          they differ too greatly (c0c24673)
        * Set correct word candidate source for predictions (eb903406)
        * Check for full locale before falling back on more generic parent
          (e.g. pt_BR vs pt) (f7b6d9d4)

2014-10-20 Mike Sheldon

        * Disable autocaps and space insertion when the user enters a full
          stop if it looks like they're entering an email address
          (b7e4ebbe)
        * Change .br url key to .com.br (d1ea6498)
        * Reduce extended keys hold timer to more closely match timing from
          other platform's keyboards (42a2abcd)

2014-10-17 David Planella

        * Updated .pot file (978b2a77)

2014-10-17 Dinko Osmankovic dinko.metalac@gmail.com

        * Added Bosnian Layout (febe3d39)

2014-10-15 David Planella

        * Added entries for Catalan as a supported keyboard (3866d3d1)
        * Added predictive text database (dc10a3c6)
        * Added Catalan keyboard (3807f2d7)

2014-10-14 Michael Sheldon

        * Update keyboard when showing (492a5f05)

2014-10-13 Michael Sheldon

        * Merge from trunk (fe724cdd)
        * Don't update the keyboard if we're currently in the process of
          hiding (216d7e20)

2014-10-10 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20141010-0ubuntu1 (5b5cf26f)

2014-10-10 Michael Sheldon

        * Fix re-entry of preedit when in the middle of a sentence, disable
          preedit when editing in the middle of a word and
          re-evaluate autocaps whenever the cursor position changes.

          Fixes: 1375951 Approved by: PS Jenkins bot (48227dc0)
        * Don't insert spaces when editing words in the middle of sentences
          from word ribbon selection (900c3e61)
        * Return space behaviour to normal if the user continues typing after
          editing a word in the middle of a sentence. (9f080296)
        * Only insert spaces on autocomplete if we're not in the middle of a
          sentence (b74e8c28)

2014-10-09 Michael Sheldon

        * Add 'X-Ubuntu-Use-Langpack: yes' to debian/control (5affd3c8)

2014-10-07 Michael Sheldon

        * Re-evaluate autocaps whenever the keyboard is updated (e.g. when
          cursor positions change) (e387497f)

2014-10-06 Michael Sheldon

        * Fix re-entry of preedit when in the middle of sentence and disable
          preedit when editing in the middle of a word (daef6eb4)

2014-09-26 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140926.1-0ubuntu1 (b21294c0)

2014-09-26 Michael Sheldon

        * Allow buttons at the edges of rows to be extended to the left/right
          so that blank areas can receive touch events for nearby
          keys.
          Fixes: 1365014 Approved by: PS Jenkins bot
          (4913c66d)
        * Disable autocaps when the user deletes beyond a full stop
          character. Approved by: PS Jenkins bot (f4ca8091)
        * Add extended left/right areas to symbol layout (21ebce5d)
        * Fix hebrew layout (7859c554)
        * Fix dutch layout (9fc3f9d0)
        * Fix English email layout (89b3fe91)

2014-09-26 turan-mahmudov-l

        * azerbaijani keyboard (cd565beb)

2014-09-26 Michael Sheldon

        * Make empty spaces to the left or right of keyboard rows register as
          presses on the left-most or right-most keys (46964d96)

2014-09-25 Michael Sheldon

        * Fix autocaps when using backspace in an already empty field
          (1ea53dc8)
        * Fix autocaps behaviour when deleting past a fullstop. (af0c51ea)

2014-09-23 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140923-0ubuntu1 (03b53bd5)

2014-09-23 Michael Sheldon

        * Fix re-entering pre-edit when in the middle of text containing
          multiple lines.
          Fixes: 1357360 Approved by: PS Jenkins bot
          (d314b465)

2014-09-22 Michael Sheldon

        * Don't rebuild serbian dictionary unless explicitly requested (like
          other dictionaries) (625e02a8)
        * Merge from trunk (43849c55)
        * Fix pre-edit rentry in the middle of multiple lines (7ff9914c)

2014-09-18 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140918-0ubuntu1 (0d4993a4)

2014-09-18 Michael Sheldon

        * Implement new keyboard design
          Fixes: 1323852 Approved by: PS
          Jenkins bot (6c161d34)
        * Hide the settings option in the keyboard's language menu when the
          phone is locked.
          Fixes: 1358224 Approved by: Bill Filler,
          PS Jenkins bot (368371c9)
        * Restore old annotation size (ca4b3009)

2014-09-16 Michael Sheldon

        * Fix bottom margin touch area extension (7e801955)
        * Fix long key names (e.g. '.com') overlapping edges of magnifier
          (9ccd8c24)
        * Implement new design (369d6a0a)

2014-09-15 Michael Sheldon

        * Disable the settings item in the language menu when the phone is
          locked. (d3e8f2cc)

2014-09-10 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140910-0ubuntu1 (30fce4b5)

2014-09-10 Michael Sheldon

        * Deactivate autocaps if re-entering a field that already has text in
          it.
          Fixes: 1366779 (141baea8)
        * Clear the surrounding text buffer when clearing the preedit buffer.

          Fixes: 1361732 Approved by: PS Jenkins bot (c432c0cc)
        * Update Serbian layout to account for changes in POT generation and
          extended bottom row layout. Approved by: PS Jenkins bot
          (aefc7d57)
        * Only switch back automatically from the symbol page if the user
          presses space or apostrophe and make pre-edit behaviour
          when entering symbols more consistent.
          Fixes: 1359404
          (3fe3340b)
        * Merge from trunk (f27634fc)
        * Deactivate autocaps if we return to a field that already has text
          in it (36a1b901)
        * Switch back to character state if the keyboard has been reset
          (14abe8c8)
        * Switch back from symbols page when pressing return (a165057d)

2014-09-09 Michael Sheldon

        * Don't insert spaces after punctuation if we're on the symbol page
          (8e81e1b1)

2014-09-09 GunChleoc

        * Added gd keyboard layout. We still need text data for the
          predictive texting. (6d94a62b)

2014-09-09 Michael Sheldon

        * Use user input if a symbol is placed in the middle of a word
          instead of primary candidate (00a9b4cf)

2014-09-08 Michael Sheldon

        * When re-entering pre-edit, split on numbers (81600312)
        * Don't reenter preedit on symbols (f4bdf919)
        * Merge from trunk (9e22f715)
        * Don't add symbols to preedit words and include ; and : as valid
          word separators (9a25b6d4)

2014-09-02 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140902.1-0ubuntu1 (eebbf062)

2014-09-02 Bill Filler

        * enable spell checking, word prediction and auto-completion by
          default
          Fixes: 1364351 (4cd73fc6)

2014-09-02 Michael Sheldon

        * Wait until the first show operation has given components their
          correct sizes before allowing hiding. Approved by: PS
          Jenkins bot (ce364531)

2014-09-02 Bill Filler

        *  (ceb2f315)
        * enable options by default (c71a251b)

2014-08-29 Michael Sheldon

        * Only switch back automatically from the symbol page if the user
          presses space or apostrophe. (b0a9d9bc)
        * Wait until the first show operation has given components their
          correct sizes before allowing hiding (e965e4bd)

2014-08-28 Michael Sheldon

        * Fix missing imports in Serbian layout (8efbe0c3)
        * Update translation template (51861ba9)
        * Add extended bottom row support to Serbian layout (52df2ccd)

2014-08-27 Michael Sheldon

        * Merge from trunk (430cc306)
        * Clear surrounding text when clearing preedit (4e2f34e9)

2014-08-26 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140826-0ubuntu1 (e9f26a31)

2014-08-26 Michael Sheldon

        * Fix keyboard show/hide animation when maliit has first started.

          Fixes: 1361312 (5278a5d3)

2014-08-26 Danilo Šegan

        * Implement a basic Serbian keyboard layout with diacritics.
          (48f0081d)

2014-08-26 Michael Sheldon

        * Update haptic effect values to match those used in AbstractButton.
          Approved by: Bill Filler (53e52247)
        * Display the correct character in the magnifier when the keyboard is
          in shifted mode. Approved by: Bill Filler, PS Jenkins bot
          (d45be761)
        * Place the default extended key in the center of the extended keys
          pop up, making it the initially selected option. Approved
          by: Bill Filler (a719f282)
        * Add translation template generation.
          Fixes: 1357616 Approved by:
          Bill Filler, PS Jenkins bot (920ae5c0)
        * Allow ActionKeys to override default CharKey PressArea behaviour
          instead of creating their own overlapping MouseAreas.
          Approved by: Bill Filler (9d81730e)
        * Fallback to using the orientationHelper height if we don't yet have
          a valid height for the canvas (0df770d9)
        * Fix InputMethod interface reimplementation (d34038b3)

2014-08-22 Michael Sheldon

        * Merge from trunk (0baa4754)
        * Merge from trunk (be24c55f)
        * Merge from trunk (6b9f7e32)
        * Merge from trunk (999fb922)
        * Merge from trunk (92671a77)

2014-08-21 Danilo Šegan

        * Fix the UrlKey for email layout as well. (8fa9ba37)
        * Move overflowing .срб subdomains to extendedShifted on the UrlKey.
          (d57929e8)
        * Add digits as extended symbols on top row to match other layouts.
          Suggested by Michael Sheldon in review. (55c1f96b)

2014-08-21 Michael Sheldon

        * Format missing language fallback more clearly (998ada33)
        * Add .pot generation (e9dc4f03)
        * Place the first extended key in the center of the popup so that it
          is selected by default (86560234)

2014-08-20 Danilo Šegan

        * Merge trunk. (f4dbe8a2)

2014-08-20 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140820-0ubuntu1 (aac0304d)

2014-08-20 Michael Sheldon

        * Add haptic feedback when user performs a long press. Approved by:
          PS Jenkins bot (e203a114)
        * Extend the touch area of the bottom row of keys to reach the very
          bottom of the keyboard whilst still maintaining the same
          visual appearance. Approved by: PS Jenkins bot (66ca0146)
        * Restore animations when showing and hiding the keyboard and fix
          reporting of size for anchorToKeyboard property. Approved
          by: Bill Filler, PS Jenkins bot (12aa3e31)
        * Make word ribbon sizing display independent and trim word ribbon
          margins. Approved by: Bill Filler, PS Jenkins bot
          (7d241032)
        * Fix magnifier label in shifted state (72cfb99a)
        * Use visible key height for magnifier height (c825c508)
        * Allow bottom row to extend beyond the bottom of the screen to
          receive very low touch events (a22b75cd)
        * Make haptic effect values match SDK haptic effects (77768c80)
        * Allow ActionKeys to override the handling of key press and release
          events instead of creating an overlapping MouseArea
          (0afc21d3)

2014-08-19 Michael Sheldon

        * Merge fixes to swedish layout (73fc2170)
        * Extend touch area for keys on the bottom row to reach the bottom of
          the keyboard area, whilst maintaining the same visual
          appearance (eb6343fd)

2014-08-18 Michael Sheldon

        * Provide haptic feedback when keys enter their hold state (c4ca7444)
        * Merge from trunk (7cea17ff)
        * Make word ribbon sizing display independent and trim word ribbon
          margins (897a8cca)

2014-08-15 Michael Sheldon

        * Fix swedish layout (24d553d3)

2014-08-15 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140815-0ubuntu1 (93da9edb)

2014-08-15 Michael Sheldon

        * Allow the user to dismiss the keyboard with a quick downward swipe
          over the main key area.
          Fixes: 1347790 Approved by: Bill
          Filler, PS Jenkins bot (684eb8fe)

2014-08-14 Michael Sheldon

        * Fix bug preventing swiping the keyboard away on the first attempt
          after startup (0bb2ddd2)
        * Hide keyboard if swipe gets close to the bottom of the screen
          (e8c3a40e)

2014-08-14 Danilo Šegan

        * Drop changelog entry. (6d38af53)
        * Update changelog. (0025249a)
        * Merge trunk. (b2d971d3)
        * Add accented vowels to the rest of the layouts. (dcfcfe94)
        * Add accents for the default Serbian layout. (80b6e470)

2014-08-13 Michael Sheldon

        * Hide magnifier if we swiped out of a key (ee7d86b3)
        * Merge from trunk (cb871fdd)

2014-08-12 Michael Sheldon

        * Merge from trunk (af73423f)

2014-08-12 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140812.1-0ubuntu1 (796fa840)

2014-08-12 Michael Sheldon

        * Add missing dictionary dependencies to their respective keyboard
          plugins. Approved by: Łukasz Zemczak, PS Jenkins bot
          (7fbe1129)
        * Reduces start up memory usage from 60MB to 35MB by refactoring
          spell check and prediction to reduce the number of
          hunspell instances in different threads, and reduces
          memory usage when keyboard is in use by 5MB by
          implementing a single shared magnifier element (instead of
          each key having its own).
          Fixes: 1350193 Approved by: PS
          Jenkins bot (0caf4bd1)
        * Merge from trunk (83d2779a)

2014-08-11 Michael Sheldon

        * Merge from trunk (0cf42856)
        * Fix calculation of word candidates when reentering preedit
          (9514824f)
        * Add dependencies for missing dictionaries (1fad6dfe)

2014-08-11 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140811-0ubuntu1 (f77731ac)

2014-08-11 Michael Sheldon

        * Merge user input and primary prediction when they match, highlight
          auto-completion word instead of user input.
          Fixes:
          1347792, 1347798 Approved by: Łukasz Zemczak, PS Jenkins
          bot (c1eede7d)

2014-08-08 Michael Sheldon

        * Use a single shared magnifier for all keys (saves ~5MB of RAM once
          keyboard is in use) (7be64438)

2014-08-07 Michael Sheldon

        * Refactor to place all spell check operations in one thread (saves
          around ~20MB of RAM by reducing the number of hunspell
          instances required) (e1dac392)

2014-08-07 Danilo Šegan

        * Update changelog. (27badf7e)
        * Merge trunk. (f5579faa)

2014-08-03 Danilo Šegan

        * Update URL/email keyboard layouts with language chooser key since
          Cyrillic is rarely used for domain names, but with new IDN
          .срб TLD, it sometimes is. (d9cccc66)

2014-08-02 Danilo Šegan

        * Minor cleanups. (a30365b9)
        * Move comma and period to the bottom letters row. (e7b0aa5f)
        * Add Serbian to KeyboardContainer.qml. (7e197262)

2014-08-01 Michael Sheldon

        * Keep track of the word that suggestions have been generated for and
          don't report suggestions that no longer match the current
          pre-edit text (b8b41418)
        * Use mutex when receiving new candidates asynchronously from spell
          checker and word predictor (25c3a11e)
        * Merge from trunk (07631010)

2014-07-30 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140730.1-0ubuntu1 (2867613c)

2014-07-30 Michael Sheldon

        * Re-enter pre-edit after changing focus whilst still in a word (e.g.
          after swiping keyboard down and then tapping back in text
          field) or deleting punctuation characters and fix the
          pre-edit offset when deleting by holding backspace.
          Fixes:
          1347492, 1347800 Approved by: Bill Filler, PS Jenkins bot
          (f0471abc)
        * Modify the pre-edit style to just underline text instead of making
          it bold and blue.
          Fixes: 1347490 Approved by: Bill Filler,
          PS Jenkins bot (d37d7ae1)

2014-07-30 Danilo Šegan

        * Fix version number. (6e49ce17)

2014-07-30 Michael Sheldon

        * Don't start dragging keyboard if extended keys are shown (2775539a)
        * Start dragging the keyboard down if the user swipes down over main
          key area (36be2700)

2014-07-28 Danilo Šegan

        * bzr add ubuntu-keyboard-serbian.install file. (7ce1dcf9)
        * Initial go at Serbian keyboard layout. (9014619a)

2014-07-28 Michael Sheldon

        * Avoid duplicating user input when prediction matches and auto
          completion is disabled (61dacea1)
        * Report visible height of the keyboard when it's partially on screen
          (e.g. during showing/hiding operations) to better support
          the anchorToKeyboard property (422d4ed9)

2014-07-25 Michael Sheldon

        * Rename auto_completion_enabled to auto_correct_enabled for
          consistency (8a5b0b5e)
        * Merge from trunk (3fee1511)
        * Merge user input with predictions when they match to avoid
          duplicates and highlight the primary candidate on the word
          ribbon instead the user input (c33483ae)
        * Don't input characters when swiping keyboard away (6606a730)
        * Don't show the magnifier or the key as pressed when swiping
          keyboard down (387854cd)
        * Fix re-entering pre-edit after deleting punctuation (6c3ed928)
        * Re-enter pre-edit after having dismissed and restored the keyboard
          part way through a word and fix pre-edit offset when
          holding down backspace (034ea3a6)

2014-07-24 Michael Sheldon

        * Restore animations for showing and hiding the keyboard (eff1a255)
        * Don't compute prediction candidates twice when pressing backspace
          (5cd2b8f1)
        * Merge from trunk (c12ec4af)
        * Allow the user to swipe away the keyboard with a quick downward
          swipe over the main key area (9a2c2f0a)

2014-07-23 Michael Sheldon

        * Use underline style for preedit entries with suggestions (d534f6d4)

2014-07-22 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140722-0ubuntu1 (e3b57e94)

2014-07-22 Michael Sheldon

        * Control double space full stops via a gsettings key (8a720a3d)
        * Fix autocaps when entering punctuation via extended keys and make
          spacing for the top row of extended keys consistent with
          other rows. Approved by: PS Jenkins bot (97d5bb05)
        * Control double space full stop feature via a gsettings key
          (0fdf2172)
        * Stop keyboard pull down area overlapping keys to avoid conflicts
          with swipe selection (0344cffb)
        * Disable keyboard pull down area when the extended keys are shown
          (ccc73f32)

2014-07-21 Michael Sheldon

        * Fix autocaps for punctuation entered via extended keys (7fd379a4)
        * Fix warning when clearing currentExtendedKey (6596b5e7)
        * Make spacing of extended keys popover more consistent (572c4007)

2014-07-18 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140718-0ubuntu1 (b040d399)

2014-07-18 Michael Sheldon

        * Implement swiping behaviour for the selection of extended keys and
          fix popover position when selecting the same extended key
          after changing orientation. Approved by: PS Jenkins bot
          (e98096b4)
        * Fix incorrect Russian characters and layout
          Fixes: 1321908
          (08b79bf8)
        * Add numbers to the extended keys in the top row and extra
          punctuation on existing punctuation keys. Also adds the
          new sheqel symbol to the Hebrew keyboard and ensures that
          the Hebrew keyboard still displays keys when in capital
          mode.
          Fixes: 1233578, 1309100 Approved by: PS Jenkins bot
          (7fd714a7)
        * Enable the language menu when single pressing the language switcher
          button and add a settings item to the bottom of the
          language switcher. Approved by: PS Jenkins bot (6db8ad65)
        * Adjust size of shift and return keys on Russian layout (99bfc2e3)
        * Merge roman2861's branch fixing Russian layout (88e86627)

2014-07-17 Michael Sheldon

        * Fix Y mapping accuracy (429568d6)
        * Fix positioning of popovers when reopening popover from same key
          after changing orientation (c216efa2)
        * Avoid unnecessary recalculations of mouse position (93eb593c)
        * Fix swipe position calculation to work in landscape orientation
          (d67e425e)
        * Fix mouseY calculation and highlight warning (ce7779f6)
        * Fade out extended keys that aren't currently highlighted (75317adc)
        * Implement swiping selection behaviour on extended keys (d80ff8aa)
        * Add additional extended characters to email and url layouts in
          addition to standard layouts (d3e79064)
        * Scale down URL button (7ce910b3)
        * Add language button to all non-numeric layouts and reduce URL
          button width (492ea673)

2014-07-16 Michael Sheldon

        * Add hebrew punctuation mark to extended keys on hebrew keyboard
          (493c8068)
        * Keep extended punctuation available when shifted (da09508b)
        * Merge from trunk (51f5d058)
        * Add new sheqel symbol to hebrew keyboard and fix extendedShift
          characters (f92bffec)
        * Merge from trunk (b212c145)
        * Add settings item to language menu (498c4775)

2014-07-15 Michael Sheldon

        * Show language menu from a single press on the language key
          (de2775ac)

2014-07-14 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140714-0ubuntu1 (7db21290)

2014-07-14 Michael Sheldon

        * Allow languages to override word suggestion settings when they're
          critical to the layout (e.g. Pinyin) Approved by: PS
          Jenkins bot (16a68b17)
        * Merge from trunk (4e61b820)

2014-07-01 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140701-0ubuntu1 (6b543179)

2014-07-01 Michael Sheldon

        * Remove the workaround for keyboard input area positioning, as this
          is now fixed in unity-mir (d093d381)

2014-06-30 Michael Sheldon

        * Merge from trunk (8546e8f1)

2014-06-27 Michael Sheldon

        * Remove workaround for keyboard positioning, as this is now fixed in
          unity-mir (afd4006e)

2014-06-26 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140626-0ubuntu1 (9fdb911e)

2014-06-26 Michael Sheldon

        * Handle any discrepancy between keyboard's fullScreenItem size and
          the real screen size (e.g. caused by the shell's top bar)

          Fixes: 1332624 (7b0f3750)

2014-06-25 Michael Sheldon

        * Add QGSettings header to fake QGSettings test rather than
          hard-coding path (5aa71ebd)
        * Handle any discrepancy between keyboard's fullScreenItem size and
          the real screen size (e.g. caused by the shell's top bar)
          (2eceef51)

2014-06-16 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140616-0ubuntu1 (8f0b2bfe)

2014-06-16 Łukasz 'sil2100' Zemczak

        * Store the keyboard feedback sound in gsettings, making it
          configurable. (d12ea660)

2014-06-16 Michael Sheldon

        * Provide shifted keys for Hebrew so that blank keys aren't show when
          autocaps is enabled (1ec5849f)
        * Add ? and ! to extended keys for . and ' ; and : to extended keys
          for , (edc3825c)
        * Merge from trunk (6f1e07e9)

2014-06-13 Łukasz 'sil2100' Zemczak

        * Merge trunk and resolve conflicts (d5104603)

2014-06-11 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140611-0ubuntu1 (70b7d756)

2014-06-11 Łukasz 'sil2100' Zemczak

        * Changes related to fixing the preedit word completion, enhancing
          the usage with regards to adding whitespaces, separators.
          Enhanced autocaps. Added possibility to commit
          (word-completion) when using separators (., etc).
          Double-space with auto-correction enabled now results in a
          full-stop sign. Also, in auto-correct unnecessary
          whitespaces before separators are removed. Include
          unit-testing of some of the features.
          Fixes: 1244227
          (2dba2085)

2014-06-11 Michael Sheldon

        * Preserve user input as the first prediction candidate if it is
          spelt correctly
          Fixes: 1313635 (8d16035c)
        * Place words back in to pre-edit if the user presses backspace to
          reach that word (33f34bb4)
        * Disable magnification on the dial pad and number pad layouts,
          remove transparency from magnifier background.
          Fixes:
          1323855 (e1f5ff46)
        * Remove unused function (a9b9517c)

2014-06-11 Łukasz 'sil2100' Zemczak

        * Merge trunk (70672f31)
        * Yeah, this should be much easier to do the detection of content
          type - as all non free text content types explicitly
          disable preedit. (bcefd00c)

2014-06-10 Michael Sheldon

        * Override first prediction with the user's input if it is spelt
          correctly (2568f301)

2014-06-06 Michael Sheldon

        * Restore original magnifier size (4a4becba)

2014-06-04 Michael Sheldon

        * Update popover images with non-transparent backgrounds (31b91ea2)

2014-06-04 Zonov Roman

        * Deleted Ruble symbol and bug fix. (2ac44492)
        * Bug fix (ca66ae24)
        * Merged changes from Dmitry (d3e1350e)

2014-06-04 Michael Sheldon

        * Merge from trunk (327f2d6d)

2014-06-03 Dmitry Shcherbakov RusDmitry@yandex.ru

        * Changed latin 'e', 'e-diaeresis' and 'a' to the semantically
          correct Cyrillic equivalents. Added the Ruble currency
          sign (U+20BD) which is to be released with Unicode 7.0.0
          soon (requires a correct font for correct display).
          (1b6ee9d4)

2014-06-03 Michael Sheldon

        * Remove character from recreated preedit if we have a deletion that
          hasn't been committed yet (773f0d22)

2014-06-02 Michael Sheldon

        * Merge from trunk (d1794a68)
        * Place words back in to pre-edit if we backspace into them from the
          end of the line (b60169e7)

2014-05-31 Zonov Roman

        * Updated Russian language. (ef0ffc50)

2014-05-28 Łukasz 'sil2100' Zemczak

        * Do not consider : and ; as separators right now (b81364eb)

2014-05-28 Michael Sheldon

        * Tweak font size and scale up magnifier (20714383)
        * Disable magnifier on number pad and dial pad (382bcb79)
        * Add numbers to the extended keys on the top row (efc8fd8c)

2014-05-27 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140527-0ubuntu1 (60812820)

2014-05-27 Michael Sheldon

        * Re-evaluate the state of autocaps when the user is deleting
          characters and when the cursor position changes to the
          beginning of a field
          Fixes: 1312329 (b5eeed29)
        * Add user input to the word ribbon as the first entry, allowing for
          autocomplete suggestions to be overridden. Use the
          selection of that entry as the cue to add words to the
          user spell check dictionary and filter presage's
          predictions based on what words are in the spell check
          dictionary.
          Fixes: 1318808 (5388d556)
        * Modify the build system so that presage databases are only updated
          when manually requested, instead of during every compile.
          (a220be78)

2014-05-20 Łukasz 'sil2100' Zemczak

        * Merge trunk (de7bcd75)
        * Change the approach: for now let's not use the preedit for
          appending the whitespaces for auto-correct. Let's actually
          print it out but remove it when needed. We could do this
          otherwise, i.e. use preedit and custom formatting strings,
          but that actually requires more work and is more error
          prone. Let's do that later. The unit tests need some love
          still though... (927f6ca9)

2014-05-20 Michael Sheldon

        * Enlarge pressed key pop-up (01c83b0a)
        * Update all presage databases (4469d523)
        * Add instructions on updating presage prediction databases to README
          (ce9efc27)
        * Don't rebuild presage model during normal compilation, just when
          explicitly requested (e.g. after updating the training
          data) (2679d4f2)
        * Restore hiding animation (a95284a1)
        * Use bold for highlighting user input, as Arabic font doesn't
          include italic characters (cda0ca67)

2014-05-19 Michael Sheldon

        * Update user candidate even when there are no other candidates
          (58150f1e)
        * Allow words to be added to the dictionary when spellchecking is
          disabled, but prediction is enabled (bb1d4dcb)
        * Merge from trunk (4eac7f59)
        * Set prediction language from signal to keep consistent with spell
          check language (b2a40735)

2014-05-16 Michael Sheldon

        * Use mock word engine for repeat backspace tests instead of
          attempting to load system plugin (2ca810c9)
        * Fix activation of autocaps on backspace when word immediately
          following punctuation is still in pre-edit (303d37c5)
        * Merge from trunk (33959053)

2014-05-15 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140515-0ubuntu1 (b9fe99ac)

2014-05-15 Daniel d'Andrada

        * Remove SurfaceFlinger "support" (6e2eda26)

2014-05-15 Michael Sheldon

        * Use user input on word ribbon as trigger for adding new words to
          the user dictionary (1efcef35)
        * Only predict words that are in the spell checker's dictionary
          (a1c7df81)

2014-05-14 Michael Sheldon

        * Italicise user input on word ribbon (133e4d39)
        * Present user input as first candidate on word ribbon to allow for
          over-riding of autocompletion (a0b01ccb)

2014-05-12 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140512-0ubuntu1 (cdb8aad1)

2014-05-12 Bill Filler

        * Adjust values of haptic feedback to make less strong and enable by
          default (6cfbca07)

2014-05-12 Michael Sheldon

        * Refactor language plugins to provide word candidates via signals
          and move spell checking and predictive text into separate
          threads
          Fixes: 1299736 (980bde5b)

2014-05-12 Bill Filler

        * tweak values of haptic feedback and enable by default (5b5b9cf6)

2014-05-12 Michael Sheldon

        * Merge from trunk (24751a20)
        * Re-evaluate autocaps when the cursor position returns to the start
          of a field (d4b3c273)

2014-05-09 Michael Sheldon

        * Don't compute candidates while the user is holding down the
          backspace key (5b339c74)
        * Fix connection of setPredictionLanguage slot (37b74e52)

2014-05-08 Łukasz 'sil2100' Zemczak

        * Workaround fix for the broken initial autocaps (d6a04a41)

2014-05-07 Michael Sheldon

        * Add missing abstractlanguageplugin.cpp (44a0d297)

2014-05-07 Łukasz 'sil2100' Zemczak

        * Add a new unit test for the double-space full-stop (269905d5)
        * Merge trunk (d5ccf742)
        * Fix all outstanding issues... Refactor the code heavily as it was a
          'patch on a patch of a patch'. Now it should be good
          (4892ab95)

2014-05-07 Michael Sheldon

        * Merge from trunk (299974dd)
        * Combine parse and getWordCandidates into a single predict function
          and remove conditions on predicted words that no longer
          occur due to them being asynchronous (9ddac130)
        * Move predictive text in to a separate thread (092e784d)

2014-05-06 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140506.1-0ubuntu1 (866c84e6)

2014-05-06 Bill Filler

        * add action key support in ubuntu-keyboard (223bb64d)

2014-05-01 Bill Filler

        * merge from trunk (99730ce7)

2014-05-01 Michael Sheldon

        * Allow primary candidate for autocompletion to be set asynchronously
          (a7780fbb)
        * Fix text formatting when candidates are arriving asynchronously and
          fix clearing of candidates on correctly spelt words
          (8269e5f4)

2014-04-30 Michael Sheldon

        * Fix clearing candidates when no suggestions are available
          (a92f8a8d)

2014-04-30 Łukasz 'sil2100' Zemczak

        * Fix the tests, still working on fixing all edge-cases (a0f4e99b)

2014-04-30 CI bot

        * Releasing 0.99.trunk.phablet2+14.10.20140430-0ubuntu1 (eccc24e0)

2014-04-30 Bill Filler

        * Enable haptic feedback when the key-press-haptic-feedback gsetting
          key is true.
          Fixes: 1299088 (f94182d8)

2014-04-30 Renato Araujo Oliveira Filho

        * Fixed filename typo. (36a50d44)
        * Used namespace Ubuntu.Keyboard for qml plugin. (c3f376fc)
        * Rename package qtdeclarative5-ubuntu-keyboard-extensions to
          qtdeclarative5-ubuntu-keyboard-extensions0.1 (1a07fb84)
        * Fixed typo. (bf5e30d3)

2014-04-29 Renato Araujo Oliveira Filho

        * Added missing install file. (a0725a3c)
        * Fixed new package dependency. (74ea6b7c)
        * Added documentation. (3d2729ab)
        * Adding missing file. (954b1cdd)
        * Created qml plugin. (938a411a)

2014-04-29 Michael Sheldon

        * Make spell checking multi-threaded (f252fa14)

2014-04-28 Łukasz 'sil2100' Zemczak

        * Merge trunk (c6ce5459)

2014-04-25 Michael Sheldon

        * Evaluate autocaps on deletion of characters (3841ca1d)

2014-04-25 Łukasz 'sil2100' Zemczak

        * Add the possibility to commit strings using separators (like dots
          and commas). Fix pinyin input to consider separators
          (84cce654)

2014-04-24 Łukasz 'sil2100' Zemczak

        * Add some additional comments (41b2dd1b)
        * Fix the new behavior for pinyin (dacfeb57)

2014-04-24 Michael Sheldon

        * Refactor spellchecking/prediction candidates to be signal based in
          preparation for threading (90a2136f)

2014-04-22 Łukasz 'sil2100' Zemczak

        * Remove any trailing whitespaces during auto-correct when a
          separator is inputted and make the double-space action
          only work in case of space-started auto-correct (0f268f84)
        * Enable the double-space as a full stop sequence generator during
          auto-complete (c748dd60)

2014-04-17 Renato Araujo Oliveira Filho

        * Fixed icon change during the runtime. (85aae449)
        * Added support to override the action key. (39ca8b7e)

2014-04-17 Michael Sheldon

        * Update haptic feedback responses to match audio responses
          (2513111b)
        * Merge from trunk (21bee36a)
        * Add gsetting for haptic feedback (0b23550a)

2014-04-16 Michael Sheldon

        * Keep track of the prediction state requested from the settings so
          we can restore it when changing language plugins
          (d74e2899)
        * Allow languages to override word suggestion settings when they're
          critical to the layout (e.g. Pinyin) (ff5c7a1f)

2014-04-16 Daniel d'Andrada

        * Remove SurfaceFlinger support (b2e007f3)

2014-04-15 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140415-0ubuntu1 (dfc66f22)

2014-04-15 Łukasz 'sil2100' Zemczak

        * Quick-fix: play key feedback sound on key-press for all used keys.
          The fix is not really sophisticated, but these parts of
          code might change soon anyway
          Fixes: 1306160 (2975f73b)

2014-04-15 Michael Sheldon

        * Switch back to normal character mode if in shifted mode after
          entering extended characters.
          Fixes: 1264860 (54010bc7)
        * Implement capital letters for Pinyin keyboard, ignore
          auto-capitalisation and always display word ribbon when
          using Pinyin regardless of input hints.
          Fixes: 1281384
          (4ed0b03b)
        * Merge from trunk (61798446)
        * Merge changes from trunk (8de723a2)
        * Always show word suggestions when using Pinyin keyboard regardless
          of input hints (d8414331)
        * Always show word suggestions when using Pinyin keyboard regardless
          of input hints (64788f9b)

2014-04-14 Michael Sheldon

        * Merge from fix-1281384 (2ee0c8e0)
        * Allow language plugins to specify whether the autocaps facility is
          available in any circumstance, rather than just in the
          context of specific input and check for autocaps support
          when entering empty text fields. (25d91be6)

2014-04-14 Ricardo Salveti de Araujo

        * releasing package ubuntu-keyboard version
          0.99.trunk.phablet2+14.04.20140407.1-0ubuntu2 (98f6f00a)

2014-04-14 Michael Sheldon

        * Ignore autocaps when using Pinyin (a101b620)
        * Add capital letters to pinyin layout (faac01a5)
        * Switch from shifted to normal mode after entering extended
          characters (7245f6a0)

2014-04-11 Łukasz 'sil2100' Zemczak

        * Quick-fix: play key feedback sound on key-press for all used keys.
          The fix is not really sophisticated, but these parts of
          code might change soon anyway (27ee9727)
        * Enable tests for the new functionality, re-enable tests for the
          autoCaps count (3c7dd70e)

2014-04-10 Łukasz 'sil2100' Zemczak

        * Prepare new unit tests for the new functionality (674468f8)
        * Merge trunk (076d0710)

2014-04-09 Łukasz 'sil2100' Zemczak

        * Changes related to fixing the preedit word completion, enhancing
          the usage with regards to adding whitespaces, separators.
          Enhanced autocaps. (16ea8834)

2014-04-08 Michael Sheldon

        * Merge from trunk (824eef80)

2014-04-07 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140407.1-0ubuntu1 (7426cdb1)

2014-04-07 Michael Sheldon

        * Reduce latency for key press sounds by switching to a SoundEffect
          element (lower latency and better at simultaneous sounds
          than Audio) and triggering the sound on key press rather
          than on release.
          Fixes: 1289372 (db6ad494)
        * Gradually decreases the interval between word deletion when
          backspace is held down, allowing for fast deletion of
          large blocks of text (fixes bug #1289374).
          Fixes: 1289374
          (23f28ceb)
        * Play audio feedback on key press rather than key release (bb0b6df7)
        * Use SoundEffect instead of Audio for keypress effect to reduce
          latency (ef9adc30)
        * Merge from trunk (972f960c)

2014-04-04 Michael Sheldon

        * Gradually accelerate word deletion to allow for deleting large
          blocks of text (b2f8b4b7)

2014-04-02 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140402-0ubuntu1 (d88faa65)

2014-04-02 Olivier Tilloy

        * When sending a key event, send KeyPress AND the corresponding
          KeyRelease event.
          Fixes: 1300382 (d5b8c8e8)
        * Updated unit tests to match the new behaviour. (476ab203)
        * When sending a key event, send KeyPress AND the corresponding
          KeyRelease event. (be02d427)

2014-03-26 Łukasz 'sil2100' Zemczak

        * Try using absolute path for the feedback sound (71de5c6d)

2014-03-25 Łukasz 'sil2100' Zemczak

        * Add a simple unit test for testing the settings change for feedback
          sound (1d7de1c0)
        * Add a gsettings value for the feedback sound (192c5ac5)

2014-03-18 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140318-0ubuntu1 (5da553a1)

2014-03-18 Łukasz 'sil2100' Zemczak

        * Fix auto-capitalization after a newline. This adds checks for
          autocapitalization for enter/return key-presses and
          additional autocap case characters for western languages.

          Fixes: 1272818 (25abf5fe)

2014-03-18 Bill Filler

        * clear the preedit and word candidates when the focused editor
          changes by implementing reset() in the plugin
          Fixes:
          1271494 (613834a4)

2014-03-12 Bill Filler

        * fix whitespace issues (fb36dac1)

2014-03-11 Bill Filler

        * fixes lp:1271494 (78299331)
        * clear the preedit and word candidates when the focused editor
          changes by implementing reset() in the plugin (5b7da451)

2014-03-11 Łukasz 'sil2100' Zemczak

        * Change order of newline characters in westernplugin and make sure
          autocaps is also checked on return key presses. This
          ultimately fixes the issue (90148552)

2014-03-07 Łukasz 'sil2100' Zemczak

        * Merge trunk (1af74033)
        * Some more test changes (2ddee547)

2014-03-06 Łukasz 'sil2100' Zemczak

        * Final piece of the puzzle - clear the formatting from the preedit
          (60e72067)

2014-03-06 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140306-0ubuntu1 (169efae0)
        * No change rebuild against Qt 5.2.1. (60d92cb2)

2014-03-04 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140304-0ubuntu1 (ef4d7d57)

2014-03-04 Florian Boucault

        * Fixed BorderImage usage: always use .sci files so that resolution
          independence works adequately. Removed unused assets:
          keybg* (5c1300c5)

2014-03-03 Bill Filler

        * initial support for button haptic feedback (c6813dc4)

2014-03-03 Florian Boucault

        * Fixed BorderImage usage: always use .sci files so that resolution
          independence works adequately. Removed unused assets:
          keybg* (b1f022ea)

2014-02-28 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140228-0ubuntu1 (96515bd0)

2014-02-28 Dmitrijs Ledkovs

        * Tests expect writable /home/xnox, provide a fresh one for each
          build.
          Fixes: 1247994 (fbc9bd73)

2014-02-28 Bill Filler

        * fix lp:1277186 to allow keyboard to be swiped down as before
          Fixes:
          1277186 (4a6ebfac)

2014-02-28 Dimitri John Ledkov

        * merge trunk (6fac7739)

2014-02-28 Bill Filler

        * cleaner way to set visible flag (18947846)

2014-02-27 Bill Filler

        * fix more issues with swiping down in qt5.2 (b53f2f55)
        * fix for lp:1277186 - difficult to swipe keyboard down in Qt5.2
          (6ba2a07d)

2014-02-27 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140227-0ubuntu1 (df8b69f3)

2014-02-27 Daniel d'Andrada

        * Make out-of-source builds work again (18d7b312)

2014-02-25 Łukasz 'sil2100' Zemczak

        * Do not enable auto-correction if preedit is empty (doesn't make
          sense) (2d3c8299)

2014-02-24 Łukasz 'sil2100' Zemczak

        * Actually, clear the candidates list exactly at the time we clear
          the preedit (7feb08d5)
        * Clear the candidate list on empty preedit (d4aab2fc)

2014-02-13 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140213-0ubuntu1 (693dd3af)

2014-02-13 Łukasz 'sil2100' Zemczak

        * Disable the shift button coloring, as it breaks things in certain
          cases - use a custom colored icon instead.
          Fixes: 1251285
          (31855f4d)

2014-02-06 CI bot

        * Releasing 0.99.trunk.phablet2+14.04.20140206-0ubuntu1 (bf2f036e)

2014-02-06 Daniel d'Andrada

        * Fixes mapping between rotation angles and screen orientations
          (59c7c73f)

2014-02-06 Łukasz 'sil2100' Zemczak

        * Try fixing the auto-capitalization after a newline (7ff32393)

2014-01-31 Daniel d'Andrada

        * Make out-of-source builds work again (76962f04)
        * Fixes mapping between rotation angles and screen orientations
          (98d97bd9)

2014-01-28 Łukasz 'sil2100' Zemczak

        * Disable the shift button coloring, as it breaks things in certain
          cases - use a custom colored icon instead. (eb833972)

2014-01-27 Łukasz 'sil2100' Zemczak

        * Add a free, open ebook for the polish keyboard plugin for the
          database - one released on a CC BY-SA 3.0 license.
          (3187a65f)
        * Add a free, open ebook for the polish keyboard plugin for the
          database - one released on a CC BY-SA 3.0 license
          (7bfc3237)

2014-01-27 Thomas Moenicke

        * Remove legacy code and files: the old language xml files,
          deprecated LayoutUpdater usage, old layouting. (946582af)

2014-01-23 Bill Filler

        * removed unused code after testing with #ifdefs (ac973b7b)

2014-01-22 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20140122-0ubuntu1 (revision 129
          from lp:ubuntu-keyboard). (09d1aa4d)
        * Releasing 0.99.trunk.phablet2+14.04.20140122-0ubuntu1, based on
          r129 (508d5790)

2014-01-22 Ken VanDine

        * the keyboard plugins need shlibs:Depends . (4b097d0f)
        * the keyboard plugins need shlibs:Depends (ad8ccb9e)

2014-01-22 Łukasz 'sil2100' Zemczak

        * Let's do = binary:Version instead of > static version for every
          keyboard plugin. Bump standards and add missing comma.
          (7b90630c)
        * Let's do = binary:Version instead of > static version for every
          keyboard plugin. Bump standards and add missing comma.
          (cedaae66)

2014-01-22 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20140121-0ubuntu1 (revision 126
          from lp:ubuntu-keyboard). (5b31d0ee)

2014-01-21 Bill Filler

        * removed unused language files and .ini files (39291df4)
        * merge from trunk (c78db3f6)

2014-01-21 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20140121-0ubuntu1, based on
          r126 (f251bea2)

2014-01-21 Bill Filler

        * change Architecture of plugins to any as they are platform
          specific. (bbda1887)
        * change Architecture of plugins to any as they are platform specific
          (2edde72a)

2014-01-20 Thomas Moenicke

        * changes to load/set the active keyboard based on gsettings key.
          (7ac933ae)

2014-01-19 Bill Filler

        * correctly load active-language on startup by refactoring and
          changing order as qml was getting loaded before
          activeLanguage set internally. Added debug (3dfd7561)

2014-01-17 Bill Filler

        * fixed warning on keyPressFeedbackChanged() registration. Added
          debug for activeLanguage (57e41354)

2014-01-16 Bill Filler

        * fix warning trying to register slot on wrong method name (38bb5909)
        * merge with trunk (20a05852)

2014-01-16 Gerry Boland

        * Implement handleClientChanged method to react correctly to client
          connect/disconnect.
          Fixes:
          https://bugs.launchpad.net/bugs/1267550. (b3b4698a)

2014-01-15 Gerry Boland

        * Implement handleClientChanged method to react correctly to client
          connect/disconnect. (9525b05d)

2013-12-20 Thomas Moenicke

        * new click sound for keys. (88f79e45)
        * nothing (069a8011)
        * re-added commented out plugins (37eea2bc)
        * enabled all plugins for jenkins (90adfb66)
        * reading active language at start (b621f9ab)
        * removed benchmark from debian package (2a1b35c9)

2013-12-19 Thomas Moenicke

        * TEMP_DISABLED is LEGACY_CODE_TO_BE_REMOVED (dacbc10b)
        * removed obsolete style stuff (f66ae742)
        * disabled benchmark (28fd41a4)
        * removed files from buildsystem: layoutupdater, layouthelper,
          keyboardloader, updatenotifier (8649ce03)
        * removed LayoutGroup (d2f6e1eb)
        * ciao model! (0fe8e76b)
        * ciao LayoutHelper! (d8f7c7d1)
        * ciao LayoutUpdater! (1d36ceac)
        * saving activeLanguage to gsettings when changed by globe menu
          (aab07ad9)
        * disabled code that has been moved to wordRibbon (42a8f754)
        * connect wordRibbon to editor (1ea2dd98)
        * connecting event handler to wordribbon listmodel (ac7e52d9)

2013-12-18 Thomas Moenicke

        * adding single quotes for default value (9409ed93)
        * removed unused code in eventhandler (9fa0a461)

2013-12-17 Bill Filler

        * turn off spell-checking and auto-complete by default. (76f97aa6)

2013-12-17 Thomas Moenicke

        * cleanup eventhandler (26463d5a)
        * adding active language, so when choosing another language in the
          osk language menu it stays persistent Note: settings app
          now has to set active-language when changing device
          language:  adb shell sudo -iu phablet gsettings set
          com.canonical.keyboard.maliit active-language 'en'
          (36f24a5f)

2013-12-16 Thomas Moenicke

        * language features + backends go into plugins . (77b8b5d5)

2013-12-16 Bill Filler

        * turn off spell-checking and auto-complete by default (fcdf4535)

2013-12-16 Thomas Moenicke

        * plugins link against hunspell (43cece2e)
        * adding dev package for additional plugins (873b82c2)

2013-12-13 Thomas Moenicke

        * fixed debian package dependencies (00fabfa7)

2013-12-12 Thomas Moenicke

        * cleanup buildsystem (bf47279c)
        * fixed loading plugin of chinese pinyin plugin (005854dd)
        * picking search and url layouts from right folder (7167079f)
        * arabic, czech, dutch, polish, russian, swedish (7fddfcf3)
        * build fixes.
          Fixes: https://bugs.launchpad.net/bugs/1258061.
          (bf906423)

2013-12-11 Thomas Moenicke

        * added static lib file to deb package (74478b0a)
        * avoid files being in 2 packages (conflicts) danish hunspell for
          Danish plugin (50675f5f)
        * hu+he database file loading (a28dd0c3)
        * adding he+hu to project (5f6dbcdf)
        * adding available hunspell lang packages as dependencies (c8b7a698)
        * expected_auto_caps_activated_count unused (compiler warning)
          (f5e1fe38)
        * adding hewbrew and hungarian (6d44cbd5)
        * added dirname to loading database code commented out line in ut
          (does not work on device right now) (32aed941)
        * adding build dependency qtdeclarative5-private-dev (c403be75)
        * adding Danish and Finnish plugin (f4c2e245)

2013-12-10 Thomas Moenicke

        * rebase (bfaadc80)
        * re-added ut_editor (c7dc95e6)
        * fix in portuguese (6f7408fb)
        * KeyboardContainer refers to new location (10b7e351)
        * fixed portuguese (87947734)
        * include qmake conf file (c2a115ae)
        * fixed qml qmake (9ebb87d0)

2013-12-09 Thomas Moenicke

        * fixed pinyinadapter for libpinyin4 (6af8dfaa)
        * fixed chinese pinyin (c97f872c)
        * fixed install path (9e8a8bc2)
        * adding debian packages for language packs (5deb5b3f)

2013-12-06 Thomas Moenicke

        * adding empty database files to make qmake happy (03fb1639)
        * fixed creation of language databases using text2ngram catching
          presage exceptions when setting database file, or when
          predict() we need to use LC_NUMERIC=C to avoid hickups
          with database (libpresage & libpinyin) unload previously
          loaded plugin (550eedbe)

2013-12-05 Thomas Moenicke

        * fixed issue with presage returning 0 when calling predict(), it
          needs surrounding text as well pinyinplugin does not use
          surrounding text, ignored (e917cd2f)

2013-12-03 Thomas Moenicke

        * loading databases without hardcoded path (73e482cc)
        * temp. disabled tests that use wordengineprobe (needs to load
          plugins as well) generating database in 3 iterations (to
          follow the way presage does it) statically linking
          libwesternsupport for now, more robust (eba9ec02)
        * fixes in build system fixes in loading english language fixes in
          unittest build order (e9925a6e)

2013-12-02 Thomas Moenicke

        * using new keypress sound from Jouni (cbaf2fef)
        * switiching to database in LanguagePlugin constructor (37a0857b)

2013-11-29 Thomas Moenicke

        * added free ebooks from project gutenberg in French, Italian,
          German, Portuguese and Spanish ebooks get translated into
          databases for presage added Portuguese plugin (e6c59506)

2013-11-28 Thomas Moenicke

        * added fr, de, es, en, it lang packs added internal library for
          sharing code between presage/hunspell based packages fixes
          in buildsystem fixed path for installing plugins
          (9490390e)

2013-11-26 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20131126-0ubuntu1 (revision 118
          from lp:ubuntu-keyboard). (7a9cf8de)
        * Releasing 0.99.trunk.phablet2+14.04.20131126-0ubuntu1, based on
          r118 (fd63e69c)

2013-11-25 Thomas Moenicke

        * sound off by default. (b59cc7f4)
        * sound is off by default (634dee7b)

2013-11-23 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20131122.1-0ubuntu1 (revision
          116 from lp:ubuntu-keyboard). (4add7e02)

2013-11-22 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20131122.1-0ubuntu1, based on
          r116 (28e53803)

2013-11-22 Thomas Moenicke

        * one more fix in tests buildsystem (2fcac8b9)
        * fixed pathes in buildsystem (dc3104c0)
        * added missing file (4c70cdfa)

2013-11-21 Thomas Moenicke

        * moved ut_languagefeatures unittests to westernlanguageplugin (it
          tests western language features) (c06faa07)
        * fixed LanguageFeatures in unittests (49648b47)
        * fixed unittests (constructor of Editor, languageFeatures)
          (881952d8)
        * disabled languagefeatures branch just for this brunch until they
          are reworked (98df28a9)
        * reworked spellchecker API in plugins (b8324108)
        * moved spell checker to western language plugin (2dcf7da9)
        * moved LanguageFeatures to plugins (5f158d07)

2013-11-20 Thomas Moenicke

        * fixing renaming issue (b723fb2f)
        * renamed exampleplugin to pinyinplugin (84f4ac2c)
        * adding western (presage) backend (7b749846)

2013-11-19 Thomas Moenicke

        * using plugin for pinyin (6acbbde9)
        * renamed AbstractLanguagePluginInterface to LanguagePluginInterface
          (293342ab)
        * adding plugin skeleton (f9761bc4)

2013-11-18 Dmitrijs Ledkovs

        * Port to libpinyin4-dev API. (LP: #1247840).
          Fixes:
          https://bugs.launchpad.net/bugs/1247840. (93f87308)

2013-11-15 Guenter Schwann

        * Make spell check usable without predictive text (08f4ba2d)
        * Trunk merged (5074796e)
        * Use only one Audio item to load keyboards faster (a1d2127c)
        * cleanup (ebb59758)

2013-11-15 Thomas Moenicke

        * resize canvas when wordribbon changes (causes issue of osk being
          squeezed when going from browser to msg app with
          wordribbon enabled) (6577eb8e)

2013-11-15 Guenter Schwann

        * Use only one Audio item to load keyboards faster (d48db40e)

2013-11-15 Thomas Moenicke

        * ouch (4ea5ef6f)

2013-11-15 Guenter Schwann

        * Only update the preedit when needed (83ed6e24)

2013-11-15 Thomas Moenicke

        * rebase (c49f99ff)
        * considering wordribbon size for canvas size (8371cf22)

2013-11-15 Guenter Schwann

        * Trunk merged (848cd88c)
        * Trunk merged (ad9ab99a)
        * Enable audio feedback (e3a5a590)
        * Ups - forgot to save the conflict fix (6ec3111c)
        * Trunk merged (d6e557e4)

2013-11-14 Guenter Schwann

        * initialize variable (57618df9)
        * Make spell check usable without predictive text (cae0885f)
        * Spellchecker uses active language (if installed) (fd8bd633)
        * Print a warning is original language wasn't found (cc92ef5a)
        * Add fallback functionality for country specific languages, to
          search for another country (use en-us, if en-gb is not
          available) (9501901f)
        * Trunk merged (a4fe897f)
        * improvements on chinese language support (2c57f9ad)

2013-11-13 Thomas Moenicke

        * removed file that accidently ended up in this MR (81ae38f7)
        * removed unused maliit-ui-constants.qml (eda522ab)
        * fixing coding style (7e857a1f)
        * rebase (3e8e51e0)
        * adding email and url layouts (0bb46cf3)
        * adding browser layout for chinese (a5a38ad6)

2013-11-13 Guenter Schwann

        * Trunk merged (0f48f68d)
        * Trunk merged (1170f191)
        * Trunk merged (af50d433)
        * Remove some dead code (e2adcb72)
        * Trunk merged (d0e8d06d)
        * Add space after selected predictited text for non chinese
          (ec27e8b7)
        * Enable audio feedback (888b1fe8)

2013-11-13 Thomas Moenicke

        * fix inverted-landscape and inverted-portrait (0b36adae)
        * removing dynamiclayout code (c880d936)
        * removed dynamiclayout and uiConst (0f0a43ff)
        * removed windowGeometryRect (37c2731e)
        * removing keyboardVisibleRect (23648161)

2013-11-12 Dmitrijs Ledkovs

        * Merge from trunk (2b850853)

2013-11-12 Thomas Moenicke

        * visibleRect now comes from QML (32e84c5a)

2013-11-12 Guenter Schwann

        * Only update the preedit when needed (33f6686b)
        * Remove a debug message (26fc944c)
        * remove Hunspell object if not used;  use the settings to
          enable/disable spell checking (c79e3ef1)

2013-11-11 Thomas Moenicke

        * merging remove-dead-code branch (6f6cf38e)
        * rebase (bb1b49f6)

2013-11-11 Guenter Schwann

        * Clean up API (e44b6565)
        * Spellchecker can uses active language (if installed) (77027cf7)

2013-11-08 Thomas Moenicke

        * more languages. (5da45be2)
        * more little fixes added complete list of arabic tlds as TODO
          (currently doesnt fit) (dfc41098)
        * some adjustments and small fixes (7855e96c)
        * adding language to install (dda90aa5)
        * rebase (c8826fe9)

2013-11-08 Guenter Schwann

        * Trunk merged (9905ecdb)
        * Add space after selected predictited text for non chinese
          (7ee79519)
        * Merge trunk (198c122d)
        * Set the keyboard geometry from QML to C++, not the other way
          around.
          Fixes: https://bugs.launchpad.net/bugs/1245481.
          (8babc058)

2013-11-08 Michael Terry

        * When running the tests, tell xvfb-run to find next available
          servernum instead of assuming :99 and failing if that is
          not available. (fbb74273)

2013-11-07 Michael Terry

        * Ask xvfb to get next available server number (34c7f686)

2013-11-07 Guenter Schwann

        * Remove more dead code (ceed4b0b)
        * Missed some commented code (188d768a)
        * Remove some dead code (96497c75)

2013-11-07 Christopher Lee

        * Updating the tests and emulators so so they run without
          interference. (91986771)

2013-11-07 Colin Watson

        * Build-depend on python:any rather than python, to ease
          cross-building. (2b604d05)

2013-11-07 Thomas Moenicke

        * adding Arabic layout (dd1e4539)

2013-11-08 Christopher Lee

        * Remove extra blank line. (edc9c6ce)
        * Add workarounds for issues lp:1248902 and lp:1248913 (79e9fb8e)
        * Add touch bug workaround (73596601)

2013-11-07 Colin Watson

        * Build-depend on python:any rather than python, to ease
          cross-building. (e34d5712)

2013-11-07 Thomas Moenicke

        * reordered pro file (844f3215)
        * adding Hungarian (4f50293d)

2013-11-07 Christopher Lee

        * Fixing spelling error (f69543a1)

2013-11-07 Thomas Moenicke

        * adding Polish language layout (1c291518)

2013-11-07 Christopher Lee

        * Workaround, restart unity as we can't check the connection status
          yet (lp:1248795) (e3486d7b)
        * Workaround, skip tests re: bug lp:1248796 (layoutId) (4781f870)
        * Update server re-starting to use overrwrite file re: bug lp:1248729
          (27b578ca)
        * Workaround: Remove mention of layoutid re: bug lp:tests/autopilot/
          (33b60e83)

2013-11-06 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20131106-0ubuntu1 (revision 100
          from lp:ubuntu-keyboard). (69b18535)

2013-11-06 Thomas Moenicke

        * adding Danish layout (5e2d6cd7)

2013-11-06 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20131106-0ubuntu1, based on
          r100 (774a61ca)

2013-11-06 Łukasz 'sil2100' Zemczak

        * Port/update the emulators in preparation of autopilot 1.4
          (b5e538b4)

2013-11-06 Guenter Schwann

        * Fix using the OSK the first time (f08a041e)
        * Fix showing/hiding the word ribbon Fix swiping away the keyboard
          (ef8a0102)

2013-11-06 Thomas Moenicke

        * adding Czech language (2f90fbaf)
        * adding new languages to freeTextLanguageKeyboard() (58ceda83)
        * rebase (9f0f3a14)
        * adding Hebrew layout (bf9061ad)

2013-11-06 Guenter Schwann

        * Remove unneded line from pro file (dc7c12fc)
        * Add and update/fix unit test(s) (595d1c3b)

2013-11-06 Thomas Moenicke

        * adding Finnish language (9f6736b5)

2013-11-05 Guenter Schwann

        * Remove dead code (2f1d2241)

2013-11-05 Dmitrijs Ledkovs

        * add comment (cd75f7fb)
        * Merge trunk (f25ae2b4)
        * fix typo (ff39740c)

2013-11-05 Guenter Schwann

        * Totally remove to set QML properties from C++ (7041c52e)

2013-11-05 Dmitrijs Ledkovs

        * Tests expect writable /home/xnox, provide a fresh one for each
          build. (8be09d90)

2013-11-05 Guenter Schwann

        * Minor tweaks and fixes (d362d7d0)

2013-11-05 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20131105.1-0ubuntu1 (revision
          98 from lp:ubuntu-keyboard). (8e3d395f)

2013-11-05 Guenter Schwann

        * Trunk merged (51a2073f)

2013-11-05 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20131105.1-0ubuntu1, based on
          r98 (ff4707ab)

2013-11-05 Guenter Schwann

        * Split up C++ and QML a bit better. (60b47ec4)
        * Set the keyboard geometry from QML to C++, not the other way around
          (3c252450)

2013-11-05 Thomas Moenicke

        * connecting pinyin backend for chinese (cddbda2d)

2013-11-05 Christopher Lee

        * Now using base.get_qmlscene_launch_command for qmlscene (58c21e3c)

2013-11-04 Dmitrijs Ledkovs

        * merge trunk (09aa3a74)
        * Port to libpinyin4-dev API. (LP: #1247840) (b1749d2a)

2013-11-05 Christopher Lee

        * Merge trunk (798f4be5)

2013-11-04 Michael Terry

        * Enable tests during build and document the various copyrights
          better.  Adds Build-Depends on libxml2-utils,
          qtdeclarative5-ubuntu-ui-toolkit-plugin, and xvfb.
          (2af2c871)
        * Merge from trunk (f65d7586)

2013-11-04 Thomas Moenicke

        * adding russian language layouts (92d98d3c)
        * reordered language in code (981ff80d)
        * adding swedisch language (17f782f6)

2013-11-04 Dmitrijs Ledkovs

        * Bump build-dependency to libpinyin4-dev. (4fcda64f)

2013-11-04 Thomas Moenicke

        * adding dutch layouts (deb0d68c)
        * adding italian language layouts (46401a44)

2013-11-04 Christopher Lee

        * For ease of testing the ubuntu-keyboard testsuite takes care of
          restarting maliit-server with testability for the duration
          of the tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1243444. (a25b5113)

2013-11-04 Thomas Moenicke

        * removing unused code (a703bde6)

2013-11-04 Christopher Lee

        * Remove un-needed config string (c9f8b09a)
        * Ensure tests are skipped on the desktop for now. (6f3b0051)
        * Update debian/control for autopilot-qt 1.4 (3a2d5607)

2013-11-01 Christopher Lee

        * Update emulators for autopilot 1.4 (85a5bdb3)

2013-10-31 Guenter Schwann

        * Fix word ribbon (082e762d)
        * Typo and documentation update (e62a7b14)
        * Do not cancel predictive text on backspace, but update it.
          Fixes:
          https://bugs.launchpad.net/bugs/1202694. (87e8297a)
        * Split up C++ and QML a bit better (92b16f03)

2013-10-31 Christopher Lee

        * Merge trunk (3628fa92)

2013-10-30 Guenter Schwann

        * Remove default parameter (c96be009)
        * Do not cancel predictive text on backspace, but update it
          (ee197ae1)

2013-10-29 Thomas Moenicke

        * moved orientation converter function to private class (c87f557c)
        * language branch. (7a944340)
        * adding symbols layout to chinese (ebb87796)
        * fixed path for chinese pinyin layout (26a87602)

2013-10-29 Guenter Schwann

        * Add a helper skript to disable all settings on the device.
          (7acbccdc)
        * Better name for helper script (b116df60)
        * Add a helper skript to disable all settings on the device
          (2893b24a)

2013-10-28 Thomas Moenicke

        * enabledLanguages list should be cleared and re-created (b5935de9)
        * truncating locales to simple locales before getting them into
          keyboard internals This lead to a problem where you could
          not switch from e.g. Portuguese to English (en_us)
          (69773527)

2013-10-25 Thomas Moenicke

        * legacy code gets original id from maliit-server, so it loads xml
          files that exist (fails to start osk otherwise) fixed typo
          in English that prevented loading of regular layout after
          url layout (59d63209)
        * revert revert 90 (b078924a)

2013-10-25 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+14.04.20131025-0ubuntu1 (revision 91
          from lp:ubuntu-keyboard). (bead9d8b)
        * Releasing 0.99.trunk.phablet2+14.04.20131025-0ubuntu1, based on r91
          (5d5e3ecc)

2013-10-25 Guenter Schwann

        * Decouple autocaps from predictive text fixes LP: #1214695.
          Fixes:
          https://bugs.launchpad.net/bugs/1214695. (c9b9ee26)
        * Decouple autocaps from predictive text fixes LP: #1214695
          (777b1ecc)

2013-10-24 Guenter Schwann

        * Revert last 2 commit because of language issues. (776b3feb)
        * Revert last 2 commit because of language issues (f4e7668e)
        * Decouple autocaps from predictive text fixes LP: #1214695.
          Fixes:
          https://bugs.launchpad.net/bugs/1214695,
          https://bugs.launchpad.net/bugs/1234685. (85b0dce7)

2013-10-24 Thomas Moenicke

        * adding key to change language. (0d0d5733)
        * moved code back to setActiveSubView(), as it overwrites special
          layouts like browser (bb9b8152)
        * fixed reading locale reading locale at show() to detect changes in
          system (0a30d713)

2013-10-24 Guenter Schwann

        * Reorganize tests let "make check" pass. (af62f58a)
        * Decouple autocaps from predictive text fixes LP: #1214695
          (09ac7859)
        * Add missing project files (a85e441f)

2013-10-24 Christopher Lee

        * Minor update/fixes for the autopilot emulators. (a8d5f6a4)

2013-10-24 Leo Arias

        * Prepare for the release of autopilot 1.4 adding the dependency on
          an earlier release. (4216263a)

2013-10-24 Guenter Schwann

        * Reorganize tests let "make check" pass (514eb54c)
        * After holding the backspace for a while, remove whole words.
          Fixes:
          https://bugs.launchpad.net/bugs/1201988. (454b6ee9)
        * Always keep sending at least one backspace (d71c73dd)

2013-10-23 Leo Arias

        * Prepare for the release of autopilot 1.4 adding the dependency on
          an earlier release. (ebc0585d)

2013-10-23 Thomas Moenicke

        * reading locale from env variable (ad00d8f6)
        * fixed typo (a7548dc4)
        * dividing activeLayout and activeLanguage fixed typo that broke
          build on this branch @ last commit (9745c4b5)

2013-10-23 Guenter Schwann

        * After holding the backspace for a while, remove whole words
          (014aafcc)

2013-10-23 Thomas Moenicke

        * dont overwrite our binding (f6b1d746)
        * fixed abstraction: C++ side does not know about QML, which instead
          sets a binding into a C++ property fixed loading default
          en_us keyboard (8aabcc97)
        * adding email, url layouts portuguese (b1c6324a)
        * adding fr email, url layouts (04fd1663)

2013-10-23 Christopher Lee

        * Fix logic error (789cec46)
        * Be less lazy in checking need to update. (c364c18c)
        * fix active_keypad referencing old state. (0513e3a4)
        * No longer check non-existent property (d8ef0eb7)
        * Cleanup, no longer need to write to file. (ec0670de)

2013-10-22 Thomas Moenicke

        * adding email + url layout for es (31714186)
        * fixed urlkey in de-email layout (929583f4)
        * adding email + url for de (a3447cc9)
        * adding url_search layouts for all languages (248ca98d)
        * moved each language into its own folder (be9ca53e)
        * rebase (f5925fbc)

2013-10-21 Guenter Schwann

        * Disable auto capitalization for any other content type than
          FreeTextContentType Wieth auto capitalizatin start with a
          capital on empty text fields. (4cbe969c)

2013-10-21 Thomas Moenicke

        * rebase (79c1e4e7)

2013-10-21 Christopher Lee

        * Merge trunk. (e1a32af0)

2013-10-17 Guenter Schwann

        * Keep removing text when keeping the backspace key pressed.
          (31a497b0)

2013-10-17 Daniel d'Andrada

        * ubuntu-keyboard-info socket now reports the keyboard's scene
          geometry (806a795b)

2013-10-16 Guenter Schwann

        * Keep url and @ key unchanged in shiftet state.
          Fixes:
          https://bugs.launchpad.net/bugs/1240603. (af256614)

2013-10-16 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20131016.1-0ubuntu1 (revision
          78 from lp:ubuntu-keyboard). (3a9557c0)

2013-10-16 Guenter Schwann

        * Keep url and @ key unchanged in shiftet state (e106c1ce)

2013-10-16 Daniel d'Andrada

        * Inform a bigger area while the extended keys pop-up is being shown
          (d5a61b24)

2013-10-16 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20131016.1-0ubuntu1, based on
          r78 (cd2f639d)

2013-10-15 Guenter Schwann

        * Merge trunk (a378243b)
        * Increase the size of the swipe area. (8b5749b5)
        * Better way for signaling to activate auto capitalization to QML
          (a6bebf0c)
        * Fix sending the action from QML (8b977dee)
        * Keep removing text when keeping the backspace key pressed
          (f88ebeda)
        * Disable auto capitalization for any other content type than
          FreeTextContentType Wieth auto capitalizatin start with a
          capital on empty text fields (4ba39250)

2013-10-14 Christopher Lee

        * Update to the ubuntu-keyboard emulator so that they work after the
          recent changes to the loader. (5dd45c94)

2013-10-14 Daniel d'Andrada

        * Replace timer with SceneRectWatcher (8d7cece2)
        * ubuntu-keyboard-info socket now reports the keyboard's scene
          geometry (2c8a0307)

2013-10-14 Guenter Schwann

        * Cancel key presses when a swipe starts (8cb99ea2)
        * [ Daniel d'Andrada ];  Various improvements to ubuntu-keyboard-info
          socket server Make it   more robust. (LP: #1237870) [
          Thomas Moenicke ];  more languages.;  new action key
          icons. [ Guenter Schwann ];  Fix for auto caps to work
          more than once Essentially it's only 25 +
          autoCapsActivated = false;. [ Ubuntu daily release .
          Automatic snapshot from revision 75 (fc9b5ccb)

2013-10-14 Christopher Lee

        * Update so test app can be run while shell is running. (e5aa1ac4)

2013-10-11 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20131011.1-0ubuntu1 (revision
          75 from lp:ubuntu-keyboard). (046b5c29)
        * Releasing 0.99.trunk.phablet2+13.10.20131011.1-0ubuntu1, based on
          r75 (ce01a342)

2013-10-11 Thomas Moenicke

        * language menu only when more than 1 language enabled (to have smth
          to choose from) (d3b17786)
        * language key only visible when languages are enabled (e0481972)
        * enabled languages are being read from settings (57f6cdaa)

2013-10-11 Daniel d'Andrada

        * Various improvements to ubuntu-keyboard-info socket server
          (4608ecd3)
        * Use XDG_RUNTIME_DIR instead of /tmp (f3fc99c7)

2013-10-11 Guenter Schwann

        * Fix for auto caps to work more than once Essentially it's only 25
          +            autoCapsActivated = false;. (c598754c)
        * Increase the size of the swipe area (1d72cd3a)
        * Fix for auto caps to work more than once (083e4ba9)

2013-10-11 Thomas Moenicke

        * close language menu on hide (32daaff5)
        * adding mousearea to close the language menu added language menu
          constants (85f51f8a)
        * one more tweak (fe75fdeb)
        * fixed language menu to fit on screen and look good (55e82579)
        * adding language key, switching languages now works moving language
          key to right of symbol switch key (as agreed w/ design)
          (0f1e04bc)
        * rebase (c862efbe)
        * adding LanguageMenu key to trigger menu connecting language menu
          adding signal/slot link to change language (27f1eb2e)

2013-10-10 Daniel d'Andrada

        * Various improvements to ubuntu-keyboard-info socket server
          (21a8ca9d)

2013-10-10 Thomas Moenicke

        * new action key icons. (a57eb3a6)
        * more languages. (a6e3808e)
        * adding qtdeclarative5-ubuntu-ui-toolkit-plugin as runtime
          dependency (c05271ca)
        * adding french fixed uppercase Æ in all languages (fe5fc165)

2013-10-10 Christopher Lee

        * Safer way to write config file. (7088f1d9)
        * Merge trunk (93858c63)
        * Disable a test for now. (70f28d27)

2013-10-10 Thomas Moenicke

        * adding german layout (83be9afc)

2013-10-10 Christopher Lee

        * Minor cleanup (29d36d72)
        * Minor cleanup of comments/docs (0ecc6289)
        * Cleanup and removal of dead code. (f42a6d3c)

2013-10-10 Thomas Moenicke

        * rebase (85a854a5)

2013-10-10 Christopher Lee

        * Cleanup and update tests (95941527)
        * Cleanup and cache improvements (3df522bf)
        * Initial rough-cast (2fa9e514)

2013-10-10 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20131009.2-0ubuntu1 (revision
          70 from lp:ubuntu-keyboard). (989e80c4)

2013-10-09 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20131009.2-0ubuntu1, based on
          r70 (09d308d3)

2013-10-09 Christopher Lee

        * Remove workarounds and fixed uncaught exception at import time.
          (381ce6e6)

2013-10-09 Thomas Moenicke

        * various fixes, prioritized by Bill . (379caca5)

2013-10-09 Daniel d'Andrada

        * Publish keyboard info on a socket so that unity-mir can have it
          (20b3b042)

2013-10-09 Thomas Moenicke

        * adding portuguese (2158c6dd)

2013-10-09 Daniel d'Andrada

        * Publish keyboard info on a socket so that unity-mir can have it
          (221f250e)

2013-10-09 Thomas Moenicke

        * adding keyboard layout Spanish/es (4d4348ec)
        * using svg and colorize features, new icons for action keys
          (a1b082e7)
        * adjusting anchorItem relative to screen instead of row reverted
          orange color (separate MR for this) (6c879aa1)
        * highlight extended key using ubuntu orange (7841d86c)
        * same for email and url layout (1e053310)
        * on url layout, swap 123 and / key and get rid of space on left
          side, make spacebar bigger (b7d40972)

2013-10-09 Christopher Lee

        * Ubuntu-keyboard testsuites takes care of restarting maliit with
          testability (517b0c4a)

2013-10-08 Thomas Moenicke

        * fixing spacebar background. (a9352b28)
        * fixes #1236501 wrong layout when symbols. (9221f023)
        * activeKeypadState is set all over the place and shouldnt be a
          binding (5ce940c6)
        * when in SHIFTED state and going to symbols, symbols should appear
          in NORMAL state two little fixes in state changes
          (27920999)

2013-10-08 Guenter Schwann

        * New Magnifier that fixes the old Popper element fixes LP: #1236478
          fixes LP: #1236477.
          Fixes:
          https://bugs.launchpad.net/bugs/1236477,
          https://bugs.launchpad.net/bugs/1236478. (67705d47)

2013-10-08 Thomas Moenicke

        * also resized action key (3ebac43a)
        * fixing design of spacebar: scaling down background images shows
          better results, looks like on design spec (5d735006)

2013-10-08 Guenter Schwann

        * New Magnifier that fixes the old Popper element fixes LP: #1236478
          fixes LP: #1236477 (5759c94e)

2013-10-08 Thomas Moenicke

        * 3-key on symbols layout does not have extended keys . (b68abcce)

2013-10-08 Guenter Schwann

        * Propagating mouse events does not work as expected when dragging
          Going back to make the keyboard a child item of the swipe
          mouse area. Fixes LP: #1236474.
          Fixes:
          https://bugs.launchpad.net/bugs/1236474. (35e8bdb2)

2013-10-08 Thomas Moenicke

        * rebase (d92cc2e4)
        * 3-key on symbols layout does not have extended keys (22b1c39a)

2013-10-08 Guenter Schwann

        * Propagating mouse events does not work as expected when dragging
          Going back to make the keyboard a child item of the swipe
          mouse area. Fixes LP: #1236474 (d5cf97a3)

2013-10-08 Christopher Lee

        * Merge pre-req. (f1fa7dab)

2013-10-07 Guenter Schwann

        * Send return ("\r") as text in return key event fixes LP: #1230035.

          Fixes: https://bugs.launchpad.net/bugs/1230035,
          https://bugs.launchpad.net/bugs/1236388. (1b2579cc)
        * Send return ("\r") as text in return key event fixes LP: #1230035
          (b8bd3165)

2013-10-04 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20131004-0ubuntu1 (revision 60
          from lp:ubuntu-keyboard). (a2696b80)
        * Releasing 0.99.trunk.phablet2+13.10.20131004-0ubuntu1, based on r60
          (150b3fd0)

2013-10-03 Thomas Moenicke

        * fix popover. (3baf755c)

2013-10-03 Guenter Schwann

        * Trunk merged (a934e4c9)

2013-10-03 Thomas Moenicke

        * using only one loader for character and symbol layouts . (d6961a05)

2013-10-02 Thomas Moenicke

        * merged with 1-loader fix (9d664f1f)

2013-10-02 Guenter Schwann

        * Handle the case, that two keys are touched at the same time fixes
          LP: #1230003.
          Fixes:
          https://bugs.launchpad.net/bugs/1230003. (5d7b2f47)

2013-10-02 Thomas Moenicke

        * using only one loader for character and symbol layouts (ed46d59a)
        * fixed merge conflict (57aebe11)
        * rebase (05ab6c1c)

2013-10-02 Guenter Schwann

        * Trunk merged (d01a023b)
        * Handle the case, that two keys are touched at the same time fixes
          LP: #1230003 (95c7fbe3)

2013-10-02 Thomas Moenicke

        * shift state/key fixes .
          Fixes:
          https://bugs.launchpad.net/bugs/1229114,
          https://bugs.launchpad.net/bugs/1231611. (4562f81a)
        * longtap shift key for capslock (3770e83d)
        * label and extended model updated in a binding (16c5d27b)fixes:
          LP:#1231611

2013-10-01 Thomas Moenicke

        * using enabled instead of visible to show/hide the magnifier
          (5929d311)
        * rebase (e6f51bf4)
        * KeyboardContainer more declarative to avoid timing issues, fixes
          part of #1233207 .
          Fixes:
          https://bugs.launchpad.net/bugs/1233207. (4104555e)
        * moved loading default layout to Keyboard.qml (thx Guenter)
          (12c7d093)
        * initially loading default layout (a1089e02)
        * KeyboardContainer more declarative to avoid timing issues, fixes
          part of #1233207 (9275555d)
        * rebase (060a73b3)
        * applying new graphic from Jouni (f3a2d454)
        * popper now depends on enabled property rather than visible
          (37100cf5)

2013-10-01 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20131001-0ubuntu1 (revision 54
          from lp:ubuntu-keyboard). (f9fbf00c)
        * Releasing 0.99.trunk.phablet2+13.10.20131001-0ubuntu1, based on r54
          (1920a07c)

2013-09-30 Robert Bruce Park

        * Disable predictive text. (87a5bdce)

2013-09-30 William Hua

        * Re-add the schema that was removed in r45, and append
          spell-checking settings. (95f9688d)

2013-09-30 Bill Filler

        * disable predictive-text by default (f5252641)

2013-09-30 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130930.2-0ubuntu1 (revision
          51 from lp:ubuntu-keyboard). (6c93570f)
        * Releasing 0.99.trunk.phablet2+13.10.20130930.2-0ubuntu1, based on
          r51 (90cc3f71)

2013-09-30 Thomas Moenicke

        * rebasing to latest trunk (f25e03f8)
        * improves orientation changing behavior when osk is hidden, fixes
          #1213127. (fc350402)
        * rebased w/ trunk (5b3502c1)

2013-09-30 Guenter Schwann

        * Use smaller font for 1/2 and 2/2 key fixes LP: #1227225.
          Fixes:
          https://bugs.launchpad.net/bugs/1227225. (2b613943)

2013-09-30 Thomas Moenicke

        * rebased to latest trunk (b45f9028)
        * design update.
          Fixes: https://bugs.launchpad.net/bugs/1227248.
          (1232b0b3)

2013-09-30 Guenter Schwann

        * Use smaller font for 1/2 and 2/2 key fixes LP: #1227225 (5f19321e)

2013-09-30 Thomas Moenicke

        * rebased to trunk (f97aab79)

2013-09-30 Guenter Schwann

        * Use GSettings for the settings instead of the maliit ones.
          (c69d70bc)

2013-09-30 Thomas Moenicke

        * fixed borders of keys (628575e9)
        * new design from Jouni (ff9eb925)
        * space key has color of regular keys, fixes #1227248 (8c9aae6c)

2013-09-30 Guenter Schwann

        * Merge trunk (3bb6a5ab)
        * Fix sleep in buildscript (bb70af35)

2013-09-30 Thomas Moenicke

        * caching orientation (6eac0f1c)
        * using enabled property instead of visibility to turn on/off
          extended keys (5560d3c0)

2013-09-29 Thomas Moenicke

        * moved extended keys a little bit up for first row (still lower than
          other rows) (84b75204)
        * reposition the extended key area on each of these events: x/y of
          actual key changes, y of keys parent changes This is
          especially important when rotation, to reposition the
          extended keys on top of the key (5ab6e3d3)

2013-09-27 Thomas Moenicke

        * reset model when closing popover. Fixes issue with keys being
          stacked when hide/show keyboard (7886b086)
        * when popover is shown above the diving line for the input trap,
          hybris will deliver the mouse events not only to the
          popover, but also to the application underneath and the
          click "goes through". Therefor popovers are drawn inside
          the osk area when triggered in first line of keys
          (62a9694b)
        * enabled key highlight according to design spec (red text) adjusted
          padding for extended keys to 2.2 gu (e96c2fcb)
        * fontSize smaller if several characters are shown per entity, e.g.
          '.com' key and extended keys spacing between keys reverted
          to 2 gu fixed little cosmetic in assigning source to
          borderimage in a more standard way (895ff4a7)
        * made popoverHasFocus a binding to extendedKeysSelector visibility
          (3f13b290)

2013-09-26 William Hua

        * Merge trunk. (7571c1c3)

2013-09-27 Bill Filler

        * revert back to rev 44. (b4266032)

2013-09-26 Bill Filler

        * fix changelog (bdbd1ce5)
        * fix changelog (0e6baafe)
        * reverted back to rev 44 (08dc8448)

2013-09-26 William Hua

        * Add spell check settings. (e7c5928c)
        * Re-apply revision 42. (517910dc)

2013-09-26 Thomas Moenicke

        * to avoid reading properties from null objects, the state of the
          keyboard is behind a binding (5051740f)

2013-09-26 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130926-0ubuntu1 (revision 45
          from lp:ubuntu-keyboard). (d49aea70)

2013-09-26 Guenter Schwann

        * Use GSettings for the settings instead of the maliit ones
          (480159d4)

2013-09-26 Thomas Moenicke

        * merge with trunk (7bf481ce)
        * adding a dismiss area (df8af5c8)

2013-09-26 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130926-0ubuntu1, based on r45
          (ac6f11e5)

2013-09-26 Didier Roche

        * revert to latest known good state, not making notes-app AP tests
          failing (1ba292a7)

2013-09-26 Thomas Moenicke

        * extended keys work the traditional way: long press shows it, then
          select the key closes when character has been selected,
          not onRelese (dfaefd39)

2013-09-26 Christopher Lee

        * Fix pep8 issue, update comment to clarify. (e69873b0)
        * Remove workarounds. (26384337)
        * Merge Trunk (1991215e)
        * Cleanup caching of maliit-server object (48d71019)

2013-09-25 Thomas Moenicke

        * fixed right edge margin (92f533b0)
        * fix issue of popper not working after extended keys (ec8b69d2)
        * putting back the gray frame for now (690046d3)

2013-09-25 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130925-0ubuntu1 (revision 43
          from lp:ubuntu-keyboard). (11711bb5)

2013-09-25 Thomas Moenicke

        * disabled drop shadow (problems after hide/show) adjusted padding
          between extended keys (20b4a3b1)
        * adding dropshadow to extended keys highlight is red font color,
          according to design spec (Jouni) (89e52b0f)

2013-09-25 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130925-0ubuntu1, based on r43
          (9254ca28)

2013-09-25 Thomas Moenicke

        * when closing popover, highlighted keys get ungighlighted (89c45787)
        * close popover when keyboard hides (425eaabf)
        * fixed issue with handover between mouse areas: now even when finger
          is not moved, extended keys area exits normally (103648be)

2013-09-25 Christopher Lee

        * Update the autopilot emulator code to work with the recent changes
          (moving more UI code to QML). (8ff23d75)

2013-09-24 Thomas Moenicke

        * move popover towards center if it would get truncated by the edge
          of the screen (000afa71)

2013-09-24 Christopher Lee

        * Skipped or remove tests for non-implemented features. (f0bc1332)

2013-09-23 William Hua

        * Add GSettings schema file. (ad436b0f)

2013-09-23 Thomas Moenicke

        * addad margin between key and popover (f581374a)
        * keeping handle (index) of currently highlighted key. If focus goes
          outside of extendedKeys x range, it deselects the key and
          the actual keys value is chosen (requested by design)
          (4a70fbe7)

2013-09-23 William Hua

        * Remove debian/changelog entry. (b5ed5fc7)

2013-09-23 Thomas Moenicke

        * cleanup and better naming (8cdc5f26)
        * changed mouse behavior: longpress selects key when swiping,
          onRelease it commits currently selected key (0434ca9c)

2013-09-23 Christopher Lee

        * Added bug number for password failing test. (8e210c82)
        * Updating tests to reflect changes in the emulator update.
          (e4fc5ee9)
        * Slight cleanup, handle keypads not loaded. (8a142231)
        * Initial changes for keypad loading at different times. (661b93e0)
        * Fix issues with switching and CAPSLOCK state (6ceea8a8)
        * Fix for calling Keyboard() multiple times, minor cleanups.
          (3eb4423f)
        * Added workaround for KeyPad generic object returned. Cleaned up
          when a pointer is created. Updated use of enabled instead
          of visible. (cd5e6174)
        * Using loader to gain access to the KeyPads (4c9f1d7e)
        * Merge Trunk (f846f471)
        * Cleanup and remove debugging output. (413040dd)

2013-09-20 Thomas Moenicke

        * new popover component (304d04c5)

2013-09-20 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130920-0ubuntu1 (revision 40
          from lp:ubuntu-keyboard). (67166d21)
        * Releasing 0.99.trunk.phablet2+13.10.20130920-0ubuntu1, based on r40
          (63ee5deb)

2013-09-20 Christopher Lee

        * Added debugging for checks. No need to change state for special
          keys always shown (1df03c5b)
        * Working with special keys and a cleanup. (71989507)

2013-09-19 Thomas Moenicke

        * cleanup SHOW/HIDDEN state . (b77c2e74)
        * contentOrientation should not being updated at runtime by screen
          orientation (69764f8c)
        * reverted orientation fix (b6a4c13f)

2013-09-19 Christopher Lee

        * Initial working example. Just characters and symbols so far.
          (2d11269e)

2013-09-18 Thomas Moenicke

        * [ Thomas Moenicke ];  various fixes.;  added layout-test and
          generic test qml apps. [ Ubuntu daily release .
          Automatic snapshot from revision 37 (77a3dee3)
        * added test for multiline text edit (91c11cde)

2013-09-18 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130918-0ubuntu1 (revision 37
          from lp:ubuntu-keyboard). (c0b3e000)

2013-09-18 Thomas Moenicke

        * fixed visibility issues when changing layout. this also fixes the
          issues of keys being stacked in the upper left corner
          (2fb1c246)
        * fix chinese. (7832da1b)

2013-09-18 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130918-0ubuntu1, based on r37
          (3e05739f)

2013-09-17 Thomas Moenicke

        * removed debug output (3944e0f2)
        * cleanup SHOW/HIDDEN state fixes keyboard hide issues (1c68adb8)

2013-09-16 Thomas Moenicke

        * added chinese keyboard loading code added onEntered, onExited hooks
          to event handler fixed issue that prevented chinese
          wordengine from being loaded (7fc96531)
        * added layout-test and generic test qml apps. (6581222a)

2013-09-13 Thomas Moenicke

        * install example files to test package (63c20dca)
        * various fixes. (c49a4176)

2013-09-12 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130912-0ubuntu1 (revision 34
          from lp:ubuntu-keyboard). (af372f7b)

2013-09-12 Thomas Moenicke

        * when osk was left in symbol state, it switches back to default
          after it slided into the screen. User could see the
          switch. Now, this is done when entering SHOWN state
          (property change) (9380ac31)
        * merged with latest trunk (107ad367)
        * tweaked appearance of annotations to have them less annoying
          (649274d2)

2013-09-12 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130912-0ubuntu1, based on r34
          (26a9ded2)

2013-09-12 Thomas Moenicke

        * added pinyin layout (5e9554de)
        * improved behavior for automatically switching wordribbon off for
          special layouts (38274139)

2013-09-12 William Hua

        * Use better key name than just 'feedback'. (78127a6e)

2013-09-11 William Hua

        * Add GSettings schema file to ubuntu-keyboard-data. (05a8c44f)

2013-09-11 Thomas Moenicke

        * certain layouts do not show predictive text, even if it is not
          explicitly disabled in textinput, e.g. on webpages
          (b88efa93)
        * when choosing another layout, the keyboard does not go into hidden
          state so the keypad has to be set to CHARACTER mode also
          on layoutUpdate (871425be)
        * added "app bottom" label to layout test (c3e8b5f8)
        * adding email test (4347e4f3)
        * improved layout-test qmlscene /layout-test.qml
          --desktop_file_hint=/usr/share/applications/notes-app.desktop
          (cebee2fd)
        * - added automatic annotation label to keys that have either the
          annotation property set, or have extended keys - fixed
          CapsLock icon in ReturnKey (7201e138)
        * - don't append space to preedit - symbols layout uses SpaceKey to
          send ActionSpace. Needed for AutoCaps - when autocaps,
          switch from symbol keypad to characters keypad (6c7db66e)
        * added extended keys to dotkey in numbers layout (219481e4)
        * added annotation for extended keys on telephone layout (a7ca4315)
        * .com key stretching on url layout (b835f3c6)
        * urlkey now a component urlkey bigger on email layout (4cb8ad0f)
        * ubuntu-keyboard fullscreen. (29875a86)

2013-09-10 Thomas Moenicke

        * symbols layout imported in email and url layouts number, telephone
          layouts don't hold a symbol layout (403286d5)
        * fixed OneTwoKey regression (b4ae0fb5)
        * symbol keyboard attached to main layout number/phonenumber layout
          don't go into SYMBOLS state (94d9b426)
        * shiftkey not swipe-sensitive (f8c61192)

2013-09-09 Thomas Moenicke

        * fixed font size of .com key for email layout (a6dbf962)
        * hooking up autocaps feature (b0ee4884)
        * OneTwo and SymbolShift key not sensitive to swipe down (a7edcb46)
        * merged with master branch (2cf0e567)

2013-09-08 Thomas Moenicke

        * language-layouts in QML . (8a4e938f)

2013-09-07 Thomas Moenicke

        * adjusted size of magnifier as agreed with bfiller. better
          visibility (b365b9cd)
        * fine tuning noswipe area: adding top margin to have a bit more
          space above the keys for swiping down (bcb6f730)
        * made the entire keypad background non-swipable. Swipe-down gesture
          is only triggered at the top of the upper edge of osk
          (00ccbb1e)
        * improved url and url_search layouts to match design spec: - added
          empty space to the left side of the bottom row - .com key
          replaces space bar on url layout - font size for .com key
          fixed (bdfd19ba)
        * bottom margin a bit smaller (1gu) (6a98e3a2)

2013-09-06 Thomas Moenicke

        * merged onKeyReleased and onActionKeyReleased functions into one
          single method (409a5f97)
        * added action for shift key, to make predictive text working
          correctly (it shows prediction in capital letters
          otherwise) (334a413f)
        * fixed predictive text: space bar has to submit an action like an
          action key to get predictive text working correctly
          (fe3c72e0)
        * fixed wordribbon on/off for fullscreen osk (870f62b6)
        * changing ubuntu-keyboard to fullscreen. Input trap is still
          calculated. Using OrientationHelper. (5033b04e)

2013-09-05 Thomas Moenicke

        * when in 2/2 mode, dont shift back to 1/2 mode automatically
          (41f5a438)
        * added OneTwoKey, as ShiftKey behavor is not correct for symbols
          keypad (7bc89649)
        * removed unused margins (ce17b1b9)
        * white rectangle anchored to content (bbc12327)
        * capslock only when double-tapping the shift key (1bd75b4b)
        * using grid units for popover content (a1f1813e)
        * action key padding overwriteable (e.g. for number layouts it should
          be equally sized) (f4f971e2)
        * using url_search layout for url bar action key icon only visible
          when no label fixed font sizes for symbolshift and .com
          keys added more tld extensions to .com key (6a56d3e8)
        * when extended keys are shown, magnifier goes invisible showing
          extended keys panel only when list not empty (20e2654c)
        * no magnifier for action keys and space bar (4c2314c6)
        * implemented CAPSLOCK state (68af8d59)
        * keypad is not sensitive to swiping down gesture (d47903a5)
        * fixed size of magnifier. this also fixes the issues of magnifier
          seen at the edges of the keyboard. magnifier does not draw
          outside the osk anymore (d7ab6bfd)
        * fixed submitting uppercase values when keypad is shifted (28c1a5ca)

2013-09-04 Thomas Moenicke

        * fixed size of popper, using gu as it is independent of the layout
          (4f03ca4d)
        * action keys are a bit bigger, so they get a bit of extra padding
          (0c86f872)
        * fixed popper to work with new keyboard layouts (925a8138)
        * implemented extended keys using popover component from Ubuntu
          Components added extended keys to layouts (b5b4cef8)

2013-09-03 Thomas Moenicke

        * adding loader to load different layouts according to activeView ids
          (31068477)
        * adding email keyboard layout (520f71bc)
        * added url-search keyboard layout (1ac6ec14)
        * adding Telephone layout keyboard (ef1543bc)
        * adding url layout (f55fc575)
        * added number layout (1479aa11)

2013-09-02 Thomas Moenicke

        * moved code for registering settings to private class (dc160d0d)
        * removed unused code: maliitcontext.cpp|h moved inputmethod pimpl
          class to private header (67834254)
        * removing obsolete code (add2f9a7)
        * removed old qml which rendered xml keyboards (abbe1fdd)

2013-08-30 Thomas Moenicke

        * getting action keys working: return, backspace. Typing a URL in
          browser now possible. (55612720)
        * [ Gerry Boland ];  Fix crash on Mir, actually disable broken
          functions when using Mir   (i.e. typo false -> true). [
          Ubuntu daily release ];  Automatic snapshot from revision
          31 [ Gerry Boland ];  Fix platform detection, corrects OSK
          surface management with   platform-api. Fixes bug:
          1217501. (LP: #1217501) [ Ubuntu daily release .
          Automatic snapshot from revision 29 [ Thomas Moenicke .
          fixing size of magnifier to not being cut when shown in
          first row . [ Ubuntu daily release ];  Automatic snapshot
          from revision 27 [ Bill Filler ];  adding autopilot test,
          and re-merge from trunk. [ Gerry Boland ];  Create
          UbuntuApplicationApiWrapper to consolidate the differences
            between the ubuntu-application-api on SurfaceFlinger and
          Mir (some   portions of the API are deprecated, so not
          implemented on Mir).   Fixes crash on Mir-only platform. [
          Christopher Lee ];  adding autopilot test, and re-merge
          from trunk. [ Łukasz 'sil2100' Zemczak ];  As pointed out
          by Sebastian, the package:any stanza is not really   valid
          - we already had to revert a similar change in the past. [
          Ubuntu daily release ];  Automatic snapshot from revision
          25 [ Gerry Boland ];  Revert accidentally approved MR for
          revno 19, code needs review. [ Ubuntu daily release .
          Automatic snapshot from revision 21 [ Gerry Boland .
          Create UbuntuApplicationApiWrapper to consolidate the
          differences   between SurfaceFlinger and Mir operations.
          Fixes crash on Mir-only   platform. [ Ubuntu daily release
          ];  Automatic snapshot from revision 19 [ Bill Filler .
          revert code committed in rev 11 as it's causing
          regressions with   orientation (lp:1214575 and
          lp:1214578). (LP: #1214578, #1214575);  Install
          server.conf file to replace the default keyboard, until
          the   config system is better handled later on.;  Removing
          unused styles. [ Ubuntu daily release ];  Automatic
          snapshot from revision 17 [ Gerry Boland ];  Set name and
          role on OSK Window, helps unity8 shell identify the
          window. [ Ubuntu daily release ];  Automatic snapshot from
          revision 13 [ Michael Terry ] [ Thomas Moenicke ];  added
          language directory path to coreutils. Maliit-Plugins
          stores   all languages in
          /usr/share/maliit/plugins/languages/, but we   changed the
          language xml files as well, so they should be in a
          plugin-related directory:
          /usr/share/maliit/plugins/languages/com/ubuntu/;  added
          qml unittests added .bzrignore file;  more work on
          buildsystem;  sync with latest trunk phablet
          maliit-plugins;  fixes in buildsystem;  fixed language
          directory fixed build script;  new style for magnifier.
          tracking contentOrientation of app, fixes bug. [ root .
          fixed tests to build with the new plugin cleanup bazaar
          repo [ Ubuntu daily release ];  Automatic snapshot from
          revision 11 (30317e3e)
        * added hooks for commiting characters to the app (631a5813)
        * some fixes (df5824a8)
        * - new qml keypad now works on the phone - rotation working
          (3679373c)
        * cleanup symbols (9d357c07)
        * cleanup, moved new code to qml/ (f8ec5f1e)

2013-08-29 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130829.1-0ubuntu1 (revision
          31 from lp:ubuntu-keyboard). (57c912fe)

2013-08-29 Thomas Moenicke

        * last row uses anchors to have a dynamically stretched space key
          (0269d931)

2013-08-29 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130829.1-0ubuntu1, based on
          r31 (8d513f36)

2013-08-29 Thomas Moenicke

        * added enter and backspace keys (279a2ee2)
        * backspcae icon (93a26b15)
        * fixed action key icons and texts (ff6f3e29)

2013-08-29 Gerry Boland

        * Fix crash on Mir, actually disable broken functions when using Mir
          (i.e. typo false -> true). (92123845)

2013-08-29 Thomas Moenicke

        * added pressed state applied graphics (ba40ec2b)
        * prototype for language-layouts in QML (23917464)

2013-08-29 Gerry Boland

        * Fix crash on Mir, code typo broke everything (8755e11b)

2013-08-29 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130829-0ubuntu1 (revision 29
          from lp:ubuntu-keyboard). (621746fc)
        * Releasing 0.99.trunk.phablet2+13.10.20130829-0ubuntu1, based on r29
          (c692dff7)

2013-08-28 Gerry Boland

        * Fix platform detection, corrects OSK surface management with
          platform-api. Fixes bug: 1217501.
          Fixes:
          https://bugs.launchpad.net/bugs/1217501. (ff0ac64b)
        * Fix platform detection, corrects OSK surface management with
          platform-api (cb074893)

2013-08-27 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130827.1-0ubuntu1 (revision
          27 from lp:ubuntu-keyboard). (d926cc0b)
        * Releasing 0.99.trunk.phablet2+13.10.20130827.1-0ubuntu1, based on
          r27 (8d6fed4c)

2013-08-27 Thomas Moenicke

        * fixing size of magnifier to not being cut when shown in first row .
          (86cf9614)
        * fixing size of magnifier to not being cut when shown in first row
          (bbd8fb21)

2013-08-27 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130827-0ubuntu1 (revision 25
          from lp:ubuntu-keyboard). (82bf3eef)
        * Releasing 0.99.trunk.phablet2+13.10.20130827-0ubuntu1, based on r25
          (6a791646)

2013-08-26 Łukasz 'sil2100' Zemczak

        * As pointed out by Sebastian, the package:any stanza is not really
          valid - we already had to revert a similar change in the
          past. (b4e9d965)
        * As pointed out by Sebastian, the package:any stanza is not really
          valid - we already had to revert a similar change in the
          past (e3d9616b)

2013-08-24 Gerry Boland

        * Create UbuntuApplicationApiWrapper to consolidate the differences
          between the ubuntu-application-api on SurfaceFlinger and
          Mir (some portions of the API are deprecated, so not
          implemented on Mir). Fixes crash on Mir-only platform.
          (ebf1f98b)

2013-08-23 Christopher Lee

        * adding autopilot test, and re-merge from trunk. (ec306e3e)

2013-08-23 Bill Filler

        * merge from trunk (1e944bae)

2013-08-23 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130823-0ubuntu1 (revision 21
          from lp:ubuntu-keyboard). (b3d6e165)

2013-08-23 Gerry Boland

        * Missing files added (834e82ac)
        * Abstract platform ifdefs into UbuntuApplicationApiWrapper class,
          use it to consolidate the platform differences (78d7ce15)

2013-08-23 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130823-0ubuntu1, based on r21
          (2c224ee5)

2013-08-23 Gerry Boland

        * Revert accidentally approved MR for revno 19, code needs review.
          (a7f71732)
        * Revert accidentally approved MR, code needs review (ea1f74e3)

2013-08-23 Christopher Lee

        * Merge Trunk (5a76c61c)

2013-08-22 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130822.1-0ubuntu1 (revision
          19 from lp:ubuntu-keyboard). (e723e552)
        * Releasing 0.99.trunk.phablet2+13.10.20130822.1-0ubuntu1, based on
          r19 (ad7b1f18)

2013-08-22 Gerry Boland

        * Create UbuntuApplicationApiWrapper to consolidate the differences
          between SurfaceFlinger and Mir operations. Fixes crash on
          Mir-only platform. (9c908f74)
        * Variable rename, might make clearer what is happening (9c523106)
        * Clean up ifs a little (6c30e6e3)
        * More fixes (652974ad)
        * whitespac (e0609e85)
        * Why care if platform-api actually available, the class mocks those
          methods anyway. (d7b18590)
        * Merge trunk (df316144)
        * Create UbuntuApplicationApiWrapper to consolidate the differences
          between SurfaceFlinger and Mir operations. Fixes crash on
          Mir-only platform (cd1987c2)

2013-08-22 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130822-0ubuntu1 (revision 17
          from lp:ubuntu-keyboard). (ab393fb0)
        * Releasing 0.99.trunk.phablet2+13.10.20130822-0ubuntu1, based on r17
          (5db380d8)

2013-08-22 Bill Filler

        * Removing unused styles. (edc8a09d)
        * Install server.conf file to replace the default keyboard, until the
          config system is better handled later on. (d5951325)

2013-08-22 Christopher Lee

        * Merge trunk, resolve conflict in Keyboard.qml (973d42d8)

2013-08-21 Bill Filler

        * remove unused styles (af0fdeea)
        * install /etc/xdg/server.conf (ace20d23)

2013-08-22 Christopher Lee

        * Fix issues with exceptions, added objectname (for when there are >1
          keyboards installed) (d5f922af)

2013-08-21 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130821-0ubuntu1 (revision 13
          from lp:ubuntu-keyboard). (b494a27a)

2013-08-21 Bill Filler

        * revert code committed in rev 11 as it's causing regressions with
          orientation (lp:1214575 and lp:1214578). (b66d26ae)

2013-08-21 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130821-0ubuntu1, based on r13
          (ece81f2d)

2013-08-21 Gerry Boland

        * Set name and role on OSK Window, helps unity8 shell identify the
          window. (23db8af4)

2013-08-21 Christopher Lee

        * Docs improvements and minor code cleanup. (1ac54998)
        * fix reference to maliit-keyboard in debian/control (1bca4a4a)
        * Add notes about failing tests. added bug number references.
          (b0c7fb0e)
        * Fixes and improvements as per MR comments (20d77d82)
        * Fix copyright headers (2d444e94)

2013-08-21 Gerry Boland

        * Fix compiling when platform-api not around (07b3fc05)

2013-08-20 Bill Filler

        * update changelog from rev 12 (f908cf3f)
        * revert to version 10 (9297d073)

2013-08-20 Gerry Boland

        * Set window title and role, to help shell identify the OSK
          window/surface (741f63a0)

2013-08-20 Christopher Lee

        * debian/ depends re-order as per mterry's comment (57028d53)
        * Cleanup use of 'special keys' (d3328b0d)
        * Remove reference to WordRibbon as outstanding bugs make it
          unstable. (will be reinstated at a later date) (7179f325)
        * Key positions are now cached speeding things up. (1de60fc0)

2013-08-19 Michael Terry

        * Fix tests and enable them to be run during build (2716cc60)
        * More comprehensively document copyright; mark license for whole
          module as LGPL-3 (7744f07c)

2013-08-19 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130819-0ubuntu1 (revision 11
          from lp:ubuntu-keyboard). (a960a799)

2013-08-19 Christopher Lee

        * Added missing headers / minor pep8 fixes (0a4d27db)
        * Commented notes. (806b869e)
        * Minor qml property rename (46b929d0)
        * Remove un-needed debuging in qml, ensure 'un-used' properties are
          highlighted as Autopilot used. (da13a25f)
        * Cleanup of autopilot tests (860f9f09)

2013-08-19 Automatic PS uploader

        * Releasing 0.99.trunk.phablet2+13.10.20130819-0ubuntu1, based on r11
          (e58502a9)

2013-08-19 Christopher Lee

        * Merge trunk - Fixed conflicts in the packaging. (64814d59)

2013-08-16 Thomas Moenicke

        * tracking contentOrientation of app, fixes bug. (a3417429)
        * merged with latest trunk: (d4acea97)
        * cleaning up unused method (d234ddad)
        * tracking contentOrientation of app, so it always appears in correct
          orientation even if osk was hidden and app rotated
          (f268c1ca)

2013-08-16 Christopher Lee

        * added autopilot test packaging. (dc9770ad)
        * Rename from OSK -> (Ubuntu)Keyboard (7211b2b9)

2013-08-15 Michael Terry

        * Modernize packaging and clean up licensing. (eaae29d2)

2013-08-16 Christopher Lee

        * Doctring cleanup. (8a08227b)

2013-08-15 Michael Terry

        * Add missing file (60d95383)
        * Drop a couple unnecessarily specific Depends, shlibs:Depends will
          pick them up (41a89a16)
        * Drop --parallel rule, it doesn't seem to work in builders
          (d69100d5)
        * Add snapshot comment (c29475a1)
        * Clean up packaging (c9f6b7cc)

2013-08-15 Christopher Lee

        * fix minor comparison bug (c02e9af4)

2013-08-14 Thomas Moenicke

        * new style for magnifier. (d1f85cb1)

2013-08-14 Christopher Lee

        * Add initial support for word ribbon. (d3327267)

2013-08-13 Thomas Moenicke

        * using new style for keyboard-popover (52212f66)

2013-08-13 Christopher Lee

        * Removed log files that were erroneously added in repo change.
          (bb3e96ae)
        * Add property to qml. (6ebf9e85)
        * Merge in changes from previous repo. Updated for using new repo.
          (3315c697)

2013-08-12 Thomas Moenicke

        * fixed language directory fixed build script (12291a29)

2013-08-09 Thomas Moenicke

        * fixes in buildsystem (c28d1136)
        * sync with latest trunk phablet maliit-plugins (58343bd7)

2013-08-08 Thomas Moenicke

        * more work on buildsystem (802925dc)

2013-07-22 Thomas Moenicke

        * added qml unittests added .bzrignore file (99c602fd)

2013-07-22 root

        * fixed tests to build with the new plugin cleanup bazaar repo
          (0fb0a88f)

2013-07-19 Thomas Moenicke

        * added language directory path to coreutils. Maliit-Plugins stores
          all languages in /usr/share/maliit/plugins/languages/, but
          we changed the language xml files as well, so they should
          be in a plugin-related directory:
          /usr/share/maliit/plugins/languages/com/ubuntu/ (690fe4a4)
        * initial commit (8c445f08)
